#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1694
#define LARGE_STATE_COUNT 311
#define SYMBOL_COUNT 265
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  sym_glimmer_opening_tag = 43,
  sym_glimmer_closing_tag = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  sym_comment = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_statement = 151,
  sym_expression_statement = 152,
  sym_variable_declaration = 153,
  sym_lexical_declaration = 154,
  sym_variable_declarator = 155,
  sym_statement_block = 156,
  sym_else_clause = 157,
  sym_if_statement = 158,
  sym_switch_statement = 159,
  sym_for_statement = 160,
  sym_for_in_statement = 161,
  sym__for_header = 162,
  sym_while_statement = 163,
  sym_do_statement = 164,
  sym_try_statement = 165,
  sym_with_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_debugger_statement = 169,
  sym_return_statement = 170,
  sym_throw_statement = 171,
  sym_empty_statement = 172,
  sym_labeled_statement = 173,
  sym_switch_body = 174,
  sym_switch_case = 175,
  sym_switch_default = 176,
  sym_catch_clause = 177,
  sym_finally_clause = 178,
  sym_parenthesized_expression = 179,
  sym_expression = 180,
  sym_primary_expression = 181,
  sym_yield_expression = 182,
  sym_object = 183,
  sym_object_pattern = 184,
  sym_assignment_pattern = 185,
  sym_object_assignment_pattern = 186,
  sym_array = 187,
  sym_array_pattern = 188,
  sym_glimmer_template = 189,
  sym_jsx_element = 190,
  sym_jsx_text = 191,
  sym_jsx_expression = 192,
  sym_jsx_opening_element = 193,
  sym_nested_identifier = 194,
  sym_jsx_namespace_name = 195,
  sym_jsx_closing_element = 196,
  sym_jsx_self_closing_element = 197,
  sym_jsx_attribute = 198,
  sym__jsx_string = 199,
  sym_class = 200,
  sym_class_declaration = 201,
  sym_class_heritage = 202,
  sym_function_expression = 203,
  sym_function_declaration = 204,
  sym_generator_function = 205,
  sym_generator_function_declaration = 206,
  sym_arrow_function = 207,
  sym_call_expression = 208,
  sym_new_expression = 209,
  sym_await_expression = 210,
  sym_member_expression = 211,
  sym_subscript_expression = 212,
  sym_assignment_expression = 213,
  sym__augmented_assignment_lhs = 214,
  sym_augmented_assignment_expression = 215,
  sym__initializer = 216,
  sym__destructuring_pattern = 217,
  sym_spread_element = 218,
  sym_ternary_expression = 219,
  sym_binary_expression = 220,
  sym_unary_expression = 221,
  sym_update_expression = 222,
  sym_sequence_expression = 223,
  sym_string = 224,
  sym_template_string = 225,
  sym_template_substitution = 226,
  sym_regex = 227,
  sym_meta_property = 228,
  sym_arguments = 229,
  sym_decorator = 230,
  sym_decorator_member_expression = 231,
  sym_decorator_call_expression = 232,
  sym_class_body = 233,
  sym_field_definition = 234,
  sym_formal_parameters = 235,
  sym_class_static_block = 236,
  sym_pattern = 237,
  sym_rest_pattern = 238,
  sym_method_definition = 239,
  sym_pair = 240,
  sym_pair_pattern = 241,
  sym__property_name = 242,
  sym_computed_property_name = 243,
  aux_sym_program_repeat1 = 244,
  aux_sym_export_statement_repeat1 = 245,
  aux_sym_export_clause_repeat1 = 246,
  aux_sym_named_imports_repeat1 = 247,
  aux_sym_variable_declaration_repeat1 = 248,
  aux_sym_switch_body_repeat1 = 249,
  aux_sym_object_repeat1 = 250,
  aux_sym_object_pattern_repeat1 = 251,
  aux_sym_array_repeat1 = 252,
  aux_sym_array_pattern_repeat1 = 253,
  aux_sym_glimmer_template_repeat1 = 254,
  aux_sym_jsx_element_repeat1 = 255,
  aux_sym_jsx_opening_element_repeat1 = 256,
  aux_sym__jsx_string_repeat1 = 257,
  aux_sym__jsx_string_repeat2 = 258,
  aux_sym_sequence_expression_repeat1 = 259,
  aux_sym_string_repeat1 = 260,
  aux_sym_string_repeat2 = 261,
  aux_sym_template_string_repeat1 = 262,
  aux_sym_class_body_repeat1 = 263,
  aux_sym_formal_parameters_repeat1 = 264,
  alias_sym_property_identifier = 265,
  alias_sym_shorthand_property_identifier = 266,
  alias_sym_shorthand_property_identifier_pattern = 267,
  alias_sym_statement_identifier = 268,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 3},
  [32] = {.index = 48, .length = 1},
  [33] = {.index = 49, .length = 1},
  [34] = {.index = 50, .length = 1},
  [35] = {.index = 51, .length = 1},
  [36] = {.index = 52, .length = 1},
  [37] = {.index = 53, .length = 2},
  [38] = {.index = 55, .length = 1},
  [39] = {.index = 56, .length = 2},
  [40] = {.index = 58, .length = 2},
  [41] = {.index = 60, .length = 1},
  [42] = {.index = 18, .length = 2},
  [43] = {.index = 20, .length = 2},
  [44] = {.index = 61, .length = 3},
  [45] = {.index = 64, .length = 2},
  [46] = {.index = 64, .length = 2},
  [47] = {.index = 66, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [6] =
    {field_constructor, 1},
  [7] =
    {field_argument, 1},
    {field_operator, 0},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_argument, 0},
    {field_operator, 1},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [48] =
    {field_name, 1},
  [49] =
    {field_attribute, 0},
  [50] =
    {field_template, 0},
  [51] =
    {field_member, 0},
  [52] =
    {field_property, 0},
  [53] =
    {field_body, 2},
    {field_name, 1},
  [55] =
    {field_body, 2},
  [56] =
    {field_body, 2},
    {field_parameters, 1},
  [58] =
    {field_arguments, 2},
    {field_constructor, 1},
  [60] =
    {field_pattern, 1},
  [61] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [64] =
    {field_object, 0},
    {field_property, 2},
  [66] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [69] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [45] = {
    [2] = alias_sym_property_identifier,
  },
  [47] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 12,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 12,
  [18] = 14,
  [19] = 19,
  [20] = 12,
  [21] = 14,
  [22] = 12,
  [23] = 14,
  [24] = 12,
  [25] = 14,
  [26] = 14,
  [27] = 27,
  [28] = 28,
  [29] = 27,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 28,
  [34] = 34,
  [35] = 30,
  [36] = 36,
  [37] = 32,
  [38] = 34,
  [39] = 39,
  [40] = 39,
  [41] = 31,
  [42] = 42,
  [43] = 43,
  [44] = 36,
  [45] = 42,
  [46] = 46,
  [47] = 46,
  [48] = 46,
  [49] = 46,
  [50] = 46,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 57,
  [62] = 57,
  [63] = 63,
  [64] = 64,
  [65] = 57,
  [66] = 57,
  [67] = 67,
  [68] = 68,
  [69] = 57,
  [70] = 70,
  [71] = 57,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 74,
  [76] = 76,
  [77] = 76,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 81,
  [84] = 84,
  [85] = 85,
  [86] = 84,
  [87] = 87,
  [88] = 88,
  [89] = 87,
  [90] = 90,
  [91] = 91,
  [92] = 87,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 95,
  [98] = 98,
  [99] = 99,
  [100] = 99,
  [101] = 101,
  [102] = 102,
  [103] = 102,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 106,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 105,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 108,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 106,
  [121] = 108,
  [122] = 109,
  [123] = 110,
  [124] = 105,
  [125] = 112,
  [126] = 105,
  [127] = 117,
  [128] = 109,
  [129] = 129,
  [130] = 112,
  [131] = 131,
  [132] = 106,
  [133] = 131,
  [134] = 108,
  [135] = 118,
  [136] = 109,
  [137] = 110,
  [138] = 105,
  [139] = 112,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 140,
  [144] = 117,
  [145] = 110,
  [146] = 106,
  [147] = 108,
  [148] = 109,
  [149] = 110,
  [150] = 150,
  [151] = 112,
  [152] = 117,
  [153] = 117,
  [154] = 154,
  [155] = 154,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 166,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 154,
  [181] = 156,
  [182] = 163,
  [183] = 157,
  [184] = 158,
  [185] = 159,
  [186] = 160,
  [187] = 161,
  [188] = 188,
  [189] = 164,
  [190] = 190,
  [191] = 191,
  [192] = 170,
  [193] = 172,
  [194] = 171,
  [195] = 174,
  [196] = 177,
  [197] = 178,
  [198] = 179,
  [199] = 156,
  [200] = 157,
  [201] = 158,
  [202] = 159,
  [203] = 160,
  [204] = 161,
  [205] = 205,
  [206] = 190,
  [207] = 166,
  [208] = 172,
  [209] = 205,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 188,
  [217] = 163,
  [218] = 164,
  [219] = 190,
  [220] = 220,
  [221] = 191,
  [222] = 170,
  [223] = 171,
  [224] = 173,
  [225] = 174,
  [226] = 177,
  [227] = 178,
  [228] = 179,
  [229] = 154,
  [230] = 156,
  [231] = 157,
  [232] = 158,
  [233] = 159,
  [234] = 160,
  [235] = 161,
  [236] = 205,
  [237] = 212,
  [238] = 191,
  [239] = 188,
  [240] = 164,
  [241] = 190,
  [242] = 166,
  [243] = 173,
  [244] = 172,
  [245] = 188,
  [246] = 191,
  [247] = 188,
  [248] = 164,
  [249] = 190,
  [250] = 170,
  [251] = 191,
  [252] = 170,
  [253] = 171,
  [254] = 174,
  [255] = 177,
  [256] = 178,
  [257] = 179,
  [258] = 154,
  [259] = 156,
  [260] = 157,
  [261] = 158,
  [262] = 159,
  [263] = 160,
  [264] = 161,
  [265] = 205,
  [266] = 171,
  [267] = 174,
  [268] = 175,
  [269] = 177,
  [270] = 166,
  [271] = 172,
  [272] = 178,
  [273] = 173,
  [274] = 179,
  [275] = 173,
  [276] = 205,
  [277] = 277,
  [278] = 277,
  [279] = 277,
  [280] = 280,
  [281] = 281,
  [282] = 281,
  [283] = 281,
  [284] = 280,
  [285] = 285,
  [286] = 286,
  [287] = 285,
  [288] = 286,
  [289] = 285,
  [290] = 286,
  [291] = 291,
  [292] = 292,
  [293] = 292,
  [294] = 60,
  [295] = 70,
  [296] = 292,
  [297] = 297,
  [298] = 298,
  [299] = 292,
  [300] = 298,
  [301] = 292,
  [302] = 302,
  [303] = 297,
  [304] = 297,
  [305] = 72,
  [306] = 73,
  [307] = 307,
  [308] = 308,
  [309] = 292,
  [310] = 307,
  [311] = 302,
  [312] = 312,
  [313] = 292,
  [314] = 314,
  [315] = 298,
  [316] = 73,
  [317] = 317,
  [318] = 70,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 72,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 321,
  [332] = 332,
  [333] = 333,
  [334] = 67,
  [335] = 335,
  [336] = 60,
  [337] = 68,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 308,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 361,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 292,
  [398] = 398,
  [399] = 292,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 403,
  [405] = 403,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 333,
  [415] = 333,
  [416] = 416,
  [417] = 416,
  [418] = 418,
  [419] = 418,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 407,
  [428] = 428,
  [429] = 429,
  [430] = 416,
  [431] = 416,
  [432] = 418,
  [433] = 416,
  [434] = 434,
  [435] = 418,
  [436] = 436,
  [437] = 416,
  [438] = 438,
  [439] = 439,
  [440] = 413,
  [441] = 408,
  [442] = 333,
  [443] = 443,
  [444] = 428,
  [445] = 443,
  [446] = 406,
  [447] = 410,
  [448] = 418,
  [449] = 409,
  [450] = 411,
  [451] = 413,
  [452] = 438,
  [453] = 439,
  [454] = 418,
  [455] = 455,
  [456] = 456,
  [457] = 455,
  [458] = 413,
  [459] = 459,
  [460] = 413,
  [461] = 459,
  [462] = 462,
  [463] = 434,
  [464] = 443,
  [465] = 416,
  [466] = 428,
  [467] = 418,
  [468] = 462,
  [469] = 436,
  [470] = 459,
  [471] = 429,
  [472] = 416,
  [473] = 416,
  [474] = 418,
  [475] = 418,
  [476] = 456,
  [477] = 413,
  [478] = 478,
  [479] = 51,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 70,
  [487] = 60,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 68,
  [493] = 480,
  [494] = 478,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 72,
  [516] = 516,
  [517] = 70,
  [518] = 60,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 67,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 67,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 73,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 68,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 72,
  [579] = 579,
  [580] = 73,
  [581] = 481,
  [582] = 582,
  [583] = 505,
  [584] = 584,
  [585] = 482,
  [586] = 586,
  [587] = 488,
  [588] = 588,
  [589] = 589,
  [590] = 490,
  [591] = 577,
  [592] = 484,
  [593] = 593,
  [594] = 594,
  [595] = 51,
  [596] = 512,
  [597] = 514,
  [598] = 489,
  [599] = 599,
  [600] = 564,
  [601] = 567,
  [602] = 51,
  [603] = 483,
  [604] = 489,
  [605] = 485,
  [606] = 569,
  [607] = 485,
  [608] = 484,
  [609] = 609,
  [610] = 519,
  [611] = 579,
  [612] = 512,
  [613] = 514,
  [614] = 519,
  [615] = 530,
  [616] = 532,
  [617] = 533,
  [618] = 535,
  [619] = 537,
  [620] = 582,
  [621] = 539,
  [622] = 540,
  [623] = 541,
  [624] = 542,
  [625] = 543,
  [626] = 544,
  [627] = 545,
  [628] = 546,
  [629] = 550,
  [630] = 552,
  [631] = 530,
  [632] = 564,
  [633] = 567,
  [634] = 569,
  [635] = 532,
  [636] = 490,
  [637] = 533,
  [638] = 535,
  [639] = 505,
  [640] = 537,
  [641] = 582,
  [642] = 539,
  [643] = 540,
  [644] = 541,
  [645] = 542,
  [646] = 543,
  [647] = 544,
  [648] = 545,
  [649] = 546,
  [650] = 550,
  [651] = 651,
  [652] = 552,
  [653] = 483,
  [654] = 525,
  [655] = 52,
  [656] = 498,
  [657] = 499,
  [658] = 500,
  [659] = 64,
  [660] = 501,
  [661] = 661,
  [662] = 516,
  [663] = 53,
  [664] = 664,
  [665] = 665,
  [666] = 568,
  [667] = 555,
  [668] = 575,
  [669] = 528,
  [670] = 509,
  [671] = 483,
  [672] = 489,
  [673] = 485,
  [674] = 483,
  [675] = 489,
  [676] = 485,
  [677] = 576,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 665,
  [684] = 684,
  [685] = 685,
  [686] = 678,
  [687] = 503,
  [688] = 504,
  [689] = 689,
  [690] = 690,
  [691] = 570,
  [692] = 520,
  [693] = 678,
  [694] = 680,
  [695] = 521,
  [696] = 678,
  [697] = 522,
  [698] = 571,
  [699] = 524,
  [700] = 572,
  [701] = 484,
  [702] = 527,
  [703] = 510,
  [704] = 528,
  [705] = 506,
  [706] = 706,
  [707] = 529,
  [708] = 593,
  [709] = 511,
  [710] = 710,
  [711] = 711,
  [712] = 573,
  [713] = 502,
  [714] = 679,
  [715] = 574,
  [716] = 507,
  [717] = 491,
  [718] = 554,
  [719] = 685,
  [720] = 557,
  [721] = 531,
  [722] = 54,
  [723] = 558,
  [724] = 559,
  [725] = 513,
  [726] = 661,
  [727] = 560,
  [728] = 534,
  [729] = 680,
  [730] = 484,
  [731] = 561,
  [732] = 508,
  [733] = 536,
  [734] = 681,
  [735] = 735,
  [736] = 55,
  [737] = 563,
  [738] = 738,
  [739] = 565,
  [740] = 56,
  [741] = 566,
  [742] = 495,
  [743] = 496,
  [744] = 497,
  [745] = 547,
  [746] = 682,
  [747] = 548,
  [748] = 549,
  [749] = 749,
  [750] = 58,
  [751] = 551,
  [752] = 59,
  [753] = 753,
  [754] = 553,
  [755] = 526,
  [756] = 541,
  [757] = 542,
  [758] = 758,
  [759] = 543,
  [760] = 544,
  [761] = 505,
  [762] = 762,
  [763] = 545,
  [764] = 546,
  [765] = 550,
  [766] = 552,
  [767] = 564,
  [768] = 567,
  [769] = 569,
  [770] = 490,
  [771] = 664,
  [772] = 512,
  [773] = 514,
  [774] = 519,
  [775] = 530,
  [776] = 776,
  [777] = 532,
  [778] = 533,
  [779] = 779,
  [780] = 780,
  [781] = 535,
  [782] = 782,
  [783] = 537,
  [784] = 582,
  [785] = 785,
  [786] = 539,
  [787] = 540,
  [788] = 544,
  [789] = 789,
  [790] = 483,
  [791] = 489,
  [792] = 485,
  [793] = 789,
  [794] = 794,
  [795] = 789,
  [796] = 794,
  [797] = 797,
  [798] = 505,
  [799] = 789,
  [800] = 685,
  [801] = 512,
  [802] = 514,
  [803] = 519,
  [804] = 530,
  [805] = 532,
  [806] = 533,
  [807] = 535,
  [808] = 537,
  [809] = 582,
  [810] = 539,
  [811] = 540,
  [812] = 541,
  [813] = 542,
  [814] = 543,
  [815] = 545,
  [816] = 546,
  [817] = 550,
  [818] = 552,
  [819] = 564,
  [820] = 567,
  [821] = 569,
  [822] = 490,
  [823] = 593,
  [824] = 789,
  [825] = 528,
  [826] = 483,
  [827] = 827,
  [828] = 828,
  [829] = 828,
  [830] = 684,
  [831] = 489,
  [832] = 485,
  [833] = 828,
  [834] = 828,
  [835] = 828,
  [836] = 827,
  [837] = 828,
  [838] = 828,
  [839] = 484,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 841,
  [845] = 842,
  [846] = 841,
  [847] = 841,
  [848] = 842,
  [849] = 842,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 852,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 855,
  [858] = 856,
  [859] = 855,
  [860] = 856,
  [861] = 855,
  [862] = 856,
  [863] = 856,
  [864] = 855,
  [865] = 855,
  [866] = 856,
  [867] = 855,
  [868] = 856,
  [869] = 869,
  [870] = 870,
  [871] = 869,
  [872] = 869,
  [873] = 869,
  [874] = 869,
  [875] = 869,
  [876] = 869,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 70,
  [919] = 919,
  [920] = 60,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 521,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 73,
  [938] = 938,
  [939] = 939,
  [940] = 72,
  [941] = 506,
  [942] = 942,
  [943] = 891,
  [944] = 944,
  [945] = 945,
  [946] = 885,
  [947] = 890,
  [948] = 948,
  [949] = 948,
  [950] = 950,
  [951] = 890,
  [952] = 917,
  [953] = 904,
  [954] = 576,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 905,
  [963] = 963,
  [964] = 917,
  [965] = 965,
  [966] = 955,
  [967] = 967,
  [968] = 572,
  [969] = 969,
  [970] = 970,
  [971] = 956,
  [972] = 957,
  [973] = 958,
  [974] = 960,
  [975] = 967,
  [976] = 926,
  [977] = 977,
  [978] = 970,
  [979] = 979,
  [980] = 921,
  [981] = 981,
  [982] = 534,
  [983] = 961,
  [984] = 969,
  [985] = 963,
  [986] = 965,
  [987] = 977,
  [988] = 988,
  [989] = 988,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 993,
  [997] = 997,
  [998] = 997,
  [999] = 992,
  [1000] = 990,
  [1001] = 1001,
  [1002] = 1001,
  [1003] = 994,
  [1004] = 997,
  [1005] = 997,
  [1006] = 1006,
  [1007] = 995,
  [1008] = 991,
  [1009] = 997,
  [1010] = 1006,
  [1011] = 1011,
  [1012] = 1011,
  [1013] = 1011,
  [1014] = 1014,
  [1015] = 1014,
  [1016] = 1014,
  [1017] = 1014,
  [1018] = 1011,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1021,
  [1023] = 1021,
  [1024] = 1021,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1026,
  [1028] = 1026,
  [1029] = 1026,
  [1030] = 1025,
  [1031] = 1025,
  [1032] = 1025,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1035,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1039,
  [1042] = 1035,
  [1043] = 1039,
  [1044] = 1033,
  [1045] = 1036,
  [1046] = 1033,
  [1047] = 1037,
  [1048] = 1035,
  [1049] = 1039,
  [1050] = 1050,
  [1051] = 1036,
  [1052] = 1037,
  [1053] = 1033,
  [1054] = 1037,
  [1055] = 1036,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1063,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1063,
  [1071] = 1063,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1063,
  [1075] = 1063,
  [1076] = 1076,
  [1077] = 1063,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 511,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 549,
  [1089] = 1084,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1085,
  [1096] = 558,
  [1097] = 559,
  [1098] = 560,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 561,
  [1102] = 548,
  [1103] = 573,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 579,
  [1113] = 1113,
  [1114] = 1081,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1069,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1093,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1076,
  [1126] = 1064,
  [1127] = 1060,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 522,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 577,
  [1134] = 1107,
  [1135] = 1135,
  [1136] = 1135,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 577,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1144,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1144,
  [1150] = 511,
  [1151] = 522,
  [1152] = 1152,
  [1153] = 548,
  [1154] = 549,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1139,
  [1158] = 1140,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 579,
  [1162] = 1144,
  [1163] = 558,
  [1164] = 559,
  [1165] = 560,
  [1166] = 1155,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1155,
  [1170] = 1155,
  [1171] = 1171,
  [1172] = 1168,
  [1173] = 1171,
  [1174] = 1129,
  [1175] = 1175,
  [1176] = 1138,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 561,
  [1181] = 1156,
  [1182] = 573,
  [1183] = 1160,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1086,
  [1192] = 1087,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1186,
  [1200] = 1200,
  [1201] = 1200,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1203,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1159,
  [1212] = 1212,
  [1213] = 1202,
  [1214] = 1214,
  [1215] = 1187,
  [1216] = 1216,
  [1217] = 1188,
  [1218] = 1193,
  [1219] = 1219,
  [1220] = 1200,
  [1221] = 1203,
  [1222] = 1187,
  [1223] = 1195,
  [1224] = 1224,
  [1225] = 1210,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1219,
  [1229] = 1229,
  [1230] = 1188,
  [1231] = 1231,
  [1232] = 1108,
  [1233] = 1200,
  [1234] = 1187,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1123,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1208,
  [1246] = 1246,
  [1247] = 1188,
  [1248] = 1248,
  [1249] = 1203,
  [1250] = 1110,
  [1251] = 1251,
  [1252] = 1216,
  [1253] = 1251,
  [1254] = 1226,
  [1255] = 1243,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1263,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1264,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1264,
  [1286] = 1269,
  [1287] = 1287,
  [1288] = 1257,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1273,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1269,
  [1300] = 1300,
  [1301] = 1279,
  [1302] = 1302,
  [1303] = 1257,
  [1304] = 1304,
  [1305] = 1290,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1300,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1290,
  [1319] = 1307,
  [1320] = 1320,
  [1321] = 1291,
  [1322] = 1258,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 327,
  [1327] = 1276,
  [1328] = 1260,
  [1329] = 1287,
  [1330] = 1302,
  [1331] = 1331,
  [1332] = 1289,
  [1333] = 1333,
  [1334] = 1295,
  [1335] = 1297,
  [1336] = 1298,
  [1337] = 1297,
  [1338] = 1298,
  [1339] = 1259,
  [1340] = 1300,
  [1341] = 1323,
  [1342] = 1331,
  [1343] = 1316,
  [1344] = 1344,
  [1345] = 1300,
  [1346] = 1279,
  [1347] = 1292,
  [1348] = 1348,
  [1349] = 1317,
  [1350] = 1320,
  [1351] = 1351,
  [1352] = 1276,
  [1353] = 1291,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1270,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1379,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1376,
  [1400] = 1377,
  [1401] = 1378,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1360,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1244,
  [1411] = 1411,
  [1412] = 1358,
  [1413] = 1384,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1382,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1361,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1434,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1392,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1385,
  [1452] = 1452,
  [1453] = 554,
  [1454] = 1389,
  [1455] = 1450,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1369,
  [1460] = 1460,
  [1461] = 1452,
  [1462] = 1441,
  [1463] = 1463,
  [1464] = 1445,
  [1465] = 1465,
  [1466] = 1456,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 555,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1418,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1363,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1484,
  [1493] = 1370,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1421,
  [1497] = 1432,
  [1498] = 1498,
  [1499] = 1444,
  [1500] = 1449,
  [1501] = 1460,
  [1502] = 1463,
  [1503] = 1465,
  [1504] = 1468,
  [1505] = 1474,
  [1506] = 1475,
  [1507] = 1476,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1473,
  [1515] = 1495,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1510,
  [1520] = 1438,
  [1521] = 1442,
  [1522] = 1446,
  [1523] = 1516,
  [1524] = 1517,
  [1525] = 1447,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1482,
  [1532] = 1528,
  [1533] = 1376,
  [1534] = 1395,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1483,
  [1538] = 1378,
  [1539] = 1539,
  [1540] = 1490,
  [1541] = 1541,
  [1542] = 1509,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1485,
  [1546] = 1491,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1498,
  [1550] = 1550,
  [1551] = 1508,
  [1552] = 1365,
  [1553] = 1553,
  [1554] = 1536,
  [1555] = 1548,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1411,
  [1559] = 1559,
  [1560] = 1386,
  [1561] = 516,
  [1562] = 1387,
  [1563] = 1563,
  [1564] = 1376,
  [1565] = 1565,
  [1566] = 1378,
  [1567] = 1416,
  [1568] = 1563,
  [1569] = 1419,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1486,
  [1573] = 1415,
  [1574] = 1372,
  [1575] = 1417,
  [1576] = 1426,
  [1577] = 1448,
  [1578] = 1403,
  [1579] = 1579,
  [1580] = 1467,
  [1581] = 1581,
  [1582] = 1477,
  [1583] = 1478,
  [1584] = 1479,
  [1585] = 1585,
  [1586] = 1366,
  [1587] = 1587,
  [1588] = 1373,
  [1589] = 1375,
  [1590] = 1439,
  [1591] = 1420,
  [1592] = 1380,
  [1593] = 1593,
  [1594] = 1543,
  [1595] = 1511,
  [1596] = 1541,
  [1597] = 1544,
  [1598] = 1512,
  [1599] = 1585,
  [1600] = 1513,
  [1601] = 1435,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1605,
  [1614] = 1614,
  [1615] = 1238,
  [1616] = 1616,
  [1617] = 1606,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1605,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1604,
  [1624] = 1616,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1608,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1606,
  [1635] = 1635,
  [1636] = 1626,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1607,
  [1640] = 1604,
  [1641] = 1626,
  [1642] = 1607,
  [1643] = 1606,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1611,
  [1648] = 1626,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1611,
  [1653] = 1653,
  [1654] = 1651,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1618,
  [1658] = 1658,
  [1659] = 1603,
  [1660] = 1603,
  [1661] = 1661,
  [1662] = 1618,
  [1663] = 1663,
  [1664] = 1604,
  [1665] = 1607,
  [1666] = 1621,
  [1667] = 1603,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1622,
  [1671] = 1611,
  [1672] = 1621,
  [1673] = 1603,
  [1674] = 1618,
  [1675] = 1607,
  [1676] = 1618,
  [1677] = 1605,
  [1678] = 1616,
  [1679] = 1638,
  [1680] = 1605,
  [1681] = 1616,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1621,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1616,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1629,
  [1692] = 1604,
  [1693] = 1693,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 266,
        '"', 199,
        '#', 5,
        '$', 313,
        '%', 254,
        '&', 241,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 150,
        '+', 248,
        ',', 153,
        '-', 250,
        '.', 195,
        '/', 293,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 185,
        '=', 161,
        '>', 191,
        '?', 32,
        '@', 317,
        '[', 163,
        '\\', 101,
        ']', 164,
        '^', 244,
        '`', 291,
        's', 311,
        '{', 152,
        '|', 245,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(144);
      if (lookahead > '@') ADVANCE(315);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(318);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(21);
      if (lookahead == '&') ADVANCE(16);
      if (lookahead == '/') ADVANCE(171);
      if (lookahead == '<') ADVANCE(184);
      if (lookahead == '{') ADVANCE(152);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '<') ADVANCE(168);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(167);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(37);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(143);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(294);
      if (lookahead != 0) ADVANCE(295);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(148);
      if (lookahead == '\\') ADVANCE(102);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(316);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 265,
        '"', 199,
        '#', 81,
        '\'', 200,
        '(', 155,
        '*', 149,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 31,
        '/', 251,
        '0', 298,
        ';', 157,
        '<', 189,
        '@', 317,
        '[', 163,
        '\\', 103,
        '`', 291,
        's', 311,
        '{', 152,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 265,
        '"', 199,
        '#', 81,
        '\'', 200,
        '(', 155,
        '+', 247,
        '-', 249,
        '.', 196,
        '/', 251,
        '0', 298,
        ':', 158,
        '<', 189,
        '>', 190,
        '@', 317,
        '[', 163,
        '\\', 103,
        '`', 291,
        '{', 152,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 77,
        '"', 199,
        '#', 81,
        '%', 254,
        '&', 241,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 150,
        '+', 248,
        ',', 153,
        '-', 250,
        '.', 196,
        '/', 252,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 186,
        '=', 161,
        '>', 191,
        '?', 32,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 244,
        '`', 291,
        '{', 152,
        '|', 245,
        '}', 154,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 77,
        '%', 253,
        '&', 242,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 194,
        '/', 251,
        ':', 158,
        ';', 157,
        '<', 187,
        '=', 160,
        '>', 192,
        '?', 33,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 77,
        '%', 253,
        '&', 242,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 194,
        '/', 251,
        ':', 158,
        ';', 157,
        '<', 187,
        '=', 78,
        '>', 192,
        '?', 33,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(296);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 77,
        '%', 253,
        '&', 242,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 194,
        '/', 251,
        ':', 158,
        ';', 157,
        '<', 187,
        '=', 78,
        '>', 192,
        '?', 33,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '"', 199,
        '#', 81,
        '\'', 200,
        '(', 155,
        '*', 149,
        '.', 196,
        '/', 25,
        '0', 298,
        '<', 183,
        '@', 317,
        '[', 163,
        '\\', 103,
        's', 311,
        '{', 152,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(199);
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '/') ADVANCE(202);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(201);
      if (lookahead != 0) ADVANCE(203);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(199);
      if (lookahead == '/') ADVANCE(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(199);
      if (lookahead == '/') ADVANCE(270);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(14);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(273);
      if (lookahead != 0) ADVANCE(275);
      END_STATE();
    case 16:
      if (lookahead == '#') ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      if (lookahead != 0) ADVANCE(203);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      if (lookahead != 0) ADVANCE(209);
      END_STATE();
    case 19:
      if (lookahead == '$') ADVANCE(105);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '`') ADVANCE(291);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 20:
      if (lookahead == '$') ADVANCE(105);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '`') ADVANCE(291);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '&') ADVANCE(16);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '<') ADVANCE(184);
      if (lookahead == '{') ADVANCE(152);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(21);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 22:
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '\'') ADVANCE(200);
      if (lookahead == '/') ADVANCE(208);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(207);
      if (lookahead != 0) ADVANCE(209);
      END_STATE();
    case 23:
      if (lookahead == '\'') ADVANCE(200);
      if (lookahead == '/') ADVANCE(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(23);
      END_STATE();
    case 24:
      if (lookahead == '\'') ADVANCE(200);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(23);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(279);
      if (lookahead != 0) ADVANCE(281);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead != 0) ADVANCE(28);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead != 0) ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(204);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      if (lookahead != 0) ADVANCE(205);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      if (lookahead != 0) ADVANCE(211);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(214);
      if (lookahead == '?') ADVANCE(264);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(214);
      if (lookahead == '?') ADVANCE(263);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(230);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(194);
      if (lookahead == '/') ADVANCE(26);
      if (lookahead == ':') ADVANCE(158);
      if (lookahead == '=') ADVANCE(159);
      if (lookahead == '>') ADVANCE(190);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '{') ADVANCE(152);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(35);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(307);
      if (lookahead > '~') ADVANCE(315);
      END_STATE();
    case 36:
      if (lookahead == '/') ADVANCE(293);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(37);
      END_STATE();
    case 37:
      if (lookahead == '/') ADVANCE(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(37);
      END_STATE();
    case 38:
      if (lookahead == ';') ADVANCE(182);
      END_STATE();
    case 39:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(38);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 78:
      if (lookahead == '=') ADVANCE(258);
      END_STATE();
    case 79:
      if (lookahead == '>') ADVANCE(169);
      END_STATE();
    case 80:
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 81:
      if (lookahead == '\\') ADVANCE(102);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(316);
      END_STATE();
    case 82:
      if (lookahead == '\\') ADVANCE(142);
      if (lookahead == ']') ADVANCE(295);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(82);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(98);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 90:
      if (lookahead == 'g') ADVANCE(87);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(90);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(84);
      END_STATE();
    case 93:
      if (lookahead == 'm') ADVANCE(95);
      END_STATE();
    case 94:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 95:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 96:
      if (lookahead == 'p') ADVANCE(92);
      END_STATE();
    case 97:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 101:
      if (lookahead == 'u') ADVANCE(106);
      if (lookahead == 'x') ADVANCE(132);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(286);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(132);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(286);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 105:
      if (lookahead == '{') ADVANCE(292);
      END_STATE();
    case 106:
      if (lookahead == '{') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 107:
      if (lookahead == '{') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(138);
      END_STATE();
    case 108:
      if (lookahead == '{') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 109:
      if (lookahead == '{') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == '}') ADVANCE(315);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 111:
      if (lookahead == '}') ADVANCE(316);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 112:
      if (lookahead == '}') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 113:
      if (lookahead == '}') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 114:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(305);
      END_STATE();
    case 115:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 116:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(301);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(302);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(300);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(305);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(282);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(283);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 140:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(203);
      END_STATE();
    case 141:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(209);
      END_STATE();
    case 142:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(82);
      END_STATE();
    case 143:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(295);
      END_STATE();
    case 144:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 266,
        '"', 199,
        '#', 5,
        '$', 313,
        '%', 254,
        '&', 241,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 150,
        '+', 248,
        ',', 153,
        '-', 250,
        '.', 195,
        '/', 252,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 185,
        '=', 161,
        '>', 191,
        '?', 32,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 244,
        '`', 291,
        's', 311,
        '{', 152,
        '|', 245,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(144);
      if (lookahead > '@') ADVANCE(315);
      END_STATE();
    case 145:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 266,
        '"', 199,
        '#', 81,
        '%', 253,
        '&', 242,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 196,
        '/', 251,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 188,
        '=', 160,
        '>', 192,
        '?', 33,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(145);
      if (lookahead > '#') ADVANCE(315);
      END_STATE();
    case 146:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 265,
        '"', 199,
        '#', 5,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 149,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 31,
        '/', 251,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 189,
        '=', 162,
        '>', 190,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '`', 291,
        '{', 152,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(146);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(256);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(255);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(258);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(258);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '<') ADVANCE(168);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(167);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(165);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(100);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(172);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 180,
        '\r', 173,
        0x2028, 173,
        0x2029, 173,
        '&', 290,
        '<', 290,
        '>', 290,
        '{', 290,
        '}', 290,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(172);
      if (lookahead != 0) ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(180);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 178,
        '*', 174,
        '/', 173,
        '&', 28,
        '<', 28,
        '>', 28,
        '{', 28,
        '}', 28,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(178);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(28);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '/') ADVANCE(179);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(28);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(178);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(28);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(178);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 180,
        '\r', 180,
        0x2028, 180,
        0x2029, 180,
        '&', 290,
        '<', 290,
        '>', 290,
        '{', 290,
        '}', 290,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(179);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == '/') ADVANCE(171);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(181);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(197);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(197);
      if (lookahead == '<') ADVANCE(240);
      if (lookahead == '=') ADVANCE(257);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(240);
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(239);
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(239);
      if (lookahead == '=') ADVANCE(257);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(235);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(236);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '/') ADVANCE(202);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(140);
      if (lookahead == '*') ADVANCE(205);
      if (lookahead == '/') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(204);
      if (lookahead == '/') ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(204);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(288);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(208);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(209);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(141);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '/') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(30);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '/') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(30);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(289);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(212);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(227);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(228);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(224);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(225);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(232);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(231);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(222);
      if (lookahead == '|') ADVANCE(234);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(233);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(268);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(268);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(269);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(269);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(226);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead == '/') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(271);
      if (lookahead == '/') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(272);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(272);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(270);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(273);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '/') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '/') ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(278);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(278);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(276);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(279);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(103);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(282);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(282);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(285);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(203);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(290);
      if (lookahead != 0) ADVANCE(206);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(209);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(290);
      if (lookahead != 0) ADVANCE(212);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(37);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(143);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(294);
      if (lookahead != 0) ADVANCE(295);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(295);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(103);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(296);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 306,
        '0', 300,
        '_', 120,
        'n', 297,
        'B', 116,
        'b', 116,
        'E', 114,
        'e', 114,
        'O', 117,
        'o', 117,
        'X', 125,
        'x', 125,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(306);
      if (lookahead == '_') ADVANCE(118);
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(120);
      if (lookahead == 'n') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(300);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(116);
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(301);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(117);
      if (lookahead == 'n') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(125);
      if (lookahead == 'n') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(119);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(307);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'a') ADVANCE(312);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'c') ADVANCE(314);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'i') ADVANCE(309);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 't') ADVANCE(308);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 't') ADVANCE(310);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '{') ADVANCE(292);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(90);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(102);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(316);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(318);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'n', 10,
        'o', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'w', 17,
        'y', 18,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 146, .external_lex_state = 2},
  [2] = {.lex_state = 6, .external_lex_state = 2},
  [3] = {.lex_state = 6, .external_lex_state = 2},
  [4] = {.lex_state = 6, .external_lex_state = 2},
  [5] = {.lex_state = 6, .external_lex_state = 2},
  [6] = {.lex_state = 6, .external_lex_state = 2},
  [7] = {.lex_state = 146, .external_lex_state = 2},
  [8] = {.lex_state = 146, .external_lex_state = 2},
  [9] = {.lex_state = 146, .external_lex_state = 2},
  [10] = {.lex_state = 146, .external_lex_state = 2},
  [11] = {.lex_state = 146, .external_lex_state = 2},
  [12] = {.lex_state = 146, .external_lex_state = 2},
  [13] = {.lex_state = 146, .external_lex_state = 2},
  [14] = {.lex_state = 146, .external_lex_state = 2},
  [15] = {.lex_state = 146, .external_lex_state = 2},
  [16] = {.lex_state = 146, .external_lex_state = 2},
  [17] = {.lex_state = 146, .external_lex_state = 2},
  [18] = {.lex_state = 146, .external_lex_state = 2},
  [19] = {.lex_state = 146, .external_lex_state = 2},
  [20] = {.lex_state = 146, .external_lex_state = 2},
  [21] = {.lex_state = 146, .external_lex_state = 2},
  [22] = {.lex_state = 146, .external_lex_state = 2},
  [23] = {.lex_state = 146, .external_lex_state = 2},
  [24] = {.lex_state = 146, .external_lex_state = 2},
  [25] = {.lex_state = 146, .external_lex_state = 2},
  [26] = {.lex_state = 146, .external_lex_state = 2},
  [27] = {.lex_state = 146, .external_lex_state = 2},
  [28] = {.lex_state = 146, .external_lex_state = 2},
  [29] = {.lex_state = 146, .external_lex_state = 2},
  [30] = {.lex_state = 146, .external_lex_state = 2},
  [31] = {.lex_state = 146, .external_lex_state = 2},
  [32] = {.lex_state = 146, .external_lex_state = 2},
  [33] = {.lex_state = 146, .external_lex_state = 2},
  [34] = {.lex_state = 146, .external_lex_state = 2},
  [35] = {.lex_state = 146, .external_lex_state = 2},
  [36] = {.lex_state = 146, .external_lex_state = 2},
  [37] = {.lex_state = 146, .external_lex_state = 2},
  [38] = {.lex_state = 146, .external_lex_state = 2},
  [39] = {.lex_state = 146, .external_lex_state = 2},
  [40] = {.lex_state = 146, .external_lex_state = 2},
  [41] = {.lex_state = 146, .external_lex_state = 2},
  [42] = {.lex_state = 146, .external_lex_state = 2},
  [43] = {.lex_state = 146, .external_lex_state = 2},
  [44] = {.lex_state = 146, .external_lex_state = 2},
  [45] = {.lex_state = 146, .external_lex_state = 2},
  [46] = {.lex_state = 145, .external_lex_state = 3},
  [47] = {.lex_state = 145, .external_lex_state = 4},
  [48] = {.lex_state = 145, .external_lex_state = 4},
  [49] = {.lex_state = 145, .external_lex_state = 3},
  [50] = {.lex_state = 145, .external_lex_state = 3},
  [51] = {.lex_state = 145, .external_lex_state = 4},
  [52] = {.lex_state = 145, .external_lex_state = 4},
  [53] = {.lex_state = 145, .external_lex_state = 4},
  [54] = {.lex_state = 145, .external_lex_state = 4},
  [55] = {.lex_state = 145, .external_lex_state = 4},
  [56] = {.lex_state = 145, .external_lex_state = 4},
  [57] = {.lex_state = 146, .external_lex_state = 2},
  [58] = {.lex_state = 145, .external_lex_state = 4},
  [59] = {.lex_state = 145, .external_lex_state = 4},
  [60] = {.lex_state = 145, .external_lex_state = 4},
  [61] = {.lex_state = 146, .external_lex_state = 2},
  [62] = {.lex_state = 146, .external_lex_state = 2},
  [63] = {.lex_state = 146, .external_lex_state = 2},
  [64] = {.lex_state = 145, .external_lex_state = 4},
  [65] = {.lex_state = 146, .external_lex_state = 2},
  [66] = {.lex_state = 146, .external_lex_state = 2},
  [67] = {.lex_state = 145, .external_lex_state = 4},
  [68] = {.lex_state = 145, .external_lex_state = 4},
  [69] = {.lex_state = 146, .external_lex_state = 2},
  [70] = {.lex_state = 145, .external_lex_state = 4},
  [71] = {.lex_state = 146, .external_lex_state = 2},
  [72] = {.lex_state = 145, .external_lex_state = 4},
  [73] = {.lex_state = 145, .external_lex_state = 4},
  [74] = {.lex_state = 146, .external_lex_state = 2},
  [75] = {.lex_state = 146, .external_lex_state = 2},
  [76] = {.lex_state = 146, .external_lex_state = 2},
  [77] = {.lex_state = 146, .external_lex_state = 2},
  [78] = {.lex_state = 146, .external_lex_state = 2},
  [79] = {.lex_state = 146, .external_lex_state = 2},
  [80] = {.lex_state = 146, .external_lex_state = 2},
  [81] = {.lex_state = 146, .external_lex_state = 2},
  [82] = {.lex_state = 146, .external_lex_state = 2},
  [83] = {.lex_state = 146, .external_lex_state = 2},
  [84] = {.lex_state = 146, .external_lex_state = 2},
  [85] = {.lex_state = 146, .external_lex_state = 2},
  [86] = {.lex_state = 146, .external_lex_state = 2},
  [87] = {.lex_state = 146, .external_lex_state = 2},
  [88] = {.lex_state = 146, .external_lex_state = 2},
  [89] = {.lex_state = 146, .external_lex_state = 2},
  [90] = {.lex_state = 146, .external_lex_state = 2},
  [91] = {.lex_state = 146, .external_lex_state = 2},
  [92] = {.lex_state = 146, .external_lex_state = 2},
  [93] = {.lex_state = 146, .external_lex_state = 2},
  [94] = {.lex_state = 146, .external_lex_state = 2},
  [95] = {.lex_state = 146, .external_lex_state = 2},
  [96] = {.lex_state = 146, .external_lex_state = 2},
  [97] = {.lex_state = 146, .external_lex_state = 2},
  [98] = {.lex_state = 146, .external_lex_state = 2},
  [99] = {.lex_state = 146, .external_lex_state = 2},
  [100] = {.lex_state = 146, .external_lex_state = 2},
  [101] = {.lex_state = 146, .external_lex_state = 5},
  [102] = {.lex_state = 146, .external_lex_state = 2},
  [103] = {.lex_state = 146, .external_lex_state = 2},
  [104] = {.lex_state = 146, .external_lex_state = 2},
  [105] = {.lex_state = 146, .external_lex_state = 2},
  [106] = {.lex_state = 146, .external_lex_state = 2},
  [107] = {.lex_state = 146, .external_lex_state = 2},
  [108] = {.lex_state = 146, .external_lex_state = 2},
  [109] = {.lex_state = 146, .external_lex_state = 2},
  [110] = {.lex_state = 146, .external_lex_state = 2},
  [111] = {.lex_state = 146, .external_lex_state = 2},
  [112] = {.lex_state = 146, .external_lex_state = 2},
  [113] = {.lex_state = 146, .external_lex_state = 2},
  [114] = {.lex_state = 146, .external_lex_state = 2},
  [115] = {.lex_state = 146, .external_lex_state = 2},
  [116] = {.lex_state = 146, .external_lex_state = 2},
  [117] = {.lex_state = 7, .external_lex_state = 2},
  [118] = {.lex_state = 146, .external_lex_state = 2},
  [119] = {.lex_state = 146, .external_lex_state = 2},
  [120] = {.lex_state = 146, .external_lex_state = 2},
  [121] = {.lex_state = 146, .external_lex_state = 2},
  [122] = {.lex_state = 146, .external_lex_state = 2},
  [123] = {.lex_state = 146, .external_lex_state = 2},
  [124] = {.lex_state = 146, .external_lex_state = 2},
  [125] = {.lex_state = 146, .external_lex_state = 2},
  [126] = {.lex_state = 146, .external_lex_state = 2},
  [127] = {.lex_state = 7, .external_lex_state = 2},
  [128] = {.lex_state = 146, .external_lex_state = 2},
  [129] = {.lex_state = 146, .external_lex_state = 2},
  [130] = {.lex_state = 146, .external_lex_state = 2},
  [131] = {.lex_state = 146, .external_lex_state = 2},
  [132] = {.lex_state = 146, .external_lex_state = 2},
  [133] = {.lex_state = 146, .external_lex_state = 2},
  [134] = {.lex_state = 146, .external_lex_state = 2},
  [135] = {.lex_state = 146, .external_lex_state = 2},
  [136] = {.lex_state = 146, .external_lex_state = 2},
  [137] = {.lex_state = 146, .external_lex_state = 2},
  [138] = {.lex_state = 146, .external_lex_state = 2},
  [139] = {.lex_state = 146, .external_lex_state = 2},
  [140] = {.lex_state = 146, .external_lex_state = 2},
  [141] = {.lex_state = 146, .external_lex_state = 2},
  [142] = {.lex_state = 146, .external_lex_state = 2},
  [143] = {.lex_state = 146, .external_lex_state = 2},
  [144] = {.lex_state = 7, .external_lex_state = 2},
  [145] = {.lex_state = 146, .external_lex_state = 2},
  [146] = {.lex_state = 146, .external_lex_state = 2},
  [147] = {.lex_state = 146, .external_lex_state = 2},
  [148] = {.lex_state = 146, .external_lex_state = 2},
  [149] = {.lex_state = 146, .external_lex_state = 2},
  [150] = {.lex_state = 146, .external_lex_state = 2},
  [151] = {.lex_state = 146, .external_lex_state = 2},
  [152] = {.lex_state = 7, .external_lex_state = 2},
  [153] = {.lex_state = 7, .external_lex_state = 2},
  [154] = {.lex_state = 146, .external_lex_state = 2},
  [155] = {.lex_state = 146, .external_lex_state = 2},
  [156] = {.lex_state = 146, .external_lex_state = 2},
  [157] = {.lex_state = 146, .external_lex_state = 2},
  [158] = {.lex_state = 146, .external_lex_state = 2},
  [159] = {.lex_state = 146, .external_lex_state = 2},
  [160] = {.lex_state = 146, .external_lex_state = 2},
  [161] = {.lex_state = 146, .external_lex_state = 2},
  [162] = {.lex_state = 146, .external_lex_state = 2},
  [163] = {.lex_state = 146, .external_lex_state = 2},
  [164] = {.lex_state = 146, .external_lex_state = 2},
  [165] = {.lex_state = 146, .external_lex_state = 2},
  [166] = {.lex_state = 146, .external_lex_state = 2},
  [167] = {.lex_state = 146, .external_lex_state = 2},
  [168] = {.lex_state = 146, .external_lex_state = 2},
  [169] = {.lex_state = 146, .external_lex_state = 2},
  [170] = {.lex_state = 146, .external_lex_state = 2},
  [171] = {.lex_state = 146, .external_lex_state = 2},
  [172] = {.lex_state = 146, .external_lex_state = 2},
  [173] = {.lex_state = 146, .external_lex_state = 2},
  [174] = {.lex_state = 146, .external_lex_state = 2},
  [175] = {.lex_state = 146, .external_lex_state = 2},
  [176] = {.lex_state = 146, .external_lex_state = 2},
  [177] = {.lex_state = 146, .external_lex_state = 2},
  [178] = {.lex_state = 146, .external_lex_state = 2},
  [179] = {.lex_state = 146, .external_lex_state = 2},
  [180] = {.lex_state = 146, .external_lex_state = 2},
  [181] = {.lex_state = 146, .external_lex_state = 2},
  [182] = {.lex_state = 146, .external_lex_state = 2},
  [183] = {.lex_state = 146, .external_lex_state = 2},
  [184] = {.lex_state = 146, .external_lex_state = 2},
  [185] = {.lex_state = 146, .external_lex_state = 2},
  [186] = {.lex_state = 146, .external_lex_state = 2},
  [187] = {.lex_state = 146, .external_lex_state = 2},
  [188] = {.lex_state = 146, .external_lex_state = 2},
  [189] = {.lex_state = 146, .external_lex_state = 2},
  [190] = {.lex_state = 146, .external_lex_state = 2},
  [191] = {.lex_state = 146, .external_lex_state = 2},
  [192] = {.lex_state = 146, .external_lex_state = 2},
  [193] = {.lex_state = 146, .external_lex_state = 2},
  [194] = {.lex_state = 146, .external_lex_state = 2},
  [195] = {.lex_state = 146, .external_lex_state = 2},
  [196] = {.lex_state = 146, .external_lex_state = 2},
  [197] = {.lex_state = 146, .external_lex_state = 2},
  [198] = {.lex_state = 146, .external_lex_state = 2},
  [199] = {.lex_state = 146, .external_lex_state = 2},
  [200] = {.lex_state = 146, .external_lex_state = 2},
  [201] = {.lex_state = 146, .external_lex_state = 2},
  [202] = {.lex_state = 146, .external_lex_state = 2},
  [203] = {.lex_state = 146, .external_lex_state = 2},
  [204] = {.lex_state = 146, .external_lex_state = 2},
  [205] = {.lex_state = 146, .external_lex_state = 2},
  [206] = {.lex_state = 146, .external_lex_state = 2},
  [207] = {.lex_state = 146, .external_lex_state = 2},
  [208] = {.lex_state = 146, .external_lex_state = 2},
  [209] = {.lex_state = 146, .external_lex_state = 2},
  [210] = {.lex_state = 146, .external_lex_state = 2},
  [211] = {.lex_state = 146, .external_lex_state = 2},
  [212] = {.lex_state = 146, .external_lex_state = 2},
  [213] = {.lex_state = 146, .external_lex_state = 2},
  [214] = {.lex_state = 146, .external_lex_state = 2},
  [215] = {.lex_state = 146, .external_lex_state = 2},
  [216] = {.lex_state = 146, .external_lex_state = 2},
  [217] = {.lex_state = 146, .external_lex_state = 2},
  [218] = {.lex_state = 146, .external_lex_state = 2},
  [219] = {.lex_state = 146, .external_lex_state = 2},
  [220] = {.lex_state = 146, .external_lex_state = 2},
  [221] = {.lex_state = 146, .external_lex_state = 2},
  [222] = {.lex_state = 146, .external_lex_state = 2},
  [223] = {.lex_state = 146, .external_lex_state = 2},
  [224] = {.lex_state = 146, .external_lex_state = 2},
  [225] = {.lex_state = 146, .external_lex_state = 2},
  [226] = {.lex_state = 146, .external_lex_state = 2},
  [227] = {.lex_state = 146, .external_lex_state = 2},
  [228] = {.lex_state = 146, .external_lex_state = 2},
  [229] = {.lex_state = 146, .external_lex_state = 2},
  [230] = {.lex_state = 146, .external_lex_state = 2},
  [231] = {.lex_state = 146, .external_lex_state = 2},
  [232] = {.lex_state = 146, .external_lex_state = 2},
  [233] = {.lex_state = 146, .external_lex_state = 2},
  [234] = {.lex_state = 146, .external_lex_state = 2},
  [235] = {.lex_state = 146, .external_lex_state = 2},
  [236] = {.lex_state = 146, .external_lex_state = 2},
  [237] = {.lex_state = 146, .external_lex_state = 2},
  [238] = {.lex_state = 146, .external_lex_state = 2},
  [239] = {.lex_state = 146, .external_lex_state = 2},
  [240] = {.lex_state = 146, .external_lex_state = 2},
  [241] = {.lex_state = 146, .external_lex_state = 2},
  [242] = {.lex_state = 146, .external_lex_state = 2},
  [243] = {.lex_state = 146, .external_lex_state = 2},
  [244] = {.lex_state = 146, .external_lex_state = 2},
  [245] = {.lex_state = 146, .external_lex_state = 2},
  [246] = {.lex_state = 146, .external_lex_state = 2},
  [247] = {.lex_state = 146, .external_lex_state = 2},
  [248] = {.lex_state = 146, .external_lex_state = 2},
  [249] = {.lex_state = 146, .external_lex_state = 2},
  [250] = {.lex_state = 146, .external_lex_state = 2},
  [251] = {.lex_state = 146, .external_lex_state = 2},
  [252] = {.lex_state = 146, .external_lex_state = 2},
  [253] = {.lex_state = 146, .external_lex_state = 2},
  [254] = {.lex_state = 146, .external_lex_state = 2},
  [255] = {.lex_state = 146, .external_lex_state = 2},
  [256] = {.lex_state = 146, .external_lex_state = 2},
  [257] = {.lex_state = 146, .external_lex_state = 2},
  [258] = {.lex_state = 146, .external_lex_state = 2},
  [259] = {.lex_state = 146, .external_lex_state = 2},
  [260] = {.lex_state = 146, .external_lex_state = 2},
  [261] = {.lex_state = 146, .external_lex_state = 2},
  [262] = {.lex_state = 146, .external_lex_state = 2},
  [263] = {.lex_state = 146, .external_lex_state = 2},
  [264] = {.lex_state = 146, .external_lex_state = 2},
  [265] = {.lex_state = 146, .external_lex_state = 2},
  [266] = {.lex_state = 146, .external_lex_state = 2},
  [267] = {.lex_state = 146, .external_lex_state = 2},
  [268] = {.lex_state = 146, .external_lex_state = 2},
  [269] = {.lex_state = 146, .external_lex_state = 2},
  [270] = {.lex_state = 146, .external_lex_state = 2},
  [271] = {.lex_state = 146, .external_lex_state = 2},
  [272] = {.lex_state = 146, .external_lex_state = 2},
  [273] = {.lex_state = 146, .external_lex_state = 2},
  [274] = {.lex_state = 146, .external_lex_state = 2},
  [275] = {.lex_state = 146, .external_lex_state = 2},
  [276] = {.lex_state = 146, .external_lex_state = 2},
  [277] = {.lex_state = 8, .external_lex_state = 4},
  [278] = {.lex_state = 8, .external_lex_state = 4},
  [279] = {.lex_state = 8, .external_lex_state = 4},
  [280] = {.lex_state = 8, .external_lex_state = 4},
  [281] = {.lex_state = 8, .external_lex_state = 4},
  [282] = {.lex_state = 8, .external_lex_state = 4},
  [283] = {.lex_state = 8, .external_lex_state = 4},
  [284] = {.lex_state = 8, .external_lex_state = 4},
  [285] = {.lex_state = 8, .external_lex_state = 4},
  [286] = {.lex_state = 8, .external_lex_state = 4},
  [287] = {.lex_state = 8, .external_lex_state = 4},
  [288] = {.lex_state = 8, .external_lex_state = 4},
  [289] = {.lex_state = 8, .external_lex_state = 4},
  [290] = {.lex_state = 8, .external_lex_state = 4},
  [291] = {.lex_state = 146, .external_lex_state = 2},
  [292] = {.lex_state = 8, .external_lex_state = 3},
  [293] = {.lex_state = 8, .external_lex_state = 3},
  [294] = {.lex_state = 146, .external_lex_state = 5},
  [295] = {.lex_state = 146, .external_lex_state = 5},
  [296] = {.lex_state = 8, .external_lex_state = 4},
  [297] = {.lex_state = 8, .external_lex_state = 4},
  [298] = {.lex_state = 8, .external_lex_state = 3},
  [299] = {.lex_state = 8, .external_lex_state = 4},
  [300] = {.lex_state = 8, .external_lex_state = 3},
  [301] = {.lex_state = 8, .external_lex_state = 4},
  [302] = {.lex_state = 8, .external_lex_state = 3},
  [303] = {.lex_state = 8, .external_lex_state = 4},
  [304] = {.lex_state = 8, .external_lex_state = 4},
  [305] = {.lex_state = 146, .external_lex_state = 2},
  [306] = {.lex_state = 146, .external_lex_state = 2},
  [307] = {.lex_state = 8, .external_lex_state = 4},
  [308] = {.lex_state = 8, .external_lex_state = 4},
  [309] = {.lex_state = 8, .external_lex_state = 4},
  [310] = {.lex_state = 8, .external_lex_state = 4},
  [311] = {.lex_state = 8, .external_lex_state = 3},
  [312] = {.lex_state = 146, .external_lex_state = 2},
  [313] = {.lex_state = 8, .external_lex_state = 3},
  [314] = {.lex_state = 146, .external_lex_state = 5},
  [315] = {.lex_state = 8, .external_lex_state = 3},
  [316] = {.lex_state = 146, .external_lex_state = 5},
  [317] = {.lex_state = 146, .external_lex_state = 5},
  [318] = {.lex_state = 146, .external_lex_state = 5},
  [319] = {.lex_state = 146, .external_lex_state = 5},
  [320] = {.lex_state = 146, .external_lex_state = 5},
  [321] = {.lex_state = 8, .external_lex_state = 4},
  [322] = {.lex_state = 146, .external_lex_state = 5},
  [323] = {.lex_state = 146, .external_lex_state = 5},
  [324] = {.lex_state = 146, .external_lex_state = 2},
  [325] = {.lex_state = 146, .external_lex_state = 2},
  [326] = {.lex_state = 146, .external_lex_state = 2},
  [327] = {.lex_state = 146, .external_lex_state = 2},
  [328] = {.lex_state = 146, .external_lex_state = 5},
  [329] = {.lex_state = 146, .external_lex_state = 2},
  [330] = {.lex_state = 146, .external_lex_state = 5},
  [331] = {.lex_state = 8, .external_lex_state = 4},
  [332] = {.lex_state = 146, .external_lex_state = 5},
  [333] = {.lex_state = 146, .external_lex_state = 5},
  [334] = {.lex_state = 146, .external_lex_state = 5},
  [335] = {.lex_state = 146, .external_lex_state = 5},
  [336] = {.lex_state = 146, .external_lex_state = 5},
  [337] = {.lex_state = 146, .external_lex_state = 5},
  [338] = {.lex_state = 146, .external_lex_state = 2},
  [339] = {.lex_state = 146, .external_lex_state = 2},
  [340] = {.lex_state = 146, .external_lex_state = 2},
  [341] = {.lex_state = 146, .external_lex_state = 2},
  [342] = {.lex_state = 146, .external_lex_state = 2},
  [343] = {.lex_state = 146, .external_lex_state = 2},
  [344] = {.lex_state = 146, .external_lex_state = 2},
  [345] = {.lex_state = 146, .external_lex_state = 2},
  [346] = {.lex_state = 146, .external_lex_state = 2},
  [347] = {.lex_state = 146, .external_lex_state = 2},
  [348] = {.lex_state = 146, .external_lex_state = 2},
  [349] = {.lex_state = 146, .external_lex_state = 2},
  [350] = {.lex_state = 146, .external_lex_state = 2},
  [351] = {.lex_state = 146, .external_lex_state = 2},
  [352] = {.lex_state = 146, .external_lex_state = 2},
  [353] = {.lex_state = 146, .external_lex_state = 2},
  [354] = {.lex_state = 146, .external_lex_state = 2},
  [355] = {.lex_state = 146, .external_lex_state = 2},
  [356] = {.lex_state = 146, .external_lex_state = 2},
  [357] = {.lex_state = 146, .external_lex_state = 2},
  [358] = {.lex_state = 146, .external_lex_state = 2},
  [359] = {.lex_state = 146, .external_lex_state = 2},
  [360] = {.lex_state = 146, .external_lex_state = 2},
  [361] = {.lex_state = 8, .external_lex_state = 4},
  [362] = {.lex_state = 146, .external_lex_state = 2},
  [363] = {.lex_state = 146, .external_lex_state = 2},
  [364] = {.lex_state = 146, .external_lex_state = 2},
  [365] = {.lex_state = 146, .external_lex_state = 2},
  [366] = {.lex_state = 146, .external_lex_state = 2},
  [367] = {.lex_state = 146, .external_lex_state = 2},
  [368] = {.lex_state = 8, .external_lex_state = 3},
  [369] = {.lex_state = 146, .external_lex_state = 2},
  [370] = {.lex_state = 146, .external_lex_state = 2},
  [371] = {.lex_state = 146, .external_lex_state = 2},
  [372] = {.lex_state = 146, .external_lex_state = 2},
  [373] = {.lex_state = 146, .external_lex_state = 2},
  [374] = {.lex_state = 146, .external_lex_state = 2},
  [375] = {.lex_state = 8, .external_lex_state = 4},
  [376] = {.lex_state = 146, .external_lex_state = 2},
  [377] = {.lex_state = 8, .external_lex_state = 4},
  [378] = {.lex_state = 146, .external_lex_state = 2},
  [379] = {.lex_state = 146, .external_lex_state = 2},
  [380] = {.lex_state = 146, .external_lex_state = 2},
  [381] = {.lex_state = 146, .external_lex_state = 2},
  [382] = {.lex_state = 146, .external_lex_state = 2},
  [383] = {.lex_state = 146, .external_lex_state = 2},
  [384] = {.lex_state = 146, .external_lex_state = 2},
  [385] = {.lex_state = 146, .external_lex_state = 2},
  [386] = {.lex_state = 146, .external_lex_state = 2},
  [387] = {.lex_state = 146, .external_lex_state = 2},
  [388] = {.lex_state = 146, .external_lex_state = 2},
  [389] = {.lex_state = 146, .external_lex_state = 2},
  [390] = {.lex_state = 146, .external_lex_state = 2},
  [391] = {.lex_state = 146, .external_lex_state = 2},
  [392] = {.lex_state = 146, .external_lex_state = 2},
  [393] = {.lex_state = 146, .external_lex_state = 2},
  [394] = {.lex_state = 146, .external_lex_state = 2},
  [395] = {.lex_state = 146, .external_lex_state = 2},
  [396] = {.lex_state = 146, .external_lex_state = 2},
  [397] = {.lex_state = 8, .external_lex_state = 3},
  [398] = {.lex_state = 146, .external_lex_state = 2},
  [399] = {.lex_state = 8, .external_lex_state = 3},
  [400] = {.lex_state = 146, .external_lex_state = 2},
  [401] = {.lex_state = 146, .external_lex_state = 2},
  [402] = {.lex_state = 8, .external_lex_state = 4},
  [403] = {.lex_state = 8, .external_lex_state = 4},
  [404] = {.lex_state = 8, .external_lex_state = 4},
  [405] = {.lex_state = 8, .external_lex_state = 4},
  [406] = {.lex_state = 8, .external_lex_state = 3},
  [407] = {.lex_state = 8, .external_lex_state = 3},
  [408] = {.lex_state = 8, .external_lex_state = 3},
  [409] = {.lex_state = 8, .external_lex_state = 3},
  [410] = {.lex_state = 8, .external_lex_state = 3},
  [411] = {.lex_state = 8, .external_lex_state = 3},
  [412] = {.lex_state = 8, .external_lex_state = 3},
  [413] = {.lex_state = 8, .external_lex_state = 3},
  [414] = {.lex_state = 8, .external_lex_state = 3},
  [415] = {.lex_state = 146, .external_lex_state = 2},
  [416] = {.lex_state = 8, .external_lex_state = 3},
  [417] = {.lex_state = 8, .external_lex_state = 3},
  [418] = {.lex_state = 8, .external_lex_state = 3},
  [419] = {.lex_state = 8, .external_lex_state = 3},
  [420] = {.lex_state = 146, .external_lex_state = 2},
  [421] = {.lex_state = 146, .external_lex_state = 2},
  [422] = {.lex_state = 146, .external_lex_state = 2},
  [423] = {.lex_state = 146, .external_lex_state = 2},
  [424] = {.lex_state = 146, .external_lex_state = 2},
  [425] = {.lex_state = 146, .external_lex_state = 2},
  [426] = {.lex_state = 146, .external_lex_state = 2},
  [427] = {.lex_state = 8, .external_lex_state = 4},
  [428] = {.lex_state = 8, .external_lex_state = 3},
  [429] = {.lex_state = 8, .external_lex_state = 4},
  [430] = {.lex_state = 8, .external_lex_state = 4},
  [431] = {.lex_state = 8, .external_lex_state = 4},
  [432] = {.lex_state = 8, .external_lex_state = 4},
  [433] = {.lex_state = 8, .external_lex_state = 4},
  [434] = {.lex_state = 8, .external_lex_state = 3},
  [435] = {.lex_state = 8, .external_lex_state = 4},
  [436] = {.lex_state = 8, .external_lex_state = 4},
  [437] = {.lex_state = 8, .external_lex_state = 4},
  [438] = {.lex_state = 8, .external_lex_state = 4},
  [439] = {.lex_state = 8, .external_lex_state = 4},
  [440] = {.lex_state = 8, .external_lex_state = 4},
  [441] = {.lex_state = 8, .external_lex_state = 4},
  [442] = {.lex_state = 8, .external_lex_state = 4},
  [443] = {.lex_state = 8, .external_lex_state = 3},
  [444] = {.lex_state = 8, .external_lex_state = 3},
  [445] = {.lex_state = 8, .external_lex_state = 3},
  [446] = {.lex_state = 8, .external_lex_state = 4},
  [447] = {.lex_state = 8, .external_lex_state = 4},
  [448] = {.lex_state = 8, .external_lex_state = 4},
  [449] = {.lex_state = 8, .external_lex_state = 4},
  [450] = {.lex_state = 8, .external_lex_state = 4},
  [451] = {.lex_state = 8, .external_lex_state = 3},
  [452] = {.lex_state = 8, .external_lex_state = 4},
  [453] = {.lex_state = 8, .external_lex_state = 4},
  [454] = {.lex_state = 8, .external_lex_state = 4},
  [455] = {.lex_state = 8, .external_lex_state = 3},
  [456] = {.lex_state = 8, .external_lex_state = 4},
  [457] = {.lex_state = 8, .external_lex_state = 3},
  [458] = {.lex_state = 8, .external_lex_state = 4},
  [459] = {.lex_state = 8, .external_lex_state = 3},
  [460] = {.lex_state = 8, .external_lex_state = 4},
  [461] = {.lex_state = 8, .external_lex_state = 3},
  [462] = {.lex_state = 8, .external_lex_state = 3},
  [463] = {.lex_state = 8, .external_lex_state = 3},
  [464] = {.lex_state = 8, .external_lex_state = 3},
  [465] = {.lex_state = 8, .external_lex_state = 3},
  [466] = {.lex_state = 8, .external_lex_state = 3},
  [467] = {.lex_state = 8, .external_lex_state = 3},
  [468] = {.lex_state = 8, .external_lex_state = 3},
  [469] = {.lex_state = 8, .external_lex_state = 3},
  [470] = {.lex_state = 8, .external_lex_state = 3},
  [471] = {.lex_state = 8, .external_lex_state = 3},
  [472] = {.lex_state = 8, .external_lex_state = 3},
  [473] = {.lex_state = 8, .external_lex_state = 3},
  [474] = {.lex_state = 8, .external_lex_state = 3},
  [475] = {.lex_state = 8, .external_lex_state = 3},
  [476] = {.lex_state = 8, .external_lex_state = 3},
  [477] = {.lex_state = 8, .external_lex_state = 3},
  [478] = {.lex_state = 9, .external_lex_state = 3},
  [479] = {.lex_state = 9, .external_lex_state = 4},
  [480] = {.lex_state = 9, .external_lex_state = 3},
  [481] = {.lex_state = 9, .external_lex_state = 3},
  [482] = {.lex_state = 9, .external_lex_state = 3},
  [483] = {.lex_state = 9, .external_lex_state = 3},
  [484] = {.lex_state = 9, .external_lex_state = 3},
  [485] = {.lex_state = 9, .external_lex_state = 3},
  [486] = {.lex_state = 9, .external_lex_state = 4},
  [487] = {.lex_state = 9, .external_lex_state = 4},
  [488] = {.lex_state = 9, .external_lex_state = 3},
  [489] = {.lex_state = 9, .external_lex_state = 3},
  [490] = {.lex_state = 9, .external_lex_state = 3},
  [491] = {.lex_state = 9, .external_lex_state = 3},
  [492] = {.lex_state = 9, .external_lex_state = 4},
  [493] = {.lex_state = 9, .external_lex_state = 4},
  [494] = {.lex_state = 9, .external_lex_state = 4},
  [495] = {.lex_state = 9, .external_lex_state = 3},
  [496] = {.lex_state = 9, .external_lex_state = 3},
  [497] = {.lex_state = 9, .external_lex_state = 3},
  [498] = {.lex_state = 9, .external_lex_state = 3},
  [499] = {.lex_state = 9, .external_lex_state = 3},
  [500] = {.lex_state = 9, .external_lex_state = 3},
  [501] = {.lex_state = 9, .external_lex_state = 3},
  [502] = {.lex_state = 9, .external_lex_state = 3},
  [503] = {.lex_state = 9, .external_lex_state = 3},
  [504] = {.lex_state = 9, .external_lex_state = 3},
  [505] = {.lex_state = 9, .external_lex_state = 3},
  [506] = {.lex_state = 9, .external_lex_state = 3},
  [507] = {.lex_state = 9, .external_lex_state = 3},
  [508] = {.lex_state = 9, .external_lex_state = 3},
  [509] = {.lex_state = 9, .external_lex_state = 3},
  [510] = {.lex_state = 9, .external_lex_state = 3},
  [511] = {.lex_state = 9, .external_lex_state = 3},
  [512] = {.lex_state = 9, .external_lex_state = 3},
  [513] = {.lex_state = 9, .external_lex_state = 3},
  [514] = {.lex_state = 9, .external_lex_state = 3},
  [515] = {.lex_state = 9, .external_lex_state = 4},
  [516] = {.lex_state = 9, .external_lex_state = 3},
  [517] = {.lex_state = 9, .external_lex_state = 4},
  [518] = {.lex_state = 9, .external_lex_state = 4},
  [519] = {.lex_state = 9, .external_lex_state = 3},
  [520] = {.lex_state = 9, .external_lex_state = 3},
  [521] = {.lex_state = 9, .external_lex_state = 3},
  [522] = {.lex_state = 9, .external_lex_state = 3},
  [523] = {.lex_state = 9, .external_lex_state = 3},
  [524] = {.lex_state = 9, .external_lex_state = 3},
  [525] = {.lex_state = 9, .external_lex_state = 3},
  [526] = {.lex_state = 9, .external_lex_state = 3},
  [527] = {.lex_state = 9, .external_lex_state = 3},
  [528] = {.lex_state = 10, .external_lex_state = 3},
  [529] = {.lex_state = 9, .external_lex_state = 3},
  [530] = {.lex_state = 9, .external_lex_state = 3},
  [531] = {.lex_state = 9, .external_lex_state = 3},
  [532] = {.lex_state = 9, .external_lex_state = 3},
  [533] = {.lex_state = 9, .external_lex_state = 3},
  [534] = {.lex_state = 9, .external_lex_state = 3},
  [535] = {.lex_state = 9, .external_lex_state = 3},
  [536] = {.lex_state = 9, .external_lex_state = 3},
  [537] = {.lex_state = 9, .external_lex_state = 3},
  [538] = {.lex_state = 9, .external_lex_state = 4},
  [539] = {.lex_state = 9, .external_lex_state = 3},
  [540] = {.lex_state = 9, .external_lex_state = 3},
  [541] = {.lex_state = 9, .external_lex_state = 3},
  [542] = {.lex_state = 9, .external_lex_state = 3},
  [543] = {.lex_state = 9, .external_lex_state = 3},
  [544] = {.lex_state = 9, .external_lex_state = 3},
  [545] = {.lex_state = 9, .external_lex_state = 3},
  [546] = {.lex_state = 9, .external_lex_state = 3},
  [547] = {.lex_state = 9, .external_lex_state = 3},
  [548] = {.lex_state = 9, .external_lex_state = 3},
  [549] = {.lex_state = 9, .external_lex_state = 3},
  [550] = {.lex_state = 9, .external_lex_state = 3},
  [551] = {.lex_state = 9, .external_lex_state = 3},
  [552] = {.lex_state = 9, .external_lex_state = 3},
  [553] = {.lex_state = 9, .external_lex_state = 3},
  [554] = {.lex_state = 9, .external_lex_state = 3},
  [555] = {.lex_state = 9, .external_lex_state = 3},
  [556] = {.lex_state = 9, .external_lex_state = 4},
  [557] = {.lex_state = 9, .external_lex_state = 3},
  [558] = {.lex_state = 9, .external_lex_state = 3},
  [559] = {.lex_state = 9, .external_lex_state = 3},
  [560] = {.lex_state = 9, .external_lex_state = 3},
  [561] = {.lex_state = 9, .external_lex_state = 3},
  [562] = {.lex_state = 9, .external_lex_state = 3},
  [563] = {.lex_state = 9, .external_lex_state = 3},
  [564] = {.lex_state = 9, .external_lex_state = 3},
  [565] = {.lex_state = 9, .external_lex_state = 3},
  [566] = {.lex_state = 9, .external_lex_state = 3},
  [567] = {.lex_state = 9, .external_lex_state = 3},
  [568] = {.lex_state = 9, .external_lex_state = 3},
  [569] = {.lex_state = 9, .external_lex_state = 3},
  [570] = {.lex_state = 9, .external_lex_state = 3},
  [571] = {.lex_state = 9, .external_lex_state = 3},
  [572] = {.lex_state = 9, .external_lex_state = 3},
  [573] = {.lex_state = 9, .external_lex_state = 3},
  [574] = {.lex_state = 9, .external_lex_state = 3},
  [575] = {.lex_state = 9, .external_lex_state = 3},
  [576] = {.lex_state = 9, .external_lex_state = 3},
  [577] = {.lex_state = 9, .external_lex_state = 3},
  [578] = {.lex_state = 9, .external_lex_state = 3},
  [579] = {.lex_state = 9, .external_lex_state = 3},
  [580] = {.lex_state = 9, .external_lex_state = 3},
  [581] = {.lex_state = 9, .external_lex_state = 4},
  [582] = {.lex_state = 9, .external_lex_state = 3},
  [583] = {.lex_state = 9, .external_lex_state = 4},
  [584] = {.lex_state = 9, .external_lex_state = 4},
  [585] = {.lex_state = 9, .external_lex_state = 4},
  [586] = {.lex_state = 9, .external_lex_state = 3},
  [587] = {.lex_state = 9, .external_lex_state = 4},
  [588] = {.lex_state = 9, .external_lex_state = 4},
  [589] = {.lex_state = 9, .external_lex_state = 4},
  [590] = {.lex_state = 9, .external_lex_state = 4},
  [591] = {.lex_state = 9, .external_lex_state = 4},
  [592] = {.lex_state = 9, .external_lex_state = 3},
  [593] = {.lex_state = 9, .external_lex_state = 4},
  [594] = {.lex_state = 9, .external_lex_state = 3},
  [595] = {.lex_state = 9, .external_lex_state = 4},
  [596] = {.lex_state = 9, .external_lex_state = 4},
  [597] = {.lex_state = 9, .external_lex_state = 4},
  [598] = {.lex_state = 9, .external_lex_state = 4},
  [599] = {.lex_state = 9, .external_lex_state = 4},
  [600] = {.lex_state = 9, .external_lex_state = 4},
  [601] = {.lex_state = 9, .external_lex_state = 4},
  [602] = {.lex_state = 9, .external_lex_state = 4},
  [603] = {.lex_state = 9, .external_lex_state = 3},
  [604] = {.lex_state = 9, .external_lex_state = 3},
  [605] = {.lex_state = 9, .external_lex_state = 3},
  [606] = {.lex_state = 9, .external_lex_state = 4},
  [607] = {.lex_state = 9, .external_lex_state = 4},
  [608] = {.lex_state = 9, .external_lex_state = 4},
  [609] = {.lex_state = 9, .external_lex_state = 4},
  [610] = {.lex_state = 9, .external_lex_state = 4},
  [611] = {.lex_state = 9, .external_lex_state = 4},
  [612] = {.lex_state = 9, .external_lex_state = 4},
  [613] = {.lex_state = 9, .external_lex_state = 4},
  [614] = {.lex_state = 9, .external_lex_state = 4},
  [615] = {.lex_state = 9, .external_lex_state = 4},
  [616] = {.lex_state = 9, .external_lex_state = 4},
  [617] = {.lex_state = 9, .external_lex_state = 4},
  [618] = {.lex_state = 9, .external_lex_state = 4},
  [619] = {.lex_state = 9, .external_lex_state = 4},
  [620] = {.lex_state = 9, .external_lex_state = 4},
  [621] = {.lex_state = 9, .external_lex_state = 4},
  [622] = {.lex_state = 9, .external_lex_state = 4},
  [623] = {.lex_state = 9, .external_lex_state = 4},
  [624] = {.lex_state = 9, .external_lex_state = 4},
  [625] = {.lex_state = 9, .external_lex_state = 4},
  [626] = {.lex_state = 9, .external_lex_state = 4},
  [627] = {.lex_state = 9, .external_lex_state = 4},
  [628] = {.lex_state = 9, .external_lex_state = 4},
  [629] = {.lex_state = 9, .external_lex_state = 4},
  [630] = {.lex_state = 9, .external_lex_state = 4},
  [631] = {.lex_state = 9, .external_lex_state = 4},
  [632] = {.lex_state = 9, .external_lex_state = 4},
  [633] = {.lex_state = 9, .external_lex_state = 4},
  [634] = {.lex_state = 9, .external_lex_state = 4},
  [635] = {.lex_state = 9, .external_lex_state = 4},
  [636] = {.lex_state = 9, .external_lex_state = 4},
  [637] = {.lex_state = 9, .external_lex_state = 4},
  [638] = {.lex_state = 9, .external_lex_state = 4},
  [639] = {.lex_state = 9, .external_lex_state = 4},
  [640] = {.lex_state = 9, .external_lex_state = 4},
  [641] = {.lex_state = 9, .external_lex_state = 4},
  [642] = {.lex_state = 9, .external_lex_state = 4},
  [643] = {.lex_state = 9, .external_lex_state = 4},
  [644] = {.lex_state = 9, .external_lex_state = 4},
  [645] = {.lex_state = 9, .external_lex_state = 4},
  [646] = {.lex_state = 9, .external_lex_state = 4},
  [647] = {.lex_state = 9, .external_lex_state = 4},
  [648] = {.lex_state = 9, .external_lex_state = 4},
  [649] = {.lex_state = 9, .external_lex_state = 4},
  [650] = {.lex_state = 9, .external_lex_state = 4},
  [651] = {.lex_state = 9, .external_lex_state = 4},
  [652] = {.lex_state = 9, .external_lex_state = 4},
  [653] = {.lex_state = 9, .external_lex_state = 4},
  [654] = {.lex_state = 9, .external_lex_state = 4},
  [655] = {.lex_state = 9, .external_lex_state = 4},
  [656] = {.lex_state = 9, .external_lex_state = 4},
  [657] = {.lex_state = 9, .external_lex_state = 4},
  [658] = {.lex_state = 9, .external_lex_state = 4},
  [659] = {.lex_state = 9, .external_lex_state = 4},
  [660] = {.lex_state = 9, .external_lex_state = 4},
  [661] = {.lex_state = 9, .external_lex_state = 3},
  [662] = {.lex_state = 9, .external_lex_state = 4},
  [663] = {.lex_state = 9, .external_lex_state = 4},
  [664] = {.lex_state = 9, .external_lex_state = 3},
  [665] = {.lex_state = 9, .external_lex_state = 3},
  [666] = {.lex_state = 9, .external_lex_state = 4},
  [667] = {.lex_state = 9, .external_lex_state = 4},
  [668] = {.lex_state = 9, .external_lex_state = 4},
  [669] = {.lex_state = 10, .external_lex_state = 4},
  [670] = {.lex_state = 9, .external_lex_state = 4},
  [671] = {.lex_state = 9, .external_lex_state = 3},
  [672] = {.lex_state = 9, .external_lex_state = 3},
  [673] = {.lex_state = 9, .external_lex_state = 3},
  [674] = {.lex_state = 9, .external_lex_state = 4},
  [675] = {.lex_state = 9, .external_lex_state = 4},
  [676] = {.lex_state = 9, .external_lex_state = 4},
  [677] = {.lex_state = 9, .external_lex_state = 4},
  [678] = {.lex_state = 9, .external_lex_state = 3},
  [679] = {.lex_state = 9, .external_lex_state = 3},
  [680] = {.lex_state = 9, .external_lex_state = 3},
  [681] = {.lex_state = 9, .external_lex_state = 3},
  [682] = {.lex_state = 9, .external_lex_state = 3},
  [683] = {.lex_state = 9, .external_lex_state = 3},
  [684] = {.lex_state = 9, .external_lex_state = 4},
  [685] = {.lex_state = 9, .external_lex_state = 3},
  [686] = {.lex_state = 9, .external_lex_state = 3},
  [687] = {.lex_state = 9, .external_lex_state = 4},
  [688] = {.lex_state = 9, .external_lex_state = 4},
  [689] = {.lex_state = 9, .external_lex_state = 3},
  [690] = {.lex_state = 9, .external_lex_state = 3},
  [691] = {.lex_state = 9, .external_lex_state = 4},
  [692] = {.lex_state = 9, .external_lex_state = 4},
  [693] = {.lex_state = 9, .external_lex_state = 3},
  [694] = {.lex_state = 9, .external_lex_state = 3},
  [695] = {.lex_state = 9, .external_lex_state = 4},
  [696] = {.lex_state = 9, .external_lex_state = 3},
  [697] = {.lex_state = 9, .external_lex_state = 4},
  [698] = {.lex_state = 9, .external_lex_state = 4},
  [699] = {.lex_state = 9, .external_lex_state = 4},
  [700] = {.lex_state = 9, .external_lex_state = 4},
  [701] = {.lex_state = 9, .external_lex_state = 4},
  [702] = {.lex_state = 9, .external_lex_state = 4},
  [703] = {.lex_state = 9, .external_lex_state = 4},
  [704] = {.lex_state = 10, .external_lex_state = 4},
  [705] = {.lex_state = 9, .external_lex_state = 4},
  [706] = {.lex_state = 9, .external_lex_state = 3},
  [707] = {.lex_state = 9, .external_lex_state = 4},
  [708] = {.lex_state = 9, .external_lex_state = 4},
  [709] = {.lex_state = 9, .external_lex_state = 4},
  [710] = {.lex_state = 9, .external_lex_state = 3},
  [711] = {.lex_state = 9, .external_lex_state = 3},
  [712] = {.lex_state = 9, .external_lex_state = 4},
  [713] = {.lex_state = 9, .external_lex_state = 4},
  [714] = {.lex_state = 9, .external_lex_state = 3},
  [715] = {.lex_state = 9, .external_lex_state = 4},
  [716] = {.lex_state = 9, .external_lex_state = 4},
  [717] = {.lex_state = 9, .external_lex_state = 4},
  [718] = {.lex_state = 9, .external_lex_state = 4},
  [719] = {.lex_state = 9, .external_lex_state = 3},
  [720] = {.lex_state = 9, .external_lex_state = 4},
  [721] = {.lex_state = 9, .external_lex_state = 4},
  [722] = {.lex_state = 9, .external_lex_state = 4},
  [723] = {.lex_state = 9, .external_lex_state = 4},
  [724] = {.lex_state = 9, .external_lex_state = 4},
  [725] = {.lex_state = 9, .external_lex_state = 4},
  [726] = {.lex_state = 9, .external_lex_state = 3},
  [727] = {.lex_state = 9, .external_lex_state = 4},
  [728] = {.lex_state = 9, .external_lex_state = 4},
  [729] = {.lex_state = 9, .external_lex_state = 3},
  [730] = {.lex_state = 9, .external_lex_state = 4},
  [731] = {.lex_state = 9, .external_lex_state = 4},
  [732] = {.lex_state = 9, .external_lex_state = 4},
  [733] = {.lex_state = 9, .external_lex_state = 4},
  [734] = {.lex_state = 9, .external_lex_state = 3},
  [735] = {.lex_state = 9, .external_lex_state = 3},
  [736] = {.lex_state = 9, .external_lex_state = 4},
  [737] = {.lex_state = 9, .external_lex_state = 4},
  [738] = {.lex_state = 9, .external_lex_state = 3},
  [739] = {.lex_state = 9, .external_lex_state = 4},
  [740] = {.lex_state = 9, .external_lex_state = 4},
  [741] = {.lex_state = 9, .external_lex_state = 4},
  [742] = {.lex_state = 9, .external_lex_state = 4},
  [743] = {.lex_state = 9, .external_lex_state = 4},
  [744] = {.lex_state = 9, .external_lex_state = 4},
  [745] = {.lex_state = 9, .external_lex_state = 4},
  [746] = {.lex_state = 9, .external_lex_state = 3},
  [747] = {.lex_state = 9, .external_lex_state = 4},
  [748] = {.lex_state = 9, .external_lex_state = 4},
  [749] = {.lex_state = 9, .external_lex_state = 3},
  [750] = {.lex_state = 9, .external_lex_state = 4},
  [751] = {.lex_state = 9, .external_lex_state = 4},
  [752] = {.lex_state = 9, .external_lex_state = 4},
  [753] = {.lex_state = 9, .external_lex_state = 3},
  [754] = {.lex_state = 9, .external_lex_state = 4},
  [755] = {.lex_state = 9, .external_lex_state = 4},
  [756] = {.lex_state = 9, .external_lex_state = 3},
  [757] = {.lex_state = 9, .external_lex_state = 3},
  [758] = {.lex_state = 9, .external_lex_state = 4},
  [759] = {.lex_state = 9, .external_lex_state = 3},
  [760] = {.lex_state = 9, .external_lex_state = 3},
  [761] = {.lex_state = 9, .external_lex_state = 3},
  [762] = {.lex_state = 9, .external_lex_state = 3},
  [763] = {.lex_state = 9, .external_lex_state = 3},
  [764] = {.lex_state = 9, .external_lex_state = 3},
  [765] = {.lex_state = 9, .external_lex_state = 3},
  [766] = {.lex_state = 9, .external_lex_state = 3},
  [767] = {.lex_state = 9, .external_lex_state = 3},
  [768] = {.lex_state = 9, .external_lex_state = 3},
  [769] = {.lex_state = 9, .external_lex_state = 3},
  [770] = {.lex_state = 9, .external_lex_state = 3},
  [771] = {.lex_state = 9, .external_lex_state = 3},
  [772] = {.lex_state = 9, .external_lex_state = 3},
  [773] = {.lex_state = 9, .external_lex_state = 3},
  [774] = {.lex_state = 9, .external_lex_state = 3},
  [775] = {.lex_state = 9, .external_lex_state = 3},
  [776] = {.lex_state = 9, .external_lex_state = 4},
  [777] = {.lex_state = 9, .external_lex_state = 3},
  [778] = {.lex_state = 9, .external_lex_state = 3},
  [779] = {.lex_state = 9, .external_lex_state = 4},
  [780] = {.lex_state = 9, .external_lex_state = 3},
  [781] = {.lex_state = 9, .external_lex_state = 3},
  [782] = {.lex_state = 9, .external_lex_state = 3},
  [783] = {.lex_state = 9, .external_lex_state = 3},
  [784] = {.lex_state = 9, .external_lex_state = 3},
  [785] = {.lex_state = 9, .external_lex_state = 4},
  [786] = {.lex_state = 9, .external_lex_state = 3},
  [787] = {.lex_state = 9, .external_lex_state = 3},
  [788] = {.lex_state = 9, .external_lex_state = 3},
  [789] = {.lex_state = 9, .external_lex_state = 3},
  [790] = {.lex_state = 9, .external_lex_state = 3},
  [791] = {.lex_state = 9, .external_lex_state = 3},
  [792] = {.lex_state = 9, .external_lex_state = 3},
  [793] = {.lex_state = 9, .external_lex_state = 3},
  [794] = {.lex_state = 9, .external_lex_state = 3},
  [795] = {.lex_state = 9, .external_lex_state = 3},
  [796] = {.lex_state = 9, .external_lex_state = 3},
  [797] = {.lex_state = 9, .external_lex_state = 3},
  [798] = {.lex_state = 9, .external_lex_state = 3},
  [799] = {.lex_state = 9, .external_lex_state = 3},
  [800] = {.lex_state = 9, .external_lex_state = 3},
  [801] = {.lex_state = 9, .external_lex_state = 3},
  [802] = {.lex_state = 9, .external_lex_state = 3},
  [803] = {.lex_state = 9, .external_lex_state = 3},
  [804] = {.lex_state = 9, .external_lex_state = 3},
  [805] = {.lex_state = 9, .external_lex_state = 3},
  [806] = {.lex_state = 9, .external_lex_state = 3},
  [807] = {.lex_state = 9, .external_lex_state = 3},
  [808] = {.lex_state = 9, .external_lex_state = 3},
  [809] = {.lex_state = 9, .external_lex_state = 3},
  [810] = {.lex_state = 9, .external_lex_state = 3},
  [811] = {.lex_state = 9, .external_lex_state = 3},
  [812] = {.lex_state = 9, .external_lex_state = 3},
  [813] = {.lex_state = 9, .external_lex_state = 3},
  [814] = {.lex_state = 9, .external_lex_state = 3},
  [815] = {.lex_state = 9, .external_lex_state = 3},
  [816] = {.lex_state = 9, .external_lex_state = 3},
  [817] = {.lex_state = 9, .external_lex_state = 3},
  [818] = {.lex_state = 9, .external_lex_state = 3},
  [819] = {.lex_state = 9, .external_lex_state = 3},
  [820] = {.lex_state = 9, .external_lex_state = 3},
  [821] = {.lex_state = 9, .external_lex_state = 3},
  [822] = {.lex_state = 9, .external_lex_state = 3},
  [823] = {.lex_state = 9, .external_lex_state = 3},
  [824] = {.lex_state = 9, .external_lex_state = 3},
  [825] = {.lex_state = 10, .external_lex_state = 3},
  [826] = {.lex_state = 9, .external_lex_state = 3},
  [827] = {.lex_state = 9, .external_lex_state = 3},
  [828] = {.lex_state = 6, .external_lex_state = 2},
  [829] = {.lex_state = 6, .external_lex_state = 2},
  [830] = {.lex_state = 9, .external_lex_state = 3},
  [831] = {.lex_state = 9, .external_lex_state = 3},
  [832] = {.lex_state = 9, .external_lex_state = 3},
  [833] = {.lex_state = 6, .external_lex_state = 2},
  [834] = {.lex_state = 6, .external_lex_state = 2},
  [835] = {.lex_state = 6, .external_lex_state = 2},
  [836] = {.lex_state = 9, .external_lex_state = 3},
  [837] = {.lex_state = 6, .external_lex_state = 2},
  [838] = {.lex_state = 6, .external_lex_state = 2},
  [839] = {.lex_state = 9, .external_lex_state = 3},
  [840] = {.lex_state = 6, .external_lex_state = 2},
  [841] = {.lex_state = 6, .external_lex_state = 2},
  [842] = {.lex_state = 6, .external_lex_state = 2},
  [843] = {.lex_state = 6, .external_lex_state = 2},
  [844] = {.lex_state = 6, .external_lex_state = 2},
  [845] = {.lex_state = 6, .external_lex_state = 2},
  [846] = {.lex_state = 6, .external_lex_state = 2},
  [847] = {.lex_state = 6, .external_lex_state = 2},
  [848] = {.lex_state = 6, .external_lex_state = 2},
  [849] = {.lex_state = 6, .external_lex_state = 2},
  [850] = {.lex_state = 6, .external_lex_state = 2},
  [851] = {.lex_state = 6, .external_lex_state = 2},
  [852] = {.lex_state = 146, .external_lex_state = 2},
  [853] = {.lex_state = 146, .external_lex_state = 2},
  [854] = {.lex_state = 146, .external_lex_state = 2},
  [855] = {.lex_state = 146, .external_lex_state = 2},
  [856] = {.lex_state = 146, .external_lex_state = 2},
  [857] = {.lex_state = 146, .external_lex_state = 2},
  [858] = {.lex_state = 146, .external_lex_state = 2},
  [859] = {.lex_state = 146, .external_lex_state = 2},
  [860] = {.lex_state = 146, .external_lex_state = 2},
  [861] = {.lex_state = 146, .external_lex_state = 2},
  [862] = {.lex_state = 146, .external_lex_state = 2},
  [863] = {.lex_state = 146, .external_lex_state = 2},
  [864] = {.lex_state = 146, .external_lex_state = 2},
  [865] = {.lex_state = 146, .external_lex_state = 2},
  [866] = {.lex_state = 146, .external_lex_state = 2},
  [867] = {.lex_state = 146, .external_lex_state = 2},
  [868] = {.lex_state = 146, .external_lex_state = 2},
  [869] = {.lex_state = 146, .external_lex_state = 2},
  [870] = {.lex_state = 146, .external_lex_state = 5},
  [871] = {.lex_state = 146, .external_lex_state = 2},
  [872] = {.lex_state = 146, .external_lex_state = 2},
  [873] = {.lex_state = 146, .external_lex_state = 2},
  [874] = {.lex_state = 146, .external_lex_state = 2},
  [875] = {.lex_state = 146, .external_lex_state = 2},
  [876] = {.lex_state = 146, .external_lex_state = 2},
  [877] = {.lex_state = 6, .external_lex_state = 2},
  [878] = {.lex_state = 146, .external_lex_state = 2},
  [879] = {.lex_state = 146, .external_lex_state = 2},
  [880] = {.lex_state = 146, .external_lex_state = 2},
  [881] = {.lex_state = 146, .external_lex_state = 2},
  [882] = {.lex_state = 146, .external_lex_state = 2},
  [883] = {.lex_state = 146, .external_lex_state = 5},
  [884] = {.lex_state = 146, .external_lex_state = 2},
  [885] = {.lex_state = 146, .external_lex_state = 5},
  [886] = {.lex_state = 6, .external_lex_state = 2},
  [887] = {.lex_state = 146, .external_lex_state = 2},
  [888] = {.lex_state = 6, .external_lex_state = 2},
  [889] = {.lex_state = 146, .external_lex_state = 2},
  [890] = {.lex_state = 146, .external_lex_state = 5},
  [891] = {.lex_state = 146, .external_lex_state = 5},
  [892] = {.lex_state = 146, .external_lex_state = 5},
  [893] = {.lex_state = 6, .external_lex_state = 2},
  [894] = {.lex_state = 6, .external_lex_state = 2},
  [895] = {.lex_state = 6, .external_lex_state = 2},
  [896] = {.lex_state = 6, .external_lex_state = 2},
  [897] = {.lex_state = 6, .external_lex_state = 2},
  [898] = {.lex_state = 6, .external_lex_state = 2},
  [899] = {.lex_state = 12, .external_lex_state = 2},
  [900] = {.lex_state = 6, .external_lex_state = 2},
  [901] = {.lex_state = 146, .external_lex_state = 5},
  [902] = {.lex_state = 6, .external_lex_state = 2},
  [903] = {.lex_state = 6, .external_lex_state = 2},
  [904] = {.lex_state = 146, .external_lex_state = 5},
  [905] = {.lex_state = 146, .external_lex_state = 5},
  [906] = {.lex_state = 6, .external_lex_state = 2},
  [907] = {.lex_state = 6, .external_lex_state = 2},
  [908] = {.lex_state = 6, .external_lex_state = 2},
  [909] = {.lex_state = 6, .external_lex_state = 2},
  [910] = {.lex_state = 6, .external_lex_state = 2},
  [911] = {.lex_state = 6, .external_lex_state = 2},
  [912] = {.lex_state = 6, .external_lex_state = 2},
  [913] = {.lex_state = 146, .external_lex_state = 2},
  [914] = {.lex_state = 6, .external_lex_state = 2},
  [915] = {.lex_state = 6, .external_lex_state = 2},
  [916] = {.lex_state = 6, .external_lex_state = 2},
  [917] = {.lex_state = 146, .external_lex_state = 5},
  [918] = {.lex_state = 6, .external_lex_state = 5},
  [919] = {.lex_state = 6, .external_lex_state = 2},
  [920] = {.lex_state = 6, .external_lex_state = 5},
  [921] = {.lex_state = 146, .external_lex_state = 5},
  [922] = {.lex_state = 6, .external_lex_state = 2},
  [923] = {.lex_state = 6, .external_lex_state = 2},
  [924] = {.lex_state = 6, .external_lex_state = 2},
  [925] = {.lex_state = 6, .external_lex_state = 2},
  [926] = {.lex_state = 146, .external_lex_state = 5},
  [927] = {.lex_state = 6, .external_lex_state = 2},
  [928] = {.lex_state = 6, .external_lex_state = 2},
  [929] = {.lex_state = 6, .external_lex_state = 2},
  [930] = {.lex_state = 6, .external_lex_state = 2},
  [931] = {.lex_state = 12, .external_lex_state = 2},
  [932] = {.lex_state = 6, .external_lex_state = 2},
  [933] = {.lex_state = 6, .external_lex_state = 2},
  [934] = {.lex_state = 6, .external_lex_state = 2},
  [935] = {.lex_state = 6, .external_lex_state = 2},
  [936] = {.lex_state = 6, .external_lex_state = 2},
  [937] = {.lex_state = 6, .external_lex_state = 2},
  [938] = {.lex_state = 6, .external_lex_state = 2},
  [939] = {.lex_state = 6, .external_lex_state = 2},
  [940] = {.lex_state = 6, .external_lex_state = 2},
  [941] = {.lex_state = 6, .external_lex_state = 2},
  [942] = {.lex_state = 6, .external_lex_state = 2},
  [943] = {.lex_state = 146, .external_lex_state = 2},
  [944] = {.lex_state = 146, .external_lex_state = 2},
  [945] = {.lex_state = 146, .external_lex_state = 2},
  [946] = {.lex_state = 146, .external_lex_state = 2},
  [947] = {.lex_state = 146, .external_lex_state = 2},
  [948] = {.lex_state = 146, .external_lex_state = 2},
  [949] = {.lex_state = 146, .external_lex_state = 2},
  [950] = {.lex_state = 146, .external_lex_state = 2},
  [951] = {.lex_state = 146, .external_lex_state = 2},
  [952] = {.lex_state = 146, .external_lex_state = 2},
  [953] = {.lex_state = 146, .external_lex_state = 2},
  [954] = {.lex_state = 6, .external_lex_state = 2},
  [955] = {.lex_state = 146, .external_lex_state = 2},
  [956] = {.lex_state = 146, .external_lex_state = 2},
  [957] = {.lex_state = 146, .external_lex_state = 2},
  [958] = {.lex_state = 146, .external_lex_state = 2},
  [959] = {.lex_state = 6, .external_lex_state = 2},
  [960] = {.lex_state = 146, .external_lex_state = 2},
  [961] = {.lex_state = 146, .external_lex_state = 2},
  [962] = {.lex_state = 146, .external_lex_state = 2},
  [963] = {.lex_state = 146, .external_lex_state = 2},
  [964] = {.lex_state = 146, .external_lex_state = 2},
  [965] = {.lex_state = 146, .external_lex_state = 2},
  [966] = {.lex_state = 146, .external_lex_state = 2},
  [967] = {.lex_state = 146, .external_lex_state = 2},
  [968] = {.lex_state = 6, .external_lex_state = 2},
  [969] = {.lex_state = 146, .external_lex_state = 2},
  [970] = {.lex_state = 146, .external_lex_state = 2},
  [971] = {.lex_state = 146, .external_lex_state = 2},
  [972] = {.lex_state = 146, .external_lex_state = 2},
  [973] = {.lex_state = 146, .external_lex_state = 2},
  [974] = {.lex_state = 146, .external_lex_state = 2},
  [975] = {.lex_state = 146, .external_lex_state = 2},
  [976] = {.lex_state = 146, .external_lex_state = 2},
  [977] = {.lex_state = 146, .external_lex_state = 2},
  [978] = {.lex_state = 146, .external_lex_state = 2},
  [979] = {.lex_state = 6, .external_lex_state = 2},
  [980] = {.lex_state = 146, .external_lex_state = 2},
  [981] = {.lex_state = 6, .external_lex_state = 2},
  [982] = {.lex_state = 6, .external_lex_state = 2},
  [983] = {.lex_state = 146, .external_lex_state = 2},
  [984] = {.lex_state = 146, .external_lex_state = 2},
  [985] = {.lex_state = 146, .external_lex_state = 2},
  [986] = {.lex_state = 146, .external_lex_state = 2},
  [987] = {.lex_state = 146, .external_lex_state = 2},
  [988] = {.lex_state = 146, .external_lex_state = 2},
  [989] = {.lex_state = 146, .external_lex_state = 2},
  [990] = {.lex_state = 146, .external_lex_state = 2},
  [991] = {.lex_state = 146, .external_lex_state = 2},
  [992] = {.lex_state = 146, .external_lex_state = 2},
  [993] = {.lex_state = 146, .external_lex_state = 2},
  [994] = {.lex_state = 146, .external_lex_state = 2},
  [995] = {.lex_state = 146, .external_lex_state = 2},
  [996] = {.lex_state = 146, .external_lex_state = 2},
  [997] = {.lex_state = 8, .external_lex_state = 2},
  [998] = {.lex_state = 8, .external_lex_state = 2},
  [999] = {.lex_state = 146, .external_lex_state = 2},
  [1000] = {.lex_state = 146, .external_lex_state = 2},
  [1001] = {.lex_state = 146, .external_lex_state = 2},
  [1002] = {.lex_state = 146, .external_lex_state = 2},
  [1003] = {.lex_state = 146, .external_lex_state = 2},
  [1004] = {.lex_state = 8, .external_lex_state = 2},
  [1005] = {.lex_state = 8, .external_lex_state = 2},
  [1006] = {.lex_state = 146, .external_lex_state = 2},
  [1007] = {.lex_state = 146, .external_lex_state = 2},
  [1008] = {.lex_state = 146, .external_lex_state = 2},
  [1009] = {.lex_state = 8, .external_lex_state = 2},
  [1010] = {.lex_state = 146, .external_lex_state = 2},
  [1011] = {.lex_state = 2, .external_lex_state = 2},
  [1012] = {.lex_state = 2, .external_lex_state = 2},
  [1013] = {.lex_state = 2, .external_lex_state = 2},
  [1014] = {.lex_state = 2, .external_lex_state = 2},
  [1015] = {.lex_state = 2, .external_lex_state = 2},
  [1016] = {.lex_state = 2, .external_lex_state = 2},
  [1017] = {.lex_state = 2, .external_lex_state = 2},
  [1018] = {.lex_state = 2, .external_lex_state = 2},
  [1019] = {.lex_state = 145, .external_lex_state = 2},
  [1020] = {.lex_state = 2, .external_lex_state = 2},
  [1021] = {.lex_state = 35, .external_lex_state = 2},
  [1022] = {.lex_state = 35, .external_lex_state = 2},
  [1023] = {.lex_state = 35, .external_lex_state = 2},
  [1024] = {.lex_state = 35, .external_lex_state = 2},
  [1025] = {.lex_state = 35, .external_lex_state = 2},
  [1026] = {.lex_state = 35, .external_lex_state = 2},
  [1027] = {.lex_state = 35, .external_lex_state = 2},
  [1028] = {.lex_state = 35, .external_lex_state = 2},
  [1029] = {.lex_state = 35, .external_lex_state = 2},
  [1030] = {.lex_state = 35, .external_lex_state = 2},
  [1031] = {.lex_state = 35, .external_lex_state = 2},
  [1032] = {.lex_state = 35, .external_lex_state = 2},
  [1033] = {.lex_state = 35, .external_lex_state = 2},
  [1034] = {.lex_state = 35, .external_lex_state = 2},
  [1035] = {.lex_state = 35, .external_lex_state = 2},
  [1036] = {.lex_state = 35, .external_lex_state = 2},
  [1037] = {.lex_state = 35, .external_lex_state = 2},
  [1038] = {.lex_state = 35, .external_lex_state = 2},
  [1039] = {.lex_state = 35, .external_lex_state = 2},
  [1040] = {.lex_state = 12, .external_lex_state = 2},
  [1041] = {.lex_state = 35, .external_lex_state = 2},
  [1042] = {.lex_state = 35, .external_lex_state = 2},
  [1043] = {.lex_state = 35, .external_lex_state = 2},
  [1044] = {.lex_state = 35, .external_lex_state = 2},
  [1045] = {.lex_state = 35, .external_lex_state = 2},
  [1046] = {.lex_state = 35, .external_lex_state = 2},
  [1047] = {.lex_state = 35, .external_lex_state = 2},
  [1048] = {.lex_state = 35, .external_lex_state = 2},
  [1049] = {.lex_state = 35, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 35, .external_lex_state = 2},
  [1052] = {.lex_state = 35, .external_lex_state = 2},
  [1053] = {.lex_state = 35, .external_lex_state = 2},
  [1054] = {.lex_state = 35, .external_lex_state = 2},
  [1055] = {.lex_state = 35, .external_lex_state = 2},
  [1056] = {.lex_state = 146, .external_lex_state = 2},
  [1057] = {.lex_state = 146, .external_lex_state = 2},
  [1058] = {.lex_state = 146, .external_lex_state = 2},
  [1059] = {.lex_state = 146, .external_lex_state = 2},
  [1060] = {.lex_state = 146, .external_lex_state = 2},
  [1061] = {.lex_state = 146, .external_lex_state = 2},
  [1062] = {.lex_state = 146, .external_lex_state = 2},
  [1063] = {.lex_state = 146, .external_lex_state = 2},
  [1064] = {.lex_state = 146, .external_lex_state = 2},
  [1065] = {.lex_state = 146, .external_lex_state = 2},
  [1066] = {.lex_state = 146, .external_lex_state = 2},
  [1067] = {.lex_state = 146, .external_lex_state = 2},
  [1068] = {.lex_state = 146, .external_lex_state = 2},
  [1069] = {.lex_state = 146, .external_lex_state = 2},
  [1070] = {.lex_state = 146, .external_lex_state = 2},
  [1071] = {.lex_state = 146, .external_lex_state = 2},
  [1072] = {.lex_state = 146, .external_lex_state = 2},
  [1073] = {.lex_state = 35, .external_lex_state = 2},
  [1074] = {.lex_state = 146, .external_lex_state = 2},
  [1075] = {.lex_state = 146, .external_lex_state = 2},
  [1076] = {.lex_state = 146, .external_lex_state = 2},
  [1077] = {.lex_state = 146, .external_lex_state = 2},
  [1078] = {.lex_state = 146, .external_lex_state = 5},
  [1079] = {.lex_state = 146, .external_lex_state = 5},
  [1080] = {.lex_state = 146, .external_lex_state = 2},
  [1081] = {.lex_state = 146, .external_lex_state = 2},
  [1082] = {.lex_state = 2, .external_lex_state = 2},
  [1083] = {.lex_state = 2, .external_lex_state = 2},
  [1084] = {.lex_state = 19, .external_lex_state = 6},
  [1085] = {.lex_state = 145, .external_lex_state = 2},
  [1086] = {.lex_state = 146, .external_lex_state = 5},
  [1087] = {.lex_state = 146, .external_lex_state = 5},
  [1088] = {.lex_state = 2, .external_lex_state = 2},
  [1089] = {.lex_state = 19, .external_lex_state = 6},
  [1090] = {.lex_state = 2, .external_lex_state = 2},
  [1091] = {.lex_state = 2, .external_lex_state = 2},
  [1092] = {.lex_state = 2, .external_lex_state = 2},
  [1093] = {.lex_state = 19, .external_lex_state = 6},
  [1094] = {.lex_state = 146, .external_lex_state = 2},
  [1095] = {.lex_state = 145, .external_lex_state = 2},
  [1096] = {.lex_state = 2, .external_lex_state = 2},
  [1097] = {.lex_state = 2, .external_lex_state = 2},
  [1098] = {.lex_state = 2, .external_lex_state = 2},
  [1099] = {.lex_state = 146, .external_lex_state = 5},
  [1100] = {.lex_state = 146, .external_lex_state = 5},
  [1101] = {.lex_state = 2, .external_lex_state = 2},
  [1102] = {.lex_state = 2, .external_lex_state = 2},
  [1103] = {.lex_state = 2, .external_lex_state = 2},
  [1104] = {.lex_state = 35, .external_lex_state = 2},
  [1105] = {.lex_state = 146, .external_lex_state = 2},
  [1106] = {.lex_state = 35, .external_lex_state = 2},
  [1107] = {.lex_state = 2, .external_lex_state = 2},
  [1108] = {.lex_state = 146, .external_lex_state = 5},
  [1109] = {.lex_state = 2, .external_lex_state = 2},
  [1110] = {.lex_state = 146, .external_lex_state = 2},
  [1111] = {.lex_state = 2, .external_lex_state = 2},
  [1112] = {.lex_state = 146, .external_lex_state = 2},
  [1113] = {.lex_state = 35, .external_lex_state = 2},
  [1114] = {.lex_state = 146, .external_lex_state = 5},
  [1115] = {.lex_state = 146, .external_lex_state = 5},
  [1116] = {.lex_state = 2, .external_lex_state = 2},
  [1117] = {.lex_state = 146, .external_lex_state = 5},
  [1118] = {.lex_state = 19, .external_lex_state = 6},
  [1119] = {.lex_state = 146, .external_lex_state = 2},
  [1120] = {.lex_state = 146, .external_lex_state = 2},
  [1121] = {.lex_state = 19, .external_lex_state = 6},
  [1122] = {.lex_state = 146, .external_lex_state = 2},
  [1123] = {.lex_state = 146, .external_lex_state = 2},
  [1124] = {.lex_state = 146, .external_lex_state = 2},
  [1125] = {.lex_state = 146, .external_lex_state = 5},
  [1126] = {.lex_state = 146, .external_lex_state = 5},
  [1127] = {.lex_state = 146, .external_lex_state = 5},
  [1128] = {.lex_state = 146, .external_lex_state = 5},
  [1129] = {.lex_state = 2, .external_lex_state = 2},
  [1130] = {.lex_state = 2, .external_lex_state = 2},
  [1131] = {.lex_state = 146, .external_lex_state = 2},
  [1132] = {.lex_state = 146, .external_lex_state = 2},
  [1133] = {.lex_state = 146, .external_lex_state = 2},
  [1134] = {.lex_state = 35, .external_lex_state = 2},
  [1135] = {.lex_state = 146, .external_lex_state = 2},
  [1136] = {.lex_state = 146, .external_lex_state = 2},
  [1137] = {.lex_state = 35, .external_lex_state = 2},
  [1138] = {.lex_state = 146, .external_lex_state = 2},
  [1139] = {.lex_state = 146, .external_lex_state = 2},
  [1140] = {.lex_state = 146, .external_lex_state = 2},
  [1141] = {.lex_state = 146, .external_lex_state = 2},
  [1142] = {.lex_state = 146, .external_lex_state = 2},
  [1143] = {.lex_state = 146, .external_lex_state = 5},
  [1144] = {.lex_state = 35, .external_lex_state = 2},
  [1145] = {.lex_state = 35, .external_lex_state = 2},
  [1146] = {.lex_state = 35, .external_lex_state = 2},
  [1147] = {.lex_state = 146, .external_lex_state = 2},
  [1148] = {.lex_state = 146, .external_lex_state = 2},
  [1149] = {.lex_state = 35, .external_lex_state = 2},
  [1150] = {.lex_state = 35, .external_lex_state = 2},
  [1151] = {.lex_state = 35, .external_lex_state = 2},
  [1152] = {.lex_state = 35, .external_lex_state = 2},
  [1153] = {.lex_state = 35, .external_lex_state = 2},
  [1154] = {.lex_state = 35, .external_lex_state = 2},
  [1155] = {.lex_state = 35, .external_lex_state = 2},
  [1156] = {.lex_state = 146, .external_lex_state = 2},
  [1157] = {.lex_state = 146, .external_lex_state = 2},
  [1158] = {.lex_state = 146, .external_lex_state = 2},
  [1159] = {.lex_state = 146, .external_lex_state = 2},
  [1160] = {.lex_state = 146, .external_lex_state = 2},
  [1161] = {.lex_state = 146, .external_lex_state = 5},
  [1162] = {.lex_state = 35, .external_lex_state = 2},
  [1163] = {.lex_state = 35, .external_lex_state = 2},
  [1164] = {.lex_state = 35, .external_lex_state = 2},
  [1165] = {.lex_state = 35, .external_lex_state = 2},
  [1166] = {.lex_state = 35, .external_lex_state = 2},
  [1167] = {.lex_state = 146, .external_lex_state = 2},
  [1168] = {.lex_state = 146, .external_lex_state = 2},
  [1169] = {.lex_state = 35, .external_lex_state = 2},
  [1170] = {.lex_state = 35, .external_lex_state = 2},
  [1171] = {.lex_state = 146, .external_lex_state = 2},
  [1172] = {.lex_state = 146, .external_lex_state = 2},
  [1173] = {.lex_state = 146, .external_lex_state = 2},
  [1174] = {.lex_state = 35, .external_lex_state = 2},
  [1175] = {.lex_state = 146, .external_lex_state = 5},
  [1176] = {.lex_state = 146, .external_lex_state = 2},
  [1177] = {.lex_state = 146, .external_lex_state = 5},
  [1178] = {.lex_state = 35, .external_lex_state = 2},
  [1179] = {.lex_state = 35, .external_lex_state = 2},
  [1180] = {.lex_state = 35, .external_lex_state = 2},
  [1181] = {.lex_state = 146, .external_lex_state = 2},
  [1182] = {.lex_state = 35, .external_lex_state = 2},
  [1183] = {.lex_state = 146, .external_lex_state = 2},
  [1184] = {.lex_state = 19, .external_lex_state = 6},
  [1185] = {.lex_state = 13, .external_lex_state = 2},
  [1186] = {.lex_state = 146, .external_lex_state = 2},
  [1187] = {.lex_state = 15, .external_lex_state = 7},
  [1188] = {.lex_state = 24, .external_lex_state = 7},
  [1189] = {.lex_state = 15, .external_lex_state = 7},
  [1190] = {.lex_state = 24, .external_lex_state = 7},
  [1191] = {.lex_state = 146, .external_lex_state = 2},
  [1192] = {.lex_state = 146, .external_lex_state = 2},
  [1193] = {.lex_state = 146, .external_lex_state = 2},
  [1194] = {.lex_state = 146, .external_lex_state = 2},
  [1195] = {.lex_state = 146, .external_lex_state = 2},
  [1196] = {.lex_state = 22, .external_lex_state = 2},
  [1197] = {.lex_state = 146, .external_lex_state = 5},
  [1198] = {.lex_state = 13, .external_lex_state = 2},
  [1199] = {.lex_state = 146, .external_lex_state = 2},
  [1200] = {.lex_state = 15, .external_lex_state = 7},
  [1201] = {.lex_state = 15, .external_lex_state = 7},
  [1202] = {.lex_state = 146, .external_lex_state = 2},
  [1203] = {.lex_state = 24, .external_lex_state = 7},
  [1204] = {.lex_state = 146, .external_lex_state = 2},
  [1205] = {.lex_state = 22, .external_lex_state = 2},
  [1206] = {.lex_state = 146, .external_lex_state = 2},
  [1207] = {.lex_state = 24, .external_lex_state = 7},
  [1208] = {.lex_state = 146, .external_lex_state = 2},
  [1209] = {.lex_state = 146, .external_lex_state = 5},
  [1210] = {.lex_state = 146, .external_lex_state = 2},
  [1211] = {.lex_state = 146, .external_lex_state = 2},
  [1212] = {.lex_state = 146, .external_lex_state = 5},
  [1213] = {.lex_state = 146, .external_lex_state = 2},
  [1214] = {.lex_state = 146, .external_lex_state = 2},
  [1215] = {.lex_state = 15, .external_lex_state = 7},
  [1216] = {.lex_state = 146, .external_lex_state = 2},
  [1217] = {.lex_state = 24, .external_lex_state = 7},
  [1218] = {.lex_state = 146, .external_lex_state = 2},
  [1219] = {.lex_state = 146, .external_lex_state = 2},
  [1220] = {.lex_state = 15, .external_lex_state = 7},
  [1221] = {.lex_state = 24, .external_lex_state = 7},
  [1222] = {.lex_state = 15, .external_lex_state = 7},
  [1223] = {.lex_state = 146, .external_lex_state = 2},
  [1224] = {.lex_state = 146, .external_lex_state = 5},
  [1225] = {.lex_state = 146, .external_lex_state = 2},
  [1226] = {.lex_state = 146, .external_lex_state = 2},
  [1227] = {.lex_state = 146, .external_lex_state = 2},
  [1228] = {.lex_state = 146, .external_lex_state = 2},
  [1229] = {.lex_state = 146, .external_lex_state = 5},
  [1230] = {.lex_state = 24, .external_lex_state = 7},
  [1231] = {.lex_state = 146, .external_lex_state = 2},
  [1232] = {.lex_state = 146, .external_lex_state = 2},
  [1233] = {.lex_state = 15, .external_lex_state = 7},
  [1234] = {.lex_state = 15, .external_lex_state = 7},
  [1235] = {.lex_state = 13, .external_lex_state = 2},
  [1236] = {.lex_state = 22, .external_lex_state = 2},
  [1237] = {.lex_state = 146, .external_lex_state = 2},
  [1238] = {.lex_state = 146, .external_lex_state = 5},
  [1239] = {.lex_state = 146, .external_lex_state = 2},
  [1240] = {.lex_state = 146, .external_lex_state = 5},
  [1241] = {.lex_state = 146, .external_lex_state = 5},
  [1242] = {.lex_state = 145, .external_lex_state = 2},
  [1243] = {.lex_state = 146, .external_lex_state = 2},
  [1244] = {.lex_state = 146, .external_lex_state = 5},
  [1245] = {.lex_state = 146, .external_lex_state = 2},
  [1246] = {.lex_state = 146, .external_lex_state = 5},
  [1247] = {.lex_state = 24, .external_lex_state = 7},
  [1248] = {.lex_state = 146, .external_lex_state = 2},
  [1249] = {.lex_state = 24, .external_lex_state = 7},
  [1250] = {.lex_state = 146, .external_lex_state = 5},
  [1251] = {.lex_state = 146, .external_lex_state = 2},
  [1252] = {.lex_state = 146, .external_lex_state = 2},
  [1253] = {.lex_state = 146, .external_lex_state = 2},
  [1254] = {.lex_state = 146, .external_lex_state = 2},
  [1255] = {.lex_state = 146, .external_lex_state = 2},
  [1256] = {.lex_state = 146, .external_lex_state = 5},
  [1257] = {.lex_state = 3, .external_lex_state = 2},
  [1258] = {.lex_state = 146, .external_lex_state = 2},
  [1259] = {.lex_state = 146, .external_lex_state = 2},
  [1260] = {.lex_state = 146, .external_lex_state = 2},
  [1261] = {.lex_state = 146, .external_lex_state = 2},
  [1262] = {.lex_state = 146, .external_lex_state = 2},
  [1263] = {.lex_state = 146, .external_lex_state = 2},
  [1264] = {.lex_state = 146, .external_lex_state = 2},
  [1265] = {.lex_state = 146, .external_lex_state = 2},
  [1266] = {.lex_state = 146, .external_lex_state = 2},
  [1267] = {.lex_state = 146, .external_lex_state = 5},
  [1268] = {.lex_state = 146, .external_lex_state = 2},
  [1269] = {.lex_state = 146, .external_lex_state = 2},
  [1270] = {.lex_state = 146, .external_lex_state = 2},
  [1271] = {.lex_state = 146, .external_lex_state = 2},
  [1272] = {.lex_state = 146, .external_lex_state = 2},
  [1273] = {.lex_state = 146, .external_lex_state = 2},
  [1274] = {.lex_state = 146, .external_lex_state = 5},
  [1275] = {.lex_state = 146, .external_lex_state = 2},
  [1276] = {.lex_state = 3, .external_lex_state = 2},
  [1277] = {.lex_state = 146, .external_lex_state = 2},
  [1278] = {.lex_state = 146, .external_lex_state = 5},
  [1279] = {.lex_state = 146, .external_lex_state = 2},
  [1280] = {.lex_state = 146, .external_lex_state = 2},
  [1281] = {.lex_state = 146, .external_lex_state = 2},
  [1282] = {.lex_state = 146, .external_lex_state = 2},
  [1283] = {.lex_state = 146, .external_lex_state = 2},
  [1284] = {.lex_state = 146, .external_lex_state = 5},
  [1285] = {.lex_state = 146, .external_lex_state = 2},
  [1286] = {.lex_state = 146, .external_lex_state = 2},
  [1287] = {.lex_state = 146, .external_lex_state = 2},
  [1288] = {.lex_state = 3, .external_lex_state = 2},
  [1289] = {.lex_state = 146, .external_lex_state = 2},
  [1290] = {.lex_state = 146, .external_lex_state = 2},
  [1291] = {.lex_state = 146, .external_lex_state = 2},
  [1292] = {.lex_state = 146, .external_lex_state = 2},
  [1293] = {.lex_state = 146, .external_lex_state = 2},
  [1294] = {.lex_state = 146, .external_lex_state = 2},
  [1295] = {.lex_state = 146, .external_lex_state = 2},
  [1296] = {.lex_state = 146, .external_lex_state = 2},
  [1297] = {.lex_state = 146, .external_lex_state = 2},
  [1298] = {.lex_state = 146, .external_lex_state = 2},
  [1299] = {.lex_state = 146, .external_lex_state = 2},
  [1300] = {.lex_state = 7, .external_lex_state = 2},
  [1301] = {.lex_state = 146, .external_lex_state = 2},
  [1302] = {.lex_state = 146, .external_lex_state = 2},
  [1303] = {.lex_state = 3, .external_lex_state = 2},
  [1304] = {.lex_state = 146, .external_lex_state = 2},
  [1305] = {.lex_state = 146, .external_lex_state = 2},
  [1306] = {.lex_state = 146, .external_lex_state = 2},
  [1307] = {.lex_state = 146, .external_lex_state = 2},
  [1308] = {.lex_state = 3, .external_lex_state = 2},
  [1309] = {.lex_state = 146, .external_lex_state = 5},
  [1310] = {.lex_state = 146, .external_lex_state = 5},
  [1311] = {.lex_state = 146, .external_lex_state = 2},
  [1312] = {.lex_state = 146, .external_lex_state = 5},
  [1313] = {.lex_state = 7, .external_lex_state = 2},
  [1314] = {.lex_state = 146, .external_lex_state = 2},
  [1315] = {.lex_state = 146, .external_lex_state = 2},
  [1316] = {.lex_state = 146, .external_lex_state = 2},
  [1317] = {.lex_state = 146, .external_lex_state = 2},
  [1318] = {.lex_state = 146, .external_lex_state = 2},
  [1319] = {.lex_state = 146, .external_lex_state = 2},
  [1320] = {.lex_state = 146, .external_lex_state = 2},
  [1321] = {.lex_state = 146, .external_lex_state = 2},
  [1322] = {.lex_state = 146, .external_lex_state = 2},
  [1323] = {.lex_state = 146, .external_lex_state = 2},
  [1324] = {.lex_state = 146, .external_lex_state = 2},
  [1325] = {.lex_state = 146, .external_lex_state = 2},
  [1326] = {.lex_state = 146, .external_lex_state = 2},
  [1327] = {.lex_state = 3, .external_lex_state = 2},
  [1328] = {.lex_state = 146, .external_lex_state = 2},
  [1329] = {.lex_state = 146, .external_lex_state = 2},
  [1330] = {.lex_state = 146, .external_lex_state = 2},
  [1331] = {.lex_state = 146, .external_lex_state = 2},
  [1332] = {.lex_state = 146, .external_lex_state = 2},
  [1333] = {.lex_state = 146, .external_lex_state = 2},
  [1334] = {.lex_state = 146, .external_lex_state = 2},
  [1335] = {.lex_state = 146, .external_lex_state = 2},
  [1336] = {.lex_state = 146, .external_lex_state = 2},
  [1337] = {.lex_state = 146, .external_lex_state = 2},
  [1338] = {.lex_state = 146, .external_lex_state = 2},
  [1339] = {.lex_state = 146, .external_lex_state = 2},
  [1340] = {.lex_state = 7, .external_lex_state = 2},
  [1341] = {.lex_state = 146, .external_lex_state = 2},
  [1342] = {.lex_state = 146, .external_lex_state = 2},
  [1343] = {.lex_state = 146, .external_lex_state = 2},
  [1344] = {.lex_state = 146, .external_lex_state = 2},
  [1345] = {.lex_state = 7, .external_lex_state = 2},
  [1346] = {.lex_state = 146, .external_lex_state = 2},
  [1347] = {.lex_state = 146, .external_lex_state = 2},
  [1348] = {.lex_state = 146, .external_lex_state = 2},
  [1349] = {.lex_state = 146, .external_lex_state = 2},
  [1350] = {.lex_state = 146, .external_lex_state = 2},
  [1351] = {.lex_state = 146, .external_lex_state = 5},
  [1352] = {.lex_state = 3, .external_lex_state = 2},
  [1353] = {.lex_state = 146, .external_lex_state = 2},
  [1354] = {.lex_state = 146, .external_lex_state = 2},
  [1355] = {.lex_state = 146, .external_lex_state = 5},
  [1356] = {.lex_state = 146, .external_lex_state = 2},
  [1357] = {.lex_state = 146, .external_lex_state = 2},
  [1358] = {.lex_state = 146, .external_lex_state = 2},
  [1359] = {.lex_state = 146, .external_lex_state = 5},
  [1360] = {.lex_state = 146, .external_lex_state = 2},
  [1361] = {.lex_state = 146, .external_lex_state = 2},
  [1362] = {.lex_state = 146, .external_lex_state = 2},
  [1363] = {.lex_state = 146, .external_lex_state = 2},
  [1364] = {.lex_state = 146, .external_lex_state = 2},
  [1365] = {.lex_state = 146, .external_lex_state = 2},
  [1366] = {.lex_state = 146, .external_lex_state = 2},
  [1367] = {.lex_state = 146, .external_lex_state = 5},
  [1368] = {.lex_state = 146, .external_lex_state = 5},
  [1369] = {.lex_state = 146, .external_lex_state = 2},
  [1370] = {.lex_state = 146, .external_lex_state = 2},
  [1371] = {.lex_state = 146, .external_lex_state = 5},
  [1372] = {.lex_state = 146, .external_lex_state = 2},
  [1373] = {.lex_state = 146, .external_lex_state = 2},
  [1374] = {.lex_state = 146, .external_lex_state = 2},
  [1375] = {.lex_state = 146, .external_lex_state = 2},
  [1376] = {.lex_state = 146, .external_lex_state = 2},
  [1377] = {.lex_state = 146, .external_lex_state = 2},
  [1378] = {.lex_state = 7, .external_lex_state = 2},
  [1379] = {.lex_state = 146, .external_lex_state = 2},
  [1380] = {.lex_state = 146, .external_lex_state = 2},
  [1381] = {.lex_state = 146, .external_lex_state = 2},
  [1382] = {.lex_state = 146, .external_lex_state = 2},
  [1383] = {.lex_state = 146, .external_lex_state = 2},
  [1384] = {.lex_state = 146, .external_lex_state = 2},
  [1385] = {.lex_state = 146, .external_lex_state = 2},
  [1386] = {.lex_state = 146, .external_lex_state = 2},
  [1387] = {.lex_state = 146, .external_lex_state = 2},
  [1388] = {.lex_state = 35, .external_lex_state = 2},
  [1389] = {.lex_state = 146, .external_lex_state = 2},
  [1390] = {.lex_state = 146, .external_lex_state = 2},
  [1391] = {.lex_state = 146, .external_lex_state = 2},
  [1392] = {.lex_state = 146, .external_lex_state = 2},
  [1393] = {.lex_state = 146, .external_lex_state = 2},
  [1394] = {.lex_state = 146, .external_lex_state = 2},
  [1395] = {.lex_state = 146, .external_lex_state = 2},
  [1396] = {.lex_state = 146, .external_lex_state = 2},
  [1397] = {.lex_state = 146, .external_lex_state = 2},
  [1398] = {.lex_state = 146, .external_lex_state = 2},
  [1399] = {.lex_state = 146, .external_lex_state = 2},
  [1400] = {.lex_state = 146, .external_lex_state = 2},
  [1401] = {.lex_state = 7, .external_lex_state = 2},
  [1402] = {.lex_state = 146, .external_lex_state = 2},
  [1403] = {.lex_state = 146, .external_lex_state = 2},
  [1404] = {.lex_state = 146, .external_lex_state = 2},
  [1405] = {.lex_state = 146, .external_lex_state = 2},
  [1406] = {.lex_state = 146, .external_lex_state = 2},
  [1407] = {.lex_state = 146, .external_lex_state = 2},
  [1408] = {.lex_state = 146, .external_lex_state = 2},
  [1409] = {.lex_state = 146, .external_lex_state = 2},
  [1410] = {.lex_state = 146, .external_lex_state = 2},
  [1411] = {.lex_state = 146, .external_lex_state = 2},
  [1412] = {.lex_state = 146, .external_lex_state = 2},
  [1413] = {.lex_state = 146, .external_lex_state = 2},
  [1414] = {.lex_state = 146, .external_lex_state = 2},
  [1415] = {.lex_state = 146, .external_lex_state = 2},
  [1416] = {.lex_state = 146, .external_lex_state = 2},
  [1417] = {.lex_state = 146, .external_lex_state = 2},
  [1418] = {.lex_state = 146, .external_lex_state = 2},
  [1419] = {.lex_state = 146, .external_lex_state = 2},
  [1420] = {.lex_state = 146, .external_lex_state = 2},
  [1421] = {.lex_state = 146, .external_lex_state = 2},
  [1422] = {.lex_state = 146, .external_lex_state = 5},
  [1423] = {.lex_state = 146, .external_lex_state = 2},
  [1424] = {.lex_state = 146, .external_lex_state = 2},
  [1425] = {.lex_state = 146, .external_lex_state = 2},
  [1426] = {.lex_state = 146, .external_lex_state = 2},
  [1427] = {.lex_state = 146, .external_lex_state = 2},
  [1428] = {.lex_state = 146, .external_lex_state = 5},
  [1429] = {.lex_state = 146, .external_lex_state = 2},
  [1430] = {.lex_state = 146, .external_lex_state = 2},
  [1431] = {.lex_state = 146, .external_lex_state = 5},
  [1432] = {.lex_state = 146, .external_lex_state = 2},
  [1433] = {.lex_state = 146, .external_lex_state = 2},
  [1434] = {.lex_state = 146, .external_lex_state = 2},
  [1435] = {.lex_state = 146, .external_lex_state = 2},
  [1436] = {.lex_state = 146, .external_lex_state = 2},
  [1437] = {.lex_state = 146, .external_lex_state = 2},
  [1438] = {.lex_state = 146, .external_lex_state = 2},
  [1439] = {.lex_state = 146, .external_lex_state = 2},
  [1440] = {.lex_state = 146, .external_lex_state = 2},
  [1441] = {.lex_state = 146, .external_lex_state = 2},
  [1442] = {.lex_state = 146, .external_lex_state = 2},
  [1443] = {.lex_state = 146, .external_lex_state = 5},
  [1444] = {.lex_state = 146, .external_lex_state = 2},
  [1445] = {.lex_state = 146, .external_lex_state = 2},
  [1446] = {.lex_state = 146, .external_lex_state = 2},
  [1447] = {.lex_state = 146, .external_lex_state = 2},
  [1448] = {.lex_state = 146, .external_lex_state = 2},
  [1449] = {.lex_state = 146, .external_lex_state = 2},
  [1450] = {.lex_state = 146, .external_lex_state = 2},
  [1451] = {.lex_state = 146, .external_lex_state = 2},
  [1452] = {.lex_state = 146, .external_lex_state = 2},
  [1453] = {.lex_state = 146, .external_lex_state = 5},
  [1454] = {.lex_state = 146, .external_lex_state = 2},
  [1455] = {.lex_state = 146, .external_lex_state = 2},
  [1456] = {.lex_state = 146, .external_lex_state = 2},
  [1457] = {.lex_state = 146, .external_lex_state = 2},
  [1458] = {.lex_state = 146, .external_lex_state = 5},
  [1459] = {.lex_state = 146, .external_lex_state = 2},
  [1460] = {.lex_state = 146, .external_lex_state = 2},
  [1461] = {.lex_state = 146, .external_lex_state = 2},
  [1462] = {.lex_state = 146, .external_lex_state = 2},
  [1463] = {.lex_state = 146, .external_lex_state = 2},
  [1464] = {.lex_state = 146, .external_lex_state = 2},
  [1465] = {.lex_state = 146, .external_lex_state = 2},
  [1466] = {.lex_state = 146, .external_lex_state = 2},
  [1467] = {.lex_state = 146, .external_lex_state = 2},
  [1468] = {.lex_state = 146, .external_lex_state = 2},
  [1469] = {.lex_state = 146, .external_lex_state = 2},
  [1470] = {.lex_state = 146, .external_lex_state = 5},
  [1471] = {.lex_state = 146, .external_lex_state = 5},
  [1472] = {.lex_state = 146, .external_lex_state = 2},
  [1473] = {.lex_state = 146, .external_lex_state = 2},
  [1474] = {.lex_state = 146, .external_lex_state = 2},
  [1475] = {.lex_state = 146, .external_lex_state = 2},
  [1476] = {.lex_state = 146, .external_lex_state = 2},
  [1477] = {.lex_state = 146, .external_lex_state = 2},
  [1478] = {.lex_state = 146, .external_lex_state = 2},
  [1479] = {.lex_state = 146, .external_lex_state = 2},
  [1480] = {.lex_state = 146, .external_lex_state = 2},
  [1481] = {.lex_state = 146, .external_lex_state = 2},
  [1482] = {.lex_state = 146, .external_lex_state = 2},
  [1483] = {.lex_state = 146, .external_lex_state = 2},
  [1484] = {.lex_state = 146, .external_lex_state = 2},
  [1485] = {.lex_state = 146, .external_lex_state = 2},
  [1486] = {.lex_state = 146, .external_lex_state = 2},
  [1487] = {.lex_state = 146, .external_lex_state = 2},
  [1488] = {.lex_state = 146, .external_lex_state = 2},
  [1489] = {.lex_state = 146, .external_lex_state = 2},
  [1490] = {.lex_state = 146, .external_lex_state = 2},
  [1491] = {.lex_state = 146, .external_lex_state = 2},
  [1492] = {.lex_state = 146, .external_lex_state = 2},
  [1493] = {.lex_state = 146, .external_lex_state = 2},
  [1494] = {.lex_state = 146, .external_lex_state = 5},
  [1495] = {.lex_state = 146, .external_lex_state = 2},
  [1496] = {.lex_state = 146, .external_lex_state = 2},
  [1497] = {.lex_state = 146, .external_lex_state = 2},
  [1498] = {.lex_state = 146, .external_lex_state = 2},
  [1499] = {.lex_state = 146, .external_lex_state = 2},
  [1500] = {.lex_state = 146, .external_lex_state = 2},
  [1501] = {.lex_state = 146, .external_lex_state = 2},
  [1502] = {.lex_state = 146, .external_lex_state = 2},
  [1503] = {.lex_state = 146, .external_lex_state = 2},
  [1504] = {.lex_state = 146, .external_lex_state = 2},
  [1505] = {.lex_state = 146, .external_lex_state = 2},
  [1506] = {.lex_state = 146, .external_lex_state = 2},
  [1507] = {.lex_state = 146, .external_lex_state = 2},
  [1508] = {.lex_state = 146, .external_lex_state = 2},
  [1509] = {.lex_state = 146, .external_lex_state = 2},
  [1510] = {.lex_state = 146, .external_lex_state = 2},
  [1511] = {.lex_state = 146, .external_lex_state = 2},
  [1512] = {.lex_state = 146, .external_lex_state = 2},
  [1513] = {.lex_state = 146, .external_lex_state = 2},
  [1514] = {.lex_state = 146, .external_lex_state = 2},
  [1515] = {.lex_state = 146, .external_lex_state = 2},
  [1516] = {.lex_state = 146, .external_lex_state = 2},
  [1517] = {.lex_state = 146, .external_lex_state = 2},
  [1518] = {.lex_state = 146, .external_lex_state = 5},
  [1519] = {.lex_state = 146, .external_lex_state = 2},
  [1520] = {.lex_state = 146, .external_lex_state = 2},
  [1521] = {.lex_state = 146, .external_lex_state = 2},
  [1522] = {.lex_state = 146, .external_lex_state = 2},
  [1523] = {.lex_state = 146, .external_lex_state = 2},
  [1524] = {.lex_state = 146, .external_lex_state = 2},
  [1525] = {.lex_state = 146, .external_lex_state = 2},
  [1526] = {.lex_state = 146, .external_lex_state = 5},
  [1527] = {.lex_state = 146, .external_lex_state = 2},
  [1528] = {.lex_state = 146, .external_lex_state = 2},
  [1529] = {.lex_state = 146, .external_lex_state = 5},
  [1530] = {.lex_state = 146, .external_lex_state = 5},
  [1531] = {.lex_state = 146, .external_lex_state = 2},
  [1532] = {.lex_state = 146, .external_lex_state = 2},
  [1533] = {.lex_state = 146, .external_lex_state = 2},
  [1534] = {.lex_state = 146, .external_lex_state = 2},
  [1535] = {.lex_state = 146, .external_lex_state = 2},
  [1536] = {.lex_state = 146, .external_lex_state = 2},
  [1537] = {.lex_state = 146, .external_lex_state = 2},
  [1538] = {.lex_state = 7, .external_lex_state = 2},
  [1539] = {.lex_state = 146, .external_lex_state = 2},
  [1540] = {.lex_state = 146, .external_lex_state = 2},
  [1541] = {.lex_state = 146, .external_lex_state = 2},
  [1542] = {.lex_state = 146, .external_lex_state = 2},
  [1543] = {.lex_state = 146, .external_lex_state = 2},
  [1544] = {.lex_state = 146, .external_lex_state = 2},
  [1545] = {.lex_state = 146, .external_lex_state = 2},
  [1546] = {.lex_state = 146, .external_lex_state = 2},
  [1547] = {.lex_state = 146, .external_lex_state = 2},
  [1548] = {.lex_state = 146, .external_lex_state = 2},
  [1549] = {.lex_state = 146, .external_lex_state = 2},
  [1550] = {.lex_state = 146, .external_lex_state = 2},
  [1551] = {.lex_state = 146, .external_lex_state = 2},
  [1552] = {.lex_state = 146, .external_lex_state = 2},
  [1553] = {.lex_state = 146, .external_lex_state = 2},
  [1554] = {.lex_state = 146, .external_lex_state = 2},
  [1555] = {.lex_state = 146, .external_lex_state = 2},
  [1556] = {.lex_state = 146, .external_lex_state = 2},
  [1557] = {.lex_state = 146, .external_lex_state = 5},
  [1558] = {.lex_state = 146, .external_lex_state = 2},
  [1559] = {.lex_state = 146, .external_lex_state = 5},
  [1560] = {.lex_state = 146, .external_lex_state = 2},
  [1561] = {.lex_state = 146, .external_lex_state = 5},
  [1562] = {.lex_state = 146, .external_lex_state = 2},
  [1563] = {.lex_state = 146, .external_lex_state = 2},
  [1564] = {.lex_state = 146, .external_lex_state = 2},
  [1565] = {.lex_state = 146, .external_lex_state = 2},
  [1566] = {.lex_state = 7, .external_lex_state = 2},
  [1567] = {.lex_state = 146, .external_lex_state = 2},
  [1568] = {.lex_state = 146, .external_lex_state = 2},
  [1569] = {.lex_state = 146, .external_lex_state = 2},
  [1570] = {.lex_state = 146, .external_lex_state = 5},
  [1571] = {.lex_state = 146, .external_lex_state = 2},
  [1572] = {.lex_state = 146, .external_lex_state = 2},
  [1573] = {.lex_state = 146, .external_lex_state = 2},
  [1574] = {.lex_state = 146, .external_lex_state = 2},
  [1575] = {.lex_state = 146, .external_lex_state = 2},
  [1576] = {.lex_state = 146, .external_lex_state = 2},
  [1577] = {.lex_state = 146, .external_lex_state = 2},
  [1578] = {.lex_state = 146, .external_lex_state = 2},
  [1579] = {.lex_state = 146, .external_lex_state = 2},
  [1580] = {.lex_state = 146, .external_lex_state = 2},
  [1581] = {.lex_state = 146, .external_lex_state = 2},
  [1582] = {.lex_state = 146, .external_lex_state = 2},
  [1583] = {.lex_state = 146, .external_lex_state = 2},
  [1584] = {.lex_state = 146, .external_lex_state = 2},
  [1585] = {.lex_state = 146, .external_lex_state = 2},
  [1586] = {.lex_state = 146, .external_lex_state = 2},
  [1587] = {.lex_state = 146, .external_lex_state = 2},
  [1588] = {.lex_state = 146, .external_lex_state = 2},
  [1589] = {.lex_state = 146, .external_lex_state = 2},
  [1590] = {.lex_state = 146, .external_lex_state = 2},
  [1591] = {.lex_state = 146, .external_lex_state = 2},
  [1592] = {.lex_state = 146, .external_lex_state = 2},
  [1593] = {.lex_state = 146, .external_lex_state = 5},
  [1594] = {.lex_state = 146, .external_lex_state = 2},
  [1595] = {.lex_state = 146, .external_lex_state = 2},
  [1596] = {.lex_state = 146, .external_lex_state = 2},
  [1597] = {.lex_state = 146, .external_lex_state = 2},
  [1598] = {.lex_state = 146, .external_lex_state = 2},
  [1599] = {.lex_state = 146, .external_lex_state = 2},
  [1600] = {.lex_state = 146, .external_lex_state = 2},
  [1601] = {.lex_state = 146, .external_lex_state = 2},
  [1602] = {.lex_state = 146, .external_lex_state = 2},
  [1603] = {.lex_state = 146, .external_lex_state = 2},
  [1604] = {.lex_state = 146, .external_lex_state = 2},
  [1605] = {.lex_state = 146, .external_lex_state = 2},
  [1606] = {.lex_state = 146, .external_lex_state = 2},
  [1607] = {.lex_state = 146, .external_lex_state = 2},
  [1608] = {.lex_state = 146, .external_lex_state = 2},
  [1609] = {.lex_state = 146, .external_lex_state = 2},
  [1610] = {.lex_state = 146, .external_lex_state = 2},
  [1611] = {.lex_state = 4, .external_lex_state = 8},
  [1612] = {.lex_state = 146, .external_lex_state = 2},
  [1613] = {.lex_state = 146, .external_lex_state = 2},
  [1614] = {.lex_state = 146, .external_lex_state = 2},
  [1615] = {.lex_state = 146, .external_lex_state = 2},
  [1616] = {.lex_state = 146, .external_lex_state = 2},
  [1617] = {.lex_state = 146, .external_lex_state = 2},
  [1618] = {.lex_state = 146, .external_lex_state = 2},
  [1619] = {.lex_state = 146, .external_lex_state = 2},
  [1620] = {.lex_state = 146, .external_lex_state = 2},
  [1621] = {.lex_state = 146, .external_lex_state = 2},
  [1622] = {.lex_state = 146, .external_lex_state = 2},
  [1623] = {.lex_state = 146, .external_lex_state = 2},
  [1624] = {.lex_state = 146, .external_lex_state = 2},
  [1625] = {.lex_state = 146, .external_lex_state = 2},
  [1626] = {.lex_state = 36, .external_lex_state = 2},
  [1627] = {.lex_state = 146, .external_lex_state = 2},
  [1628] = {.lex_state = 146, .external_lex_state = 2},
  [1629] = {.lex_state = 146, .external_lex_state = 2},
  [1630] = {.lex_state = 146, .external_lex_state = 2},
  [1631] = {.lex_state = 146, .external_lex_state = 2},
  [1632] = {.lex_state = 146, .external_lex_state = 2},
  [1633] = {.lex_state = 146, .external_lex_state = 2},
  [1634] = {.lex_state = 146, .external_lex_state = 2},
  [1635] = {.lex_state = 146, .external_lex_state = 2},
  [1636] = {.lex_state = 36, .external_lex_state = 2},
  [1637] = {.lex_state = 146, .external_lex_state = 2},
  [1638] = {.lex_state = 146, .external_lex_state = 2},
  [1639] = {.lex_state = 146, .external_lex_state = 2},
  [1640] = {.lex_state = 146, .external_lex_state = 2},
  [1641] = {.lex_state = 36, .external_lex_state = 2},
  [1642] = {.lex_state = 146, .external_lex_state = 2},
  [1643] = {.lex_state = 146, .external_lex_state = 2},
  [1644] = {.lex_state = 146, .external_lex_state = 2},
  [1645] = {.lex_state = 146, .external_lex_state = 2},
  [1646] = {.lex_state = 146, .external_lex_state = 2},
  [1647] = {.lex_state = 4, .external_lex_state = 8},
  [1648] = {.lex_state = 36, .external_lex_state = 2},
  [1649] = {.lex_state = 146, .external_lex_state = 2},
  [1650] = {.lex_state = 146, .external_lex_state = 2},
  [1651] = {.lex_state = 146, .external_lex_state = 2},
  [1652] = {.lex_state = 4, .external_lex_state = 8},
  [1653] = {.lex_state = 146, .external_lex_state = 2},
  [1654] = {.lex_state = 146, .external_lex_state = 2},
  [1655] = {.lex_state = 146, .external_lex_state = 2},
  [1656] = {.lex_state = 146, .external_lex_state = 2},
  [1657] = {.lex_state = 146, .external_lex_state = 2},
  [1658] = {.lex_state = 146, .external_lex_state = 2},
  [1659] = {.lex_state = 146, .external_lex_state = 2},
  [1660] = {.lex_state = 146, .external_lex_state = 2},
  [1661] = {.lex_state = 146, .external_lex_state = 2},
  [1662] = {.lex_state = 146, .external_lex_state = 2},
  [1663] = {.lex_state = 146, .external_lex_state = 2},
  [1664] = {.lex_state = 146, .external_lex_state = 2},
  [1665] = {.lex_state = 146, .external_lex_state = 2},
  [1666] = {.lex_state = 146, .external_lex_state = 2},
  [1667] = {.lex_state = 146, .external_lex_state = 2},
  [1668] = {.lex_state = 146, .external_lex_state = 2},
  [1669] = {.lex_state = 146, .external_lex_state = 2},
  [1670] = {.lex_state = 146, .external_lex_state = 2},
  [1671] = {.lex_state = 4, .external_lex_state = 8},
  [1672] = {.lex_state = 146, .external_lex_state = 2},
  [1673] = {.lex_state = 146, .external_lex_state = 2},
  [1674] = {.lex_state = 146, .external_lex_state = 2},
  [1675] = {.lex_state = 146, .external_lex_state = 2},
  [1676] = {.lex_state = 146, .external_lex_state = 2},
  [1677] = {.lex_state = 146, .external_lex_state = 2},
  [1678] = {.lex_state = 146, .external_lex_state = 2},
  [1679] = {.lex_state = 146, .external_lex_state = 2},
  [1680] = {.lex_state = 146, .external_lex_state = 2},
  [1681] = {.lex_state = 146, .external_lex_state = 2},
  [1682] = {.lex_state = 146, .external_lex_state = 2},
  [1683] = {.lex_state = 146, .external_lex_state = 2},
  [1684] = {.lex_state = 146, .external_lex_state = 2},
  [1685] = {.lex_state = 146, .external_lex_state = 2},
  [1686] = {.lex_state = 146, .external_lex_state = 2},
  [1687] = {.lex_state = 146, .external_lex_state = 2},
  [1688] = {.lex_state = 146, .external_lex_state = 2},
  [1689] = {.lex_state = 146, .external_lex_state = 2},
  [1690] = {.lex_state = 146, .external_lex_state = 2},
  [1691] = {.lex_state = 146, .external_lex_state = 2},
  [1692] = {.lex_state = 146, .external_lex_state = 2},
  [1693] = {.lex_state = 146, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(1645),
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1628),
    [sym_object_assignment_pattern] = STATE(1265),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1628),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1628),
    [sym_spread_element] = STATE(1264),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(785),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [sym_rest_pattern] = STATE(1265),
    [sym_method_definition] = STATE(1264),
    [sym_pair] = STATE(1264),
    [sym_pair_pattern] = STATE(1265),
    [sym__property_name] = STATE(1275),
    [sym_computed_property_name] = STATE(1275),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1269),
    [aux_sym_object_pattern_repeat1] = STATE(1357),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_export] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(107),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(111),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(119),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1628),
    [sym_object_assignment_pattern] = STATE(1265),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1628),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1628),
    [sym_spread_element] = STATE(1272),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(785),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [sym_rest_pattern] = STATE(1265),
    [sym_method_definition] = STATE(1272),
    [sym_pair] = STATE(1272),
    [sym_pair_pattern] = STATE(1265),
    [sym__property_name] = STATE(1275),
    [sym_computed_property_name] = STATE(1275),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1299),
    [aux_sym_object_pattern_repeat1] = STATE(1357),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1628),
    [sym_object_assignment_pattern] = STATE(1265),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1628),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1628),
    [sym_spread_element] = STATE(1272),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(785),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [sym_rest_pattern] = STATE(1265),
    [sym_method_definition] = STATE(1272),
    [sym_pair] = STATE(1272),
    [sym_pair_pattern] = STATE(1265),
    [sym__property_name] = STATE(1275),
    [sym_computed_property_name] = STATE(1275),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1299),
    [aux_sym_object_pattern_repeat1] = STATE(1357),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1628),
    [sym_object_assignment_pattern] = STATE(1265),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1628),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1628),
    [sym_spread_element] = STATE(1272),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(785),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [sym_rest_pattern] = STATE(1265),
    [sym_method_definition] = STATE(1272),
    [sym_pair] = STATE(1272),
    [sym_pair_pattern] = STATE(1265),
    [sym__property_name] = STATE(1275),
    [sym_computed_property_name] = STATE(1275),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1299),
    [aux_sym_object_pattern_repeat1] = STATE(1357),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(141),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1628),
    [sym_object_assignment_pattern] = STATE(1265),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1628),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1628),
    [sym_spread_element] = STATE(1264),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(785),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [sym_rest_pattern] = STATE(1265),
    [sym_method_definition] = STATE(1264),
    [sym_pair] = STATE(1264),
    [sym_pair_pattern] = STATE(1265),
    [sym__property_name] = STATE(1275),
    [sym_computed_property_name] = STATE(1275),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1269),
    [aux_sym_object_pattern_repeat1] = STATE(1357),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(151),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(153),
    [anon_sym_set] = ACTIONS(153),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(160),
    [anon_sym_default] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(174),
    [anon_sym_let] = ACTIONS(177),
    [anon_sym_const] = ACTIONS(180),
    [anon_sym_if] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(186),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(192),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(198),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_try] = ACTIONS(204),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(210),
    [anon_sym_debugger] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(216),
    [anon_sym_throw] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(222),
    [anon_sym_case] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(228),
    [sym_glimmer_opening_tag] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(234),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(240),
    [anon_sym_class] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(246),
    [anon_sym_function] = ACTIONS(249),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_SLASH] = ACTIONS(258),
    [anon_sym_BANG] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_typeof] = ACTIONS(255),
    [anon_sym_void] = ACTIONS(255),
    [anon_sym_delete] = ACTIONS(255),
    [anon_sym_PLUS_PLUS] = ACTIONS(264),
    [anon_sym_DASH_DASH] = ACTIONS(264),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [sym_number] = ACTIONS(270),
    [sym_private_property_identifier] = ACTIONS(273),
    [sym_this] = ACTIONS(276),
    [sym_super] = ACTIONS(276),
    [sym_true] = ACTIONS(276),
    [sym_false] = ACTIONS(276),
    [sym_null] = ACTIONS(276),
    [sym_undefined] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(8),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(11),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(298),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(300),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(302),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(300),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(308),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [ts_builtin_sym_end] = ACTIONS(310),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [ts_builtin_sym_end] = ACTIONS(312),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(314),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [ts_builtin_sym_end] = ACTIONS(312),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(330),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(389),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(382),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(389),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(346),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(390),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(371),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(382),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(341),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(346),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(365),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(371),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(341),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(327),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(1326),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(390),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(379),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1171),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(1644),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(365),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym_import] = STATE(1095),
    [sym_import_statement] = STATE(352),
    [sym_statement] = STATE(379),
    [sym_expression_statement] = STATE(352),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_statement_block] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_for_in_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_try_statement] = STATE(352),
    [sym_with_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_debugger_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_throw_statement] = STATE(352),
    [sym_empty_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(505),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_STAR] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(364),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(583),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(440),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(761),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(508),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(508),
    [anon_sym_with] = ACTIONS(508),
    [anon_sym_var] = ACTIONS(508),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_in] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_debugger] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_throw] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_EQ] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(506),
    [sym_glimmer_opening_tag] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [anon_sym_SQUOTE] = ACTIONS(506),
    [anon_sym_class] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(508),
    [sym_optional_chain] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_AMP_AMP] = ACTIONS(512),
    [anon_sym_PIPE_PIPE] = ACTIONS(512),
    [anon_sym_GT_GT] = ACTIONS(510),
    [anon_sym_GT_GT_GT] = ACTIONS(512),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(512),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(512),
    [anon_sym_STAR_STAR] = ACTIONS(512),
    [anon_sym_LT_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(512),
    [anon_sym_QMARK_QMARK] = ACTIONS(512),
    [anon_sym_instanceof] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(508),
    [anon_sym_void] = ACTIONS(508),
    [anon_sym_delete] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(506),
    [sym_number] = ACTIONS(506),
    [sym_private_property_identifier] = ACTIONS(506),
    [sym_this] = ACTIONS(508),
    [sym_super] = ACTIONS(508),
    [sym_true] = ACTIONS(508),
    [sym_false] = ACTIONS(508),
    [sym_null] = ACTIONS(508),
    [sym_undefined] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(506),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym__automatic_semicolon] = ACTIONS(516),
    [sym__ternary_qmark] = ACTIONS(512),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_STAR] = ACTIONS(522),
    [anon_sym_default] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_import] = ACTIONS(520),
    [anon_sym_with] = ACTIONS(520),
    [anon_sym_var] = ACTIONS(520),
    [anon_sym_let] = ACTIONS(520),
    [anon_sym_const] = ACTIONS(520),
    [anon_sym_else] = ACTIONS(520),
    [anon_sym_if] = ACTIONS(520),
    [anon_sym_switch] = ACTIONS(520),
    [anon_sym_for] = ACTIONS(520),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_await] = ACTIONS(520),
    [anon_sym_in] = ACTIONS(522),
    [anon_sym_while] = ACTIONS(520),
    [anon_sym_do] = ACTIONS(520),
    [anon_sym_try] = ACTIONS(520),
    [anon_sym_break] = ACTIONS(520),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(520),
    [anon_sym_return] = ACTIONS(520),
    [anon_sym_throw] = ACTIONS(520),
    [anon_sym_SEMI] = ACTIONS(518),
    [anon_sym_case] = ACTIONS(520),
    [anon_sym_yield] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(518),
    [sym_glimmer_opening_tag] = ACTIONS(518),
    [anon_sym_LT] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(522),
    [anon_sym_DOT] = ACTIONS(522),
    [anon_sym_DQUOTE] = ACTIONS(518),
    [anon_sym_SQUOTE] = ACTIONS(518),
    [anon_sym_class] = ACTIONS(520),
    [anon_sym_async] = ACTIONS(520),
    [anon_sym_function] = ACTIONS(520),
    [sym_optional_chain] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(520),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(522),
    [anon_sym_GT_GT_GT] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_AMP] = ACTIONS(522),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_SLASH] = ACTIONS(520),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_QMARK_QMARK] = ACTIONS(524),
    [anon_sym_instanceof] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_typeof] = ACTIONS(520),
    [anon_sym_void] = ACTIONS(520),
    [anon_sym_delete] = ACTIONS(520),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(518),
    [sym_number] = ACTIONS(518),
    [sym_private_property_identifier] = ACTIONS(518),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(520),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_null] = ACTIONS(520),
    [sym_undefined] = ACTIONS(520),
    [anon_sym_AT] = ACTIONS(518),
    [anon_sym_static] = ACTIONS(520),
    [anon_sym_get] = ACTIONS(520),
    [anon_sym_set] = ACTIONS(520),
    [sym__automatic_semicolon] = ACTIONS(526),
    [sym__ternary_qmark] = ACTIONS(524),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(528),
    [sym_identifier] = ACTIONS(530),
    [anon_sym_export] = ACTIONS(530),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_COMMA] = ACTIONS(534),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_import] = ACTIONS(530),
    [anon_sym_with] = ACTIONS(530),
    [anon_sym_var] = ACTIONS(530),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(530),
    [anon_sym_in] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_debugger] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_throw] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_yield] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(528),
    [sym_glimmer_opening_tag] = ACTIONS(528),
    [anon_sym_LT] = ACTIONS(530),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(528),
    [anon_sym_SQUOTE] = ACTIONS(528),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(530),
    [anon_sym_function] = ACTIONS(530),
    [sym_optional_chain] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(530),
    [anon_sym_AMP_AMP] = ACTIONS(534),
    [anon_sym_PIPE_PIPE] = ACTIONS(534),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_GT_GT_GT] = ACTIONS(534),
    [anon_sym_LT_LT] = ACTIONS(534),
    [anon_sym_AMP] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(534),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(530),
    [anon_sym_PERCENT] = ACTIONS(534),
    [anon_sym_STAR_STAR] = ACTIONS(534),
    [anon_sym_LT_EQ] = ACTIONS(534),
    [anon_sym_EQ_EQ] = ACTIONS(532),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(534),
    [anon_sym_BANG_EQ] = ACTIONS(532),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(534),
    [anon_sym_GT_EQ] = ACTIONS(534),
    [anon_sym_QMARK_QMARK] = ACTIONS(534),
    [anon_sym_instanceof] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(530),
    [anon_sym_void] = ACTIONS(530),
    [anon_sym_delete] = ACTIONS(530),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(528),
    [sym_number] = ACTIONS(528),
    [sym_private_property_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(530),
    [sym_super] = ACTIONS(530),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
    [sym__automatic_semicolon] = ACTIONS(536),
    [sym__ternary_qmark] = ACTIONS(534),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(538),
    [sym_identifier] = ACTIONS(540),
    [anon_sym_export] = ACTIONS(540),
    [anon_sym_STAR] = ACTIONS(542),
    [anon_sym_default] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(538),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_import] = ACTIONS(540),
    [anon_sym_with] = ACTIONS(540),
    [anon_sym_var] = ACTIONS(540),
    [anon_sym_let] = ACTIONS(540),
    [anon_sym_const] = ACTIONS(540),
    [anon_sym_else] = ACTIONS(540),
    [anon_sym_if] = ACTIONS(540),
    [anon_sym_switch] = ACTIONS(540),
    [anon_sym_for] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(538),
    [anon_sym_await] = ACTIONS(540),
    [anon_sym_in] = ACTIONS(542),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(540),
    [anon_sym_break] = ACTIONS(540),
    [anon_sym_continue] = ACTIONS(540),
    [anon_sym_debugger] = ACTIONS(540),
    [anon_sym_return] = ACTIONS(540),
    [anon_sym_throw] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(538),
    [anon_sym_case] = ACTIONS(540),
    [anon_sym_yield] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(538),
    [sym_glimmer_opening_tag] = ACTIONS(538),
    [anon_sym_LT] = ACTIONS(540),
    [anon_sym_GT] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [anon_sym_SQUOTE] = ACTIONS(538),
    [anon_sym_class] = ACTIONS(540),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(540),
    [sym_optional_chain] = ACTIONS(544),
    [anon_sym_new] = ACTIONS(540),
    [anon_sym_AMP_AMP] = ACTIONS(544),
    [anon_sym_PIPE_PIPE] = ACTIONS(544),
    [anon_sym_GT_GT] = ACTIONS(542),
    [anon_sym_GT_GT_GT] = ACTIONS(544),
    [anon_sym_LT_LT] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(542),
    [anon_sym_CARET] = ACTIONS(544),
    [anon_sym_PIPE] = ACTIONS(542),
    [anon_sym_PLUS] = ACTIONS(540),
    [anon_sym_DASH] = ACTIONS(540),
    [anon_sym_SLASH] = ACTIONS(540),
    [anon_sym_PERCENT] = ACTIONS(544),
    [anon_sym_STAR_STAR] = ACTIONS(544),
    [anon_sym_LT_EQ] = ACTIONS(544),
    [anon_sym_EQ_EQ] = ACTIONS(542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(544),
    [anon_sym_BANG_EQ] = ACTIONS(542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(544),
    [anon_sym_GT_EQ] = ACTIONS(544),
    [anon_sym_QMARK_QMARK] = ACTIONS(544),
    [anon_sym_instanceof] = ACTIONS(542),
    [anon_sym_BANG] = ACTIONS(540),
    [anon_sym_TILDE] = ACTIONS(538),
    [anon_sym_typeof] = ACTIONS(540),
    [anon_sym_void] = ACTIONS(540),
    [anon_sym_delete] = ACTIONS(540),
    [anon_sym_PLUS_PLUS] = ACTIONS(538),
    [anon_sym_DASH_DASH] = ACTIONS(538),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(538),
    [sym_number] = ACTIONS(538),
    [sym_private_property_identifier] = ACTIONS(538),
    [sym_this] = ACTIONS(540),
    [sym_super] = ACTIONS(540),
    [sym_true] = ACTIONS(540),
    [sym_false] = ACTIONS(540),
    [sym_null] = ACTIONS(540),
    [sym_undefined] = ACTIONS(540),
    [anon_sym_AT] = ACTIONS(538),
    [anon_sym_static] = ACTIONS(540),
    [anon_sym_get] = ACTIONS(540),
    [anon_sym_set] = ACTIONS(540),
    [sym__automatic_semicolon] = ACTIONS(546),
    [sym__ternary_qmark] = ACTIONS(544),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(548),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(550),
    [anon_sym_STAR] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(548),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_import] = ACTIONS(550),
    [anon_sym_with] = ACTIONS(550),
    [anon_sym_var] = ACTIONS(550),
    [anon_sym_let] = ACTIONS(550),
    [anon_sym_const] = ACTIONS(550),
    [anon_sym_else] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(550),
    [anon_sym_switch] = ACTIONS(550),
    [anon_sym_for] = ACTIONS(550),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_await] = ACTIONS(550),
    [anon_sym_in] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(550),
    [anon_sym_do] = ACTIONS(550),
    [anon_sym_try] = ACTIONS(550),
    [anon_sym_break] = ACTIONS(550),
    [anon_sym_continue] = ACTIONS(550),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(550),
    [anon_sym_throw] = ACTIONS(550),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_yield] = ACTIONS(550),
    [anon_sym_LBRACK] = ACTIONS(548),
    [sym_glimmer_opening_tag] = ACTIONS(548),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_GT] = ACTIONS(552),
    [anon_sym_DOT] = ACTIONS(552),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [anon_sym_class] = ACTIONS(550),
    [anon_sym_async] = ACTIONS(550),
    [anon_sym_function] = ACTIONS(550),
    [sym_optional_chain] = ACTIONS(554),
    [anon_sym_new] = ACTIONS(550),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_GT_GT] = ACTIONS(552),
    [anon_sym_GT_GT_GT] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(554),
    [anon_sym_AMP] = ACTIONS(552),
    [anon_sym_CARET] = ACTIONS(554),
    [anon_sym_PIPE] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(550),
    [anon_sym_SLASH] = ACTIONS(550),
    [anon_sym_PERCENT] = ACTIONS(554),
    [anon_sym_STAR_STAR] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_EQ_EQ] = ACTIONS(552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(554),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_QMARK_QMARK] = ACTIONS(554),
    [anon_sym_instanceof] = ACTIONS(552),
    [anon_sym_BANG] = ACTIONS(550),
    [anon_sym_TILDE] = ACTIONS(548),
    [anon_sym_typeof] = ACTIONS(550),
    [anon_sym_void] = ACTIONS(550),
    [anon_sym_delete] = ACTIONS(550),
    [anon_sym_PLUS_PLUS] = ACTIONS(548),
    [anon_sym_DASH_DASH] = ACTIONS(548),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(548),
    [sym_number] = ACTIONS(548),
    [sym_private_property_identifier] = ACTIONS(548),
    [sym_this] = ACTIONS(550),
    [sym_super] = ACTIONS(550),
    [sym_true] = ACTIONS(550),
    [sym_false] = ACTIONS(550),
    [sym_null] = ACTIONS(550),
    [sym_undefined] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(548),
    [anon_sym_static] = ACTIONS(550),
    [anon_sym_get] = ACTIONS(550),
    [anon_sym_set] = ACTIONS(550),
    [sym__automatic_semicolon] = ACTIONS(556),
    [sym__ternary_qmark] = ACTIONS(554),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(558),
    [sym_identifier] = ACTIONS(560),
    [anon_sym_export] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(562),
    [anon_sym_default] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(560),
    [anon_sym_with] = ACTIONS(560),
    [anon_sym_var] = ACTIONS(560),
    [anon_sym_let] = ACTIONS(560),
    [anon_sym_const] = ACTIONS(560),
    [anon_sym_else] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_do] = ACTIONS(560),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_debugger] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_throw] = ACTIONS(560),
    [anon_sym_SEMI] = ACTIONS(558),
    [anon_sym_case] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(558),
    [sym_glimmer_opening_tag] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(562),
    [anon_sym_DOT] = ACTIONS(562),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [anon_sym_class] = ACTIONS(560),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(560),
    [sym_optional_chain] = ACTIONS(564),
    [anon_sym_new] = ACTIONS(560),
    [anon_sym_AMP_AMP] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(562),
    [anon_sym_GT_GT_GT] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_QMARK_QMARK] = ACTIONS(564),
    [anon_sym_instanceof] = ACTIONS(562),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_typeof] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(560),
    [anon_sym_delete] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_DASH_DASH] = ACTIONS(558),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(558),
    [sym_number] = ACTIONS(558),
    [sym_private_property_identifier] = ACTIONS(558),
    [sym_this] = ACTIONS(560),
    [sym_super] = ACTIONS(560),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_null] = ACTIONS(560),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(558),
    [anon_sym_static] = ACTIONS(560),
    [anon_sym_get] = ACTIONS(560),
    [anon_sym_set] = ACTIONS(560),
    [sym__automatic_semicolon] = ACTIONS(566),
    [sym__ternary_qmark] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1347),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1334),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(574),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(580),
    [sym_identifier] = ACTIONS(582),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(580),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_RBRACE] = ACTIONS(580),
    [anon_sym_import] = ACTIONS(582),
    [anon_sym_with] = ACTIONS(582),
    [anon_sym_var] = ACTIONS(582),
    [anon_sym_let] = ACTIONS(582),
    [anon_sym_const] = ACTIONS(582),
    [anon_sym_else] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(582),
    [anon_sym_LPAREN] = ACTIONS(580),
    [anon_sym_await] = ACTIONS(582),
    [anon_sym_in] = ACTIONS(584),
    [anon_sym_while] = ACTIONS(582),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_try] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(582),
    [anon_sym_continue] = ACTIONS(582),
    [anon_sym_debugger] = ACTIONS(582),
    [anon_sym_return] = ACTIONS(582),
    [anon_sym_throw] = ACTIONS(582),
    [anon_sym_SEMI] = ACTIONS(580),
    [anon_sym_case] = ACTIONS(582),
    [anon_sym_yield] = ACTIONS(582),
    [anon_sym_LBRACK] = ACTIONS(580),
    [sym_glimmer_opening_tag] = ACTIONS(580),
    [anon_sym_LT] = ACTIONS(582),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_DOT] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(580),
    [anon_sym_SQUOTE] = ACTIONS(580),
    [anon_sym_class] = ACTIONS(582),
    [anon_sym_async] = ACTIONS(582),
    [anon_sym_function] = ACTIONS(582),
    [sym_optional_chain] = ACTIONS(586),
    [anon_sym_new] = ACTIONS(582),
    [anon_sym_AMP_AMP] = ACTIONS(586),
    [anon_sym_PIPE_PIPE] = ACTIONS(586),
    [anon_sym_GT_GT] = ACTIONS(584),
    [anon_sym_GT_GT_GT] = ACTIONS(586),
    [anon_sym_LT_LT] = ACTIONS(586),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(586),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(586),
    [anon_sym_STAR_STAR] = ACTIONS(586),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_EQ_EQ] = ACTIONS(584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(586),
    [anon_sym_BANG_EQ] = ACTIONS(584),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(586),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_QMARK_QMARK] = ACTIONS(586),
    [anon_sym_instanceof] = ACTIONS(584),
    [anon_sym_BANG] = ACTIONS(582),
    [anon_sym_TILDE] = ACTIONS(580),
    [anon_sym_typeof] = ACTIONS(582),
    [anon_sym_void] = ACTIONS(582),
    [anon_sym_delete] = ACTIONS(582),
    [anon_sym_PLUS_PLUS] = ACTIONS(580),
    [anon_sym_DASH_DASH] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(580),
    [sym_number] = ACTIONS(580),
    [sym_private_property_identifier] = ACTIONS(580),
    [sym_this] = ACTIONS(582),
    [sym_super] = ACTIONS(582),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_undefined] = ACTIONS(582),
    [anon_sym_AT] = ACTIONS(580),
    [anon_sym_static] = ACTIONS(582),
    [anon_sym_get] = ACTIONS(582),
    [anon_sym_set] = ACTIONS(582),
    [sym__automatic_semicolon] = ACTIONS(588),
    [sym__ternary_qmark] = ACTIONS(586),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(590),
    [sym_identifier] = ACTIONS(592),
    [anon_sym_export] = ACTIONS(592),
    [anon_sym_STAR] = ACTIONS(594),
    [anon_sym_default] = ACTIONS(592),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(596),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(592),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_var] = ACTIONS(592),
    [anon_sym_let] = ACTIONS(592),
    [anon_sym_const] = ACTIONS(592),
    [anon_sym_else] = ACTIONS(592),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(592),
    [anon_sym_for] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(594),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(592),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(592),
    [anon_sym_continue] = ACTIONS(592),
    [anon_sym_debugger] = ACTIONS(592),
    [anon_sym_return] = ACTIONS(592),
    [anon_sym_throw] = ACTIONS(592),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_case] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(590),
    [sym_glimmer_opening_tag] = ACTIONS(590),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_GT] = ACTIONS(594),
    [anon_sym_DOT] = ACTIONS(594),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [anon_sym_SQUOTE] = ACTIONS(590),
    [anon_sym_class] = ACTIONS(592),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(592),
    [sym_optional_chain] = ACTIONS(596),
    [anon_sym_new] = ACTIONS(592),
    [anon_sym_AMP_AMP] = ACTIONS(596),
    [anon_sym_PIPE_PIPE] = ACTIONS(596),
    [anon_sym_GT_GT] = ACTIONS(594),
    [anon_sym_GT_GT_GT] = ACTIONS(596),
    [anon_sym_LT_LT] = ACTIONS(596),
    [anon_sym_AMP] = ACTIONS(594),
    [anon_sym_CARET] = ACTIONS(596),
    [anon_sym_PIPE] = ACTIONS(594),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_SLASH] = ACTIONS(592),
    [anon_sym_PERCENT] = ACTIONS(596),
    [anon_sym_STAR_STAR] = ACTIONS(596),
    [anon_sym_LT_EQ] = ACTIONS(596),
    [anon_sym_EQ_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(596),
    [anon_sym_BANG_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(596),
    [anon_sym_GT_EQ] = ACTIONS(596),
    [anon_sym_QMARK_QMARK] = ACTIONS(596),
    [anon_sym_instanceof] = ACTIONS(594),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_typeof] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(592),
    [anon_sym_delete] = ACTIONS(592),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(590),
    [sym_number] = ACTIONS(590),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(592),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(590),
    [anon_sym_static] = ACTIONS(592),
    [anon_sym_get] = ACTIONS(592),
    [anon_sym_set] = ACTIONS(592),
    [sym__automatic_semicolon] = ACTIONS(598),
    [sym__ternary_qmark] = ACTIONS(596),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(508),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(508),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(508),
    [anon_sym_with] = ACTIONS(508),
    [anon_sym_var] = ACTIONS(508),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_debugger] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_throw] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(506),
    [sym_glimmer_opening_tag] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_DOT] = ACTIONS(508),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [anon_sym_SQUOTE] = ACTIONS(506),
    [anon_sym_class] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(508),
    [sym_optional_chain] = ACTIONS(506),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_AMP_AMP] = ACTIONS(506),
    [anon_sym_PIPE_PIPE] = ACTIONS(506),
    [anon_sym_GT_GT] = ACTIONS(508),
    [anon_sym_GT_GT_GT] = ACTIONS(506),
    [anon_sym_LT_LT] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(508),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_PIPE] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_STAR] = ACTIONS(506),
    [anon_sym_LT_EQ] = ACTIONS(506),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(506),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(506),
    [anon_sym_GT_EQ] = ACTIONS(506),
    [anon_sym_QMARK_QMARK] = ACTIONS(506),
    [anon_sym_instanceof] = ACTIONS(508),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(508),
    [anon_sym_void] = ACTIONS(508),
    [anon_sym_delete] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(506),
    [sym_number] = ACTIONS(506),
    [sym_private_property_identifier] = ACTIONS(506),
    [sym_this] = ACTIONS(508),
    [sym_super] = ACTIONS(508),
    [sym_true] = ACTIONS(508),
    [sym_false] = ACTIONS(508),
    [sym_null] = ACTIONS(508),
    [sym_undefined] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(506),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym__automatic_semicolon] = ACTIONS(600),
    [sym__ternary_qmark] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(679),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1292),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1295),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(602),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(679),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1292),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1295),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(604),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(753),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1347),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1334),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(574),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(606),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(608),
    [anon_sym_STAR] = ACTIONS(610),
    [anon_sym_default] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(606),
    [anon_sym_import] = ACTIONS(608),
    [anon_sym_with] = ACTIONS(608),
    [anon_sym_var] = ACTIONS(608),
    [anon_sym_let] = ACTIONS(608),
    [anon_sym_const] = ACTIONS(608),
    [anon_sym_else] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(608),
    [anon_sym_switch] = ACTIONS(608),
    [anon_sym_for] = ACTIONS(608),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_await] = ACTIONS(608),
    [anon_sym_in] = ACTIONS(610),
    [anon_sym_while] = ACTIONS(608),
    [anon_sym_do] = ACTIONS(608),
    [anon_sym_try] = ACTIONS(608),
    [anon_sym_break] = ACTIONS(608),
    [anon_sym_continue] = ACTIONS(608),
    [anon_sym_debugger] = ACTIONS(608),
    [anon_sym_return] = ACTIONS(608),
    [anon_sym_throw] = ACTIONS(608),
    [anon_sym_SEMI] = ACTIONS(606),
    [anon_sym_case] = ACTIONS(608),
    [anon_sym_yield] = ACTIONS(608),
    [anon_sym_LBRACK] = ACTIONS(606),
    [sym_glimmer_opening_tag] = ACTIONS(606),
    [anon_sym_LT] = ACTIONS(608),
    [anon_sym_GT] = ACTIONS(610),
    [anon_sym_DOT] = ACTIONS(610),
    [anon_sym_DQUOTE] = ACTIONS(606),
    [anon_sym_SQUOTE] = ACTIONS(606),
    [anon_sym_class] = ACTIONS(608),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(608),
    [sym_optional_chain] = ACTIONS(612),
    [anon_sym_new] = ACTIONS(608),
    [anon_sym_AMP_AMP] = ACTIONS(612),
    [anon_sym_PIPE_PIPE] = ACTIONS(612),
    [anon_sym_GT_GT] = ACTIONS(610),
    [anon_sym_GT_GT_GT] = ACTIONS(612),
    [anon_sym_LT_LT] = ACTIONS(612),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_CARET] = ACTIONS(612),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(608),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_SLASH] = ACTIONS(608),
    [anon_sym_PERCENT] = ACTIONS(612),
    [anon_sym_STAR_STAR] = ACTIONS(612),
    [anon_sym_LT_EQ] = ACTIONS(612),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(612),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(612),
    [anon_sym_GT_EQ] = ACTIONS(612),
    [anon_sym_QMARK_QMARK] = ACTIONS(612),
    [anon_sym_instanceof] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(608),
    [anon_sym_TILDE] = ACTIONS(606),
    [anon_sym_typeof] = ACTIONS(608),
    [anon_sym_void] = ACTIONS(608),
    [anon_sym_delete] = ACTIONS(608),
    [anon_sym_PLUS_PLUS] = ACTIONS(606),
    [anon_sym_DASH_DASH] = ACTIONS(606),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(606),
    [sym_number] = ACTIONS(606),
    [sym_private_property_identifier] = ACTIONS(606),
    [sym_this] = ACTIONS(608),
    [sym_super] = ACTIONS(608),
    [sym_true] = ACTIONS(608),
    [sym_false] = ACTIONS(608),
    [sym_null] = ACTIONS(608),
    [sym_undefined] = ACTIONS(608),
    [anon_sym_AT] = ACTIONS(606),
    [anon_sym_static] = ACTIONS(608),
    [anon_sym_get] = ACTIONS(608),
    [anon_sym_set] = ACTIONS(608),
    [sym__automatic_semicolon] = ACTIONS(614),
    [sym__ternary_qmark] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(679),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1292),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1295),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(616),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1347),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1334),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(618),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(620),
    [sym_identifier] = ACTIONS(622),
    [anon_sym_export] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(622),
    [anon_sym_default] = ACTIONS(622),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_COMMA] = ACTIONS(620),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(622),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(622),
    [anon_sym_else] = ACTIONS(622),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(622),
    [anon_sym_for] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(620),
    [anon_sym_await] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(622),
    [anon_sym_while] = ACTIONS(622),
    [anon_sym_do] = ACTIONS(622),
    [anon_sym_try] = ACTIONS(622),
    [anon_sym_break] = ACTIONS(622),
    [anon_sym_continue] = ACTIONS(622),
    [anon_sym_debugger] = ACTIONS(622),
    [anon_sym_return] = ACTIONS(622),
    [anon_sym_throw] = ACTIONS(622),
    [anon_sym_SEMI] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(622),
    [anon_sym_yield] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(620),
    [sym_glimmer_opening_tag] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(622),
    [anon_sym_DOT] = ACTIONS(622),
    [anon_sym_DQUOTE] = ACTIONS(620),
    [anon_sym_SQUOTE] = ACTIONS(620),
    [anon_sym_class] = ACTIONS(622),
    [anon_sym_async] = ACTIONS(622),
    [anon_sym_function] = ACTIONS(622),
    [sym_optional_chain] = ACTIONS(620),
    [anon_sym_new] = ACTIONS(622),
    [anon_sym_AMP_AMP] = ACTIONS(620),
    [anon_sym_PIPE_PIPE] = ACTIONS(620),
    [anon_sym_GT_GT] = ACTIONS(622),
    [anon_sym_GT_GT_GT] = ACTIONS(620),
    [anon_sym_LT_LT] = ACTIONS(620),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(620),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(622),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(622),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_STAR_STAR] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(620),
    [anon_sym_EQ_EQ] = ACTIONS(622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(620),
    [anon_sym_BANG_EQ] = ACTIONS(622),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(620),
    [anon_sym_GT_EQ] = ACTIONS(620),
    [anon_sym_QMARK_QMARK] = ACTIONS(620),
    [anon_sym_instanceof] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(622),
    [anon_sym_delete] = ACTIONS(622),
    [anon_sym_PLUS_PLUS] = ACTIONS(620),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(620),
    [sym_private_property_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(622),
    [sym_true] = ACTIONS(622),
    [sym_false] = ACTIONS(622),
    [sym_null] = ACTIONS(622),
    [sym_undefined] = ACTIONS(622),
    [anon_sym_AT] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(622),
    [anon_sym_get] = ACTIONS(622),
    [anon_sym_set] = ACTIONS(622),
    [sym__automatic_semicolon] = ACTIONS(620),
    [sym__ternary_qmark] = ACTIONS(620),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(624),
    [sym_identifier] = ACTIONS(626),
    [anon_sym_export] = ACTIONS(626),
    [anon_sym_STAR] = ACTIONS(626),
    [anon_sym_default] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_COMMA] = ACTIONS(624),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_import] = ACTIONS(626),
    [anon_sym_with] = ACTIONS(626),
    [anon_sym_var] = ACTIONS(626),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_else] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(626),
    [anon_sym_switch] = ACTIONS(626),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(624),
    [anon_sym_await] = ACTIONS(626),
    [anon_sym_in] = ACTIONS(626),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(626),
    [anon_sym_try] = ACTIONS(626),
    [anon_sym_break] = ACTIONS(626),
    [anon_sym_continue] = ACTIONS(626),
    [anon_sym_debugger] = ACTIONS(626),
    [anon_sym_return] = ACTIONS(626),
    [anon_sym_throw] = ACTIONS(626),
    [anon_sym_SEMI] = ACTIONS(624),
    [anon_sym_case] = ACTIONS(626),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(624),
    [sym_glimmer_opening_tag] = ACTIONS(624),
    [anon_sym_LT] = ACTIONS(626),
    [anon_sym_GT] = ACTIONS(626),
    [anon_sym_DOT] = ACTIONS(626),
    [anon_sym_DQUOTE] = ACTIONS(624),
    [anon_sym_SQUOTE] = ACTIONS(624),
    [anon_sym_class] = ACTIONS(626),
    [anon_sym_async] = ACTIONS(626),
    [anon_sym_function] = ACTIONS(626),
    [sym_optional_chain] = ACTIONS(624),
    [anon_sym_new] = ACTIONS(626),
    [anon_sym_AMP_AMP] = ACTIONS(624),
    [anon_sym_PIPE_PIPE] = ACTIONS(624),
    [anon_sym_GT_GT] = ACTIONS(626),
    [anon_sym_GT_GT_GT] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(624),
    [anon_sym_AMP] = ACTIONS(626),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_PIPE] = ACTIONS(626),
    [anon_sym_PLUS] = ACTIONS(626),
    [anon_sym_DASH] = ACTIONS(626),
    [anon_sym_SLASH] = ACTIONS(626),
    [anon_sym_PERCENT] = ACTIONS(624),
    [anon_sym_STAR_STAR] = ACTIONS(624),
    [anon_sym_LT_EQ] = ACTIONS(624),
    [anon_sym_EQ_EQ] = ACTIONS(626),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(624),
    [anon_sym_BANG_EQ] = ACTIONS(626),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(624),
    [anon_sym_GT_EQ] = ACTIONS(624),
    [anon_sym_QMARK_QMARK] = ACTIONS(624),
    [anon_sym_instanceof] = ACTIONS(626),
    [anon_sym_BANG] = ACTIONS(626),
    [anon_sym_TILDE] = ACTIONS(624),
    [anon_sym_typeof] = ACTIONS(626),
    [anon_sym_void] = ACTIONS(626),
    [anon_sym_delete] = ACTIONS(626),
    [anon_sym_PLUS_PLUS] = ACTIONS(624),
    [anon_sym_DASH_DASH] = ACTIONS(624),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(624),
    [sym_number] = ACTIONS(624),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(626),
    [sym_true] = ACTIONS(626),
    [sym_false] = ACTIONS(626),
    [sym_null] = ACTIONS(626),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(624),
    [anon_sym_static] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(626),
    [anon_sym_set] = ACTIONS(626),
    [sym__automatic_semicolon] = ACTIONS(624),
    [sym__ternary_qmark] = ACTIONS(624),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(679),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1292),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1295),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(628),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(630),
    [sym_identifier] = ACTIONS(632),
    [anon_sym_export] = ACTIONS(632),
    [anon_sym_STAR] = ACTIONS(632),
    [anon_sym_default] = ACTIONS(632),
    [anon_sym_LBRACE] = ACTIONS(630),
    [anon_sym_COMMA] = ACTIONS(630),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_import] = ACTIONS(632),
    [anon_sym_with] = ACTIONS(632),
    [anon_sym_var] = ACTIONS(632),
    [anon_sym_let] = ACTIONS(632),
    [anon_sym_const] = ACTIONS(632),
    [anon_sym_else] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(632),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_await] = ACTIONS(632),
    [anon_sym_in] = ACTIONS(632),
    [anon_sym_while] = ACTIONS(632),
    [anon_sym_do] = ACTIONS(632),
    [anon_sym_try] = ACTIONS(632),
    [anon_sym_break] = ACTIONS(632),
    [anon_sym_continue] = ACTIONS(632),
    [anon_sym_debugger] = ACTIONS(632),
    [anon_sym_return] = ACTIONS(632),
    [anon_sym_throw] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_case] = ACTIONS(632),
    [anon_sym_yield] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(630),
    [sym_glimmer_opening_tag] = ACTIONS(630),
    [anon_sym_LT] = ACTIONS(632),
    [anon_sym_GT] = ACTIONS(632),
    [anon_sym_DOT] = ACTIONS(632),
    [anon_sym_DQUOTE] = ACTIONS(630),
    [anon_sym_SQUOTE] = ACTIONS(630),
    [anon_sym_class] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(632),
    [sym_optional_chain] = ACTIONS(630),
    [anon_sym_new] = ACTIONS(632),
    [anon_sym_AMP_AMP] = ACTIONS(630),
    [anon_sym_PIPE_PIPE] = ACTIONS(630),
    [anon_sym_GT_GT] = ACTIONS(632),
    [anon_sym_GT_GT_GT] = ACTIONS(630),
    [anon_sym_LT_LT] = ACTIONS(630),
    [anon_sym_AMP] = ACTIONS(632),
    [anon_sym_CARET] = ACTIONS(630),
    [anon_sym_PIPE] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_SLASH] = ACTIONS(632),
    [anon_sym_PERCENT] = ACTIONS(630),
    [anon_sym_STAR_STAR] = ACTIONS(630),
    [anon_sym_LT_EQ] = ACTIONS(630),
    [anon_sym_EQ_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(630),
    [anon_sym_BANG_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(630),
    [anon_sym_GT_EQ] = ACTIONS(630),
    [anon_sym_QMARK_QMARK] = ACTIONS(630),
    [anon_sym_instanceof] = ACTIONS(632),
    [anon_sym_BANG] = ACTIONS(632),
    [anon_sym_TILDE] = ACTIONS(630),
    [anon_sym_typeof] = ACTIONS(632),
    [anon_sym_void] = ACTIONS(632),
    [anon_sym_delete] = ACTIONS(632),
    [anon_sym_PLUS_PLUS] = ACTIONS(630),
    [anon_sym_DASH_DASH] = ACTIONS(630),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(630),
    [sym_number] = ACTIONS(630),
    [sym_private_property_identifier] = ACTIONS(630),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(632),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_null] = ACTIONS(632),
    [sym_undefined] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(632),
    [anon_sym_get] = ACTIONS(632),
    [anon_sym_set] = ACTIONS(632),
    [sym__automatic_semicolon] = ACTIONS(634),
    [sym__ternary_qmark] = ACTIONS(630),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(679),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1292),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1295),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(636),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(630),
    [sym_identifier] = ACTIONS(632),
    [anon_sym_export] = ACTIONS(632),
    [anon_sym_STAR] = ACTIONS(632),
    [anon_sym_default] = ACTIONS(632),
    [anon_sym_LBRACE] = ACTIONS(630),
    [anon_sym_COMMA] = ACTIONS(630),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_import] = ACTIONS(632),
    [anon_sym_with] = ACTIONS(632),
    [anon_sym_var] = ACTIONS(632),
    [anon_sym_let] = ACTIONS(632),
    [anon_sym_const] = ACTIONS(632),
    [anon_sym_else] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(632),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_await] = ACTIONS(632),
    [anon_sym_in] = ACTIONS(632),
    [anon_sym_while] = ACTIONS(632),
    [anon_sym_do] = ACTIONS(632),
    [anon_sym_try] = ACTIONS(632),
    [anon_sym_break] = ACTIONS(632),
    [anon_sym_continue] = ACTIONS(632),
    [anon_sym_debugger] = ACTIONS(632),
    [anon_sym_return] = ACTIONS(632),
    [anon_sym_throw] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_case] = ACTIONS(632),
    [anon_sym_yield] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(630),
    [sym_glimmer_opening_tag] = ACTIONS(630),
    [anon_sym_LT] = ACTIONS(632),
    [anon_sym_GT] = ACTIONS(632),
    [anon_sym_DOT] = ACTIONS(632),
    [anon_sym_DQUOTE] = ACTIONS(630),
    [anon_sym_SQUOTE] = ACTIONS(630),
    [anon_sym_class] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(632),
    [sym_optional_chain] = ACTIONS(630),
    [anon_sym_new] = ACTIONS(632),
    [anon_sym_AMP_AMP] = ACTIONS(630),
    [anon_sym_PIPE_PIPE] = ACTIONS(630),
    [anon_sym_GT_GT] = ACTIONS(632),
    [anon_sym_GT_GT_GT] = ACTIONS(630),
    [anon_sym_LT_LT] = ACTIONS(630),
    [anon_sym_AMP] = ACTIONS(632),
    [anon_sym_CARET] = ACTIONS(630),
    [anon_sym_PIPE] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_SLASH] = ACTIONS(632),
    [anon_sym_PERCENT] = ACTIONS(630),
    [anon_sym_STAR_STAR] = ACTIONS(630),
    [anon_sym_LT_EQ] = ACTIONS(630),
    [anon_sym_EQ_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(630),
    [anon_sym_BANG_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(630),
    [anon_sym_GT_EQ] = ACTIONS(630),
    [anon_sym_QMARK_QMARK] = ACTIONS(630),
    [anon_sym_instanceof] = ACTIONS(632),
    [anon_sym_BANG] = ACTIONS(632),
    [anon_sym_TILDE] = ACTIONS(630),
    [anon_sym_typeof] = ACTIONS(632),
    [anon_sym_void] = ACTIONS(632),
    [anon_sym_delete] = ACTIONS(632),
    [anon_sym_PLUS_PLUS] = ACTIONS(630),
    [anon_sym_DASH_DASH] = ACTIONS(630),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(630),
    [sym_number] = ACTIONS(630),
    [sym_private_property_identifier] = ACTIONS(630),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(632),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_null] = ACTIONS(632),
    [sym_undefined] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(632),
    [anon_sym_get] = ACTIONS(632),
    [anon_sym_set] = ACTIONS(632),
    [sym__automatic_semicolon] = ACTIONS(630),
    [sym__ternary_qmark] = ACTIONS(630),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(638),
    [sym_identifier] = ACTIONS(640),
    [anon_sym_export] = ACTIONS(640),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_default] = ACTIONS(640),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(640),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_var] = ACTIONS(640),
    [anon_sym_let] = ACTIONS(640),
    [anon_sym_const] = ACTIONS(640),
    [anon_sym_else] = ACTIONS(640),
    [anon_sym_if] = ACTIONS(640),
    [anon_sym_switch] = ACTIONS(640),
    [anon_sym_for] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(638),
    [anon_sym_await] = ACTIONS(640),
    [anon_sym_in] = ACTIONS(640),
    [anon_sym_while] = ACTIONS(640),
    [anon_sym_do] = ACTIONS(640),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(640),
    [anon_sym_continue] = ACTIONS(640),
    [anon_sym_debugger] = ACTIONS(640),
    [anon_sym_return] = ACTIONS(640),
    [anon_sym_throw] = ACTIONS(640),
    [anon_sym_SEMI] = ACTIONS(638),
    [anon_sym_case] = ACTIONS(640),
    [anon_sym_yield] = ACTIONS(640),
    [anon_sym_LBRACK] = ACTIONS(638),
    [sym_glimmer_opening_tag] = ACTIONS(638),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_DOT] = ACTIONS(640),
    [anon_sym_DQUOTE] = ACTIONS(638),
    [anon_sym_SQUOTE] = ACTIONS(638),
    [anon_sym_class] = ACTIONS(640),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(640),
    [sym_optional_chain] = ACTIONS(638),
    [anon_sym_new] = ACTIONS(640),
    [anon_sym_AMP_AMP] = ACTIONS(638),
    [anon_sym_PIPE_PIPE] = ACTIONS(638),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_GT_GT_GT] = ACTIONS(638),
    [anon_sym_LT_LT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_CARET] = ACTIONS(638),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(638),
    [anon_sym_STAR_STAR] = ACTIONS(638),
    [anon_sym_LT_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(638),
    [anon_sym_QMARK_QMARK] = ACTIONS(638),
    [anon_sym_instanceof] = ACTIONS(640),
    [anon_sym_BANG] = ACTIONS(640),
    [anon_sym_TILDE] = ACTIONS(638),
    [anon_sym_typeof] = ACTIONS(640),
    [anon_sym_void] = ACTIONS(640),
    [anon_sym_delete] = ACTIONS(640),
    [anon_sym_PLUS_PLUS] = ACTIONS(638),
    [anon_sym_DASH_DASH] = ACTIONS(638),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(638),
    [sym_number] = ACTIONS(638),
    [sym_private_property_identifier] = ACTIONS(638),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(640),
    [sym_true] = ACTIONS(640),
    [sym_false] = ACTIONS(640),
    [sym_null] = ACTIONS(640),
    [sym_undefined] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(638),
    [anon_sym_static] = ACTIONS(640),
    [anon_sym_get] = ACTIONS(640),
    [anon_sym_set] = ACTIONS(640),
    [sym__automatic_semicolon] = ACTIONS(638),
    [sym__ternary_qmark] = ACTIONS(638),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_declaration] = STATE(378),
    [sym_import] = STATE(1095),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_declaration] = STATE(378),
    [sym_import] = STATE(1095),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1199),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_import] = STATE(1095),
    [sym_expression_statement] = STATE(100),
    [sym_variable_declaration] = STATE(100),
    [sym_lexical_declaration] = STATE(100),
    [sym_empty_statement] = STATE(100),
    [sym_parenthesized_expression] = STATE(456),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1258),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1258),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1258),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(648),
    [anon_sym_export] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(654),
    [anon_sym_let] = ACTIONS(656),
    [anon_sym_const] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(650),
    [anon_sym_get] = ACTIONS(650),
    [anon_sym_set] = ACTIONS(650),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_import] = STATE(1095),
    [sym_expression_statement] = STATE(99),
    [sym_variable_declaration] = STATE(99),
    [sym_lexical_declaration] = STATE(99),
    [sym_empty_statement] = STATE(99),
    [sym_parenthesized_expression] = STATE(456),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1258),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1258),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1258),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(648),
    [anon_sym_export] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(654),
    [anon_sym_let] = ACTIONS(656),
    [anon_sym_const] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(650),
    [anon_sym_get] = ACTIONS(650),
    [anon_sym_set] = ACTIONS(650),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_declaration] = STATE(386),
    [sym_import] = STATE(1095),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1199),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_declaration] = STATE(386),
    [sym_import] = STATE(1095),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_class_declaration] = STATE(357),
    [sym_function_expression] = STATE(713),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function] = STATE(713),
    [sym_generator_function_declaration] = STATE(357),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(470),
    [sym_subscript_expression] = STATE(470),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(666),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_RBRACK] = ACTIONS(676),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(668),
    [anon_sym_get] = ACTIONS(668),
    [anon_sym_set] = ACTIONS(668),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1289),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1208),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_pattern_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_COMMA] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [anon_sym_RBRACK] = ACTIONS(692),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(690),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1565),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_spread_element] = STATE(1282),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1283),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(698),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1332),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1245),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_COMMA] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [anon_sym_RBRACK] = ACTIONS(676),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(693),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1261),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1672),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1237),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1565),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1283),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_COMMA] = ACTIONS(703),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [anon_sym_RBRACK] = ACTIONS(703),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(686),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1261),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1684),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1237),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(680),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_spread_element] = STATE(1337),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1338),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(690),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_spread_element] = STATE(1282),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(711),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(694),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_spread_element] = STATE(1297),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1298),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1556),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1344),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1261),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1237),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(729),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_spread_element] = STATE(1335),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [aux_sym_array_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1556),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1344),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(762),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1139),
    [sym_assignment_pattern] = STATE(1423),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1139),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1139),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [sym_pattern] = STATE(1325),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(576),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(746),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_spread_element] = STATE(1638),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1638),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1556),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1344),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(682),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_spread_element] = STATE(1679),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1679),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(723),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1157),
    [sym_assignment_pattern] = STATE(1423),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1157),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1157),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [sym_pattern] = STATE(1325),
    [sym_rest_pattern] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(686),
    [anon_sym_set] = ACTIONS(686),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(1095),
    [sym_expression_statement] = STATE(102),
    [sym_empty_statement] = STATE(102),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(1095),
    [sym_expression_statement] = STATE(103),
    [sym_empty_statement] = STATE(103),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1443),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(584),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1593),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(725),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(661),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1608),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(726),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1627),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(476),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1322),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1322),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(476),
    [sym_subscript_expression] = STATE(476),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1322),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(737),
    [anon_sym_let] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(743),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(747),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(733),
    [anon_sym_get] = ACTIONS(733),
    [anon_sym_set] = ACTIONS(733),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(566),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(820),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(725),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(597),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(513),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(514),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(531),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(532),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(551),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(552),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(564),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(566),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(567),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(568),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(569),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(735),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1668),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(706),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1619),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(721),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(635),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(738),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1685),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(482),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(488),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_export] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(757),
    [anon_sym_get] = ACTIONS(757),
    [anon_sym_set] = ACTIONS(757),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(734),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1622),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(749),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1650),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(513),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(773),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(531),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(551),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(566),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(768),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(568),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(769),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(741),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(601),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(482),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(488),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(751),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(652),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(711),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1690),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(666),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(606),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(678),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1666),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(725),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(613),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(696),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1621),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(721),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(616),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(681),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1670),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(751),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(737),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(632),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(741),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(633),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(666),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(634),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(683),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1651),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(651),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1359),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(689),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1609),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(665),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1654),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(836),
    [sym_primary_expression] = STATE(585),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(587),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(763),
    [anon_sym_export] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(765),
    [anon_sym_get] = ACTIONS(765),
    [anon_sym_set] = ACTIONS(765),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1095),
    [sym_statement_block] = STATE(737),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(513),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(802),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(531),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(551),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(710),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1656),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1085),
    [sym_statement_block] = STATE(568),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(482),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(488),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(836),
    [sym_primary_expression] = STATE(585),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(587),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(779),
    [anon_sym_export] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(781),
    [anon_sym_get] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(781),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(540),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(541),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(542),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(543),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(544),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(545),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(546),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(594),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(823),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(494),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(490),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(590),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(637),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(481),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(638),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(733),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(762),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(640),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(641),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(642),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(643),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(644),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(593),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(645),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(646),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(647),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(648),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(649),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(772),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(775),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(784),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(756),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(757),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(759),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(760),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(596),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(770),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(481),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(650),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1159),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(785),
    [anon_sym_export] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(791),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(787),
    [anon_sym_get] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(787),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(599),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(589),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(586),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1211),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1211),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(468),
    [sym_subscript_expression] = STATE(468),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1211),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(793),
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(797),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(795),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(493),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(708),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(494),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(612),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(586),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(614),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(615),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(793),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(619),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(620),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(621),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(622),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(623),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(624),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(625),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(626),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(627),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(628),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(629),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(794),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(610),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1642),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(422),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(512),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(795),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1095),
    [sym_parenthesized_expression] = STATE(460),
    [sym_expression] = STATE(493),
    [sym_primary_expression] = STATE(687),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(713),
    [sym_object_pattern] = STATE(1664),
    [sym_array] = STATE(713),
    [sym_array_pattern] = STATE(1664),
    [sym_glimmer_template] = STATE(688),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(713),
    [sym_function_expression] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_arrow_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(688),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym__destructuring_pattern] = STATE(1664),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_string] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1665),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(440),
    [anon_sym_void] = ACTIONS(440),
    [anon_sym_delete] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(448),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_get] = ACTIONS(428),
    [anon_sym_set] = ACTIONS(428),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(519),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(530),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(804),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(806),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(808),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(815),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(816),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(533),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(535),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(536),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(537),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(822),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(481),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1692),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1692),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1692),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1675),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(582),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(539),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(413),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1623),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1623),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(997),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1623),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1607),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1085),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(550),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(502),
    [sym_object_pattern] = STATE(1604),
    [sym_array] = STATE(502),
    [sym_array_pattern] = STATE(1604),
    [sym_glimmer_template] = STATE(504),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_opening_element] = STATE(1013),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(502),
    [sym_function_expression] = STATE(502),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(504),
    [sym__augmented_assignment_lhs] = STATE(1005),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym__destructuring_pattern] = STATE(1604),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(981),
    [sym_formal_parameters] = STATE(1639),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_namespace_export] = STATE(1571),
    [sym_export_clause] = STATE(1246),
    [sym_declaration] = STATE(338),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_class_declaration] = STATE(357),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function_declaration] = STATE(357),
    [sym_decorator] = STATE(981),
    [aux_sym_export_statement_repeat1] = STATE(1248),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_namespace_export] = STATE(1571),
    [sym_export_clause] = STATE(1246),
    [sym_declaration] = STATE(338),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_class_declaration] = STATE(357),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function_declaration] = STATE(357),
    [sym_decorator] = STATE(981),
    [aux_sym_export_statement_repeat1] = STATE(1248),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_namespace_export] = STATE(1571),
    [sym_export_clause] = STATE(1246),
    [sym_declaration] = STATE(338),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_class_declaration] = STATE(357),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function_declaration] = STATE(357),
    [sym_decorator] = STATE(981),
    [aux_sym_export_statement_repeat1] = STATE(1248),
    [aux_sym_object_repeat1] = STATE(1305),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_namespace_export] = STATE(1571),
    [sym_export_clause] = STATE(1246),
    [sym_declaration] = STATE(338),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_class_declaration] = STATE(357),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function_declaration] = STATE(357),
    [sym_decorator] = STATE(981),
    [aux_sym_export_statement_repeat1] = STATE(1248),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_string] = STATE(1389),
    [sym_formal_parameters] = STATE(1688),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(843),
    [anon_sym_export] = ACTIONS(845),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(845),
    [anon_sym_function] = ACTIONS(861),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(865),
    [anon_sym_set] = ACTIONS(865),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_string] = STATE(1389),
    [sym_formal_parameters] = STATE(1688),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1305),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(843),
    [anon_sym_export] = ACTIONS(845),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(845),
    [anon_sym_function] = ACTIONS(861),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(865),
    [anon_sym_set] = ACTIONS(865),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_string] = STATE(1389),
    [sym_formal_parameters] = STATE(1688),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(843),
    [anon_sym_export] = ACTIONS(845),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(845),
    [anon_sym_function] = ACTIONS(861),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(865),
    [anon_sym_set] = ACTIONS(865),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_namespace_export] = STATE(1571),
    [sym_export_clause] = STATE(1246),
    [sym_declaration] = STATE(338),
    [sym_variable_declaration] = STATE(357),
    [sym_lexical_declaration] = STATE(357),
    [sym_class_declaration] = STATE(357),
    [sym_function_declaration] = STATE(357),
    [sym_generator_function_declaration] = STATE(357),
    [sym_decorator] = STATE(981),
    [aux_sym_export_statement_repeat1] = STATE(1248),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_string] = STATE(1389),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_string] = STATE(1389),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1305),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_string] = STATE(1389),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_string] = STATE(1389),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_string] = STATE(1389),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1305),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_string] = STATE(1389),
    [sym__property_name] = STATE(1389),
    [sym_computed_property_name] = STATE(1389),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(863),
    [sym_private_property_identifier] = ACTIONS(863),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_catch_clause] = STATE(312),
    [sym_finally_clause] = STATE(396),
    [ts_builtin_sym_end] = ACTIONS(877),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_default] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_RBRACE] = ACTIONS(877),
    [anon_sym_import] = ACTIONS(879),
    [anon_sym_with] = ACTIONS(879),
    [anon_sym_var] = ACTIONS(879),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_else] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_switch] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_await] = ACTIONS(879),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_do] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(879),
    [anon_sym_break] = ACTIONS(879),
    [anon_sym_continue] = ACTIONS(879),
    [anon_sym_debugger] = ACTIONS(879),
    [anon_sym_return] = ACTIONS(879),
    [anon_sym_throw] = ACTIONS(879),
    [anon_sym_SEMI] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(879),
    [anon_sym_catch] = ACTIONS(881),
    [anon_sym_finally] = ACTIONS(883),
    [anon_sym_yield] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(877),
    [sym_glimmer_opening_tag] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(877),
    [anon_sym_SQUOTE] = ACTIONS(877),
    [anon_sym_class] = ACTIONS(879),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_SLASH] = ACTIONS(879),
    [anon_sym_BANG] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_typeof] = ACTIONS(879),
    [anon_sym_void] = ACTIONS(879),
    [anon_sym_delete] = ACTIONS(879),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(877),
    [sym_number] = ACTIONS(877),
    [sym_private_property_identifier] = ACTIONS(877),
    [sym_this] = ACTIONS(879),
    [sym_super] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [sym_null] = ACTIONS(879),
    [sym_undefined] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(877),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_formal_parameters] = STATE(1624),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_formal_parameters] = STATE(1624),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(508),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(508),
    [anon_sym_with] = ACTIONS(508),
    [anon_sym_var] = ACTIONS(508),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_debugger] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_throw] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_catch] = ACTIONS(508),
    [anon_sym_finally] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(506),
    [sym_glimmer_opening_tag] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [anon_sym_SQUOTE] = ACTIONS(506),
    [anon_sym_class] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(508),
    [anon_sym_void] = ACTIONS(508),
    [anon_sym_delete] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(506),
    [sym_number] = ACTIONS(506),
    [sym_private_property_identifier] = ACTIONS(506),
    [sym_this] = ACTIONS(508),
    [sym_super] = ACTIONS(508),
    [sym_true] = ACTIONS(508),
    [sym_false] = ACTIONS(508),
    [sym_null] = ACTIONS(508),
    [sym_undefined] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(506),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym__automatic_semicolon] = ACTIONS(516),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(630),
    [sym_identifier] = ACTIONS(632),
    [anon_sym_export] = ACTIONS(632),
    [anon_sym_default] = ACTIONS(632),
    [anon_sym_LBRACE] = ACTIONS(630),
    [anon_sym_COMMA] = ACTIONS(630),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_import] = ACTIONS(632),
    [anon_sym_with] = ACTIONS(632),
    [anon_sym_var] = ACTIONS(632),
    [anon_sym_let] = ACTIONS(632),
    [anon_sym_const] = ACTIONS(632),
    [anon_sym_else] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(632),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_await] = ACTIONS(632),
    [anon_sym_while] = ACTIONS(632),
    [anon_sym_do] = ACTIONS(632),
    [anon_sym_try] = ACTIONS(632),
    [anon_sym_break] = ACTIONS(632),
    [anon_sym_continue] = ACTIONS(632),
    [anon_sym_debugger] = ACTIONS(632),
    [anon_sym_return] = ACTIONS(632),
    [anon_sym_throw] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_case] = ACTIONS(632),
    [anon_sym_catch] = ACTIONS(632),
    [anon_sym_finally] = ACTIONS(632),
    [anon_sym_yield] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(630),
    [sym_glimmer_opening_tag] = ACTIONS(630),
    [anon_sym_LT] = ACTIONS(632),
    [anon_sym_DQUOTE] = ACTIONS(630),
    [anon_sym_SQUOTE] = ACTIONS(630),
    [anon_sym_class] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_SLASH] = ACTIONS(632),
    [anon_sym_BANG] = ACTIONS(630),
    [anon_sym_TILDE] = ACTIONS(630),
    [anon_sym_typeof] = ACTIONS(632),
    [anon_sym_void] = ACTIONS(632),
    [anon_sym_delete] = ACTIONS(632),
    [anon_sym_PLUS_PLUS] = ACTIONS(630),
    [anon_sym_DASH_DASH] = ACTIONS(630),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(630),
    [sym_number] = ACTIONS(630),
    [sym_private_property_identifier] = ACTIONS(630),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(632),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_null] = ACTIONS(632),
    [sym_undefined] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(632),
    [anon_sym_get] = ACTIONS(632),
    [anon_sym_set] = ACTIONS(632),
    [sym__automatic_semicolon] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_formal_parameters] = STATE(1681),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_of] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(906),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_variable_declarator] = STATE(1256),
    [sym_object_pattern] = STATE(1177),
    [sym_array_pattern] = STATE(1177),
    [sym__destructuring_pattern] = STATE(1177),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_formal_parameters] = STATE(1624),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(916),
    [anon_sym_RBRACE] = ACTIONS(916),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(916),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(919),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_formal_parameters] = STATE(1688),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(906),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_formal_parameters] = STATE(1616),
    [sym_identifier] = ACTIONS(926),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(930),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(930),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(930),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(928),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(935),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_formal_parameters] = STATE(1688),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(906),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_formal_parameters] = STATE(1616),
    [sym_identifier] = ACTIONS(926),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(937),
    [anon_sym_RBRACE] = ACTIONS(937),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(937),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(928),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(935),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_variable_declarator] = STATE(1256),
    [sym_object_pattern] = STATE(1177),
    [sym_array_pattern] = STATE(1177),
    [sym__destructuring_pattern] = STATE(1177),
    [aux_sym_object_repeat1] = STATE(1318),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_variable_declarator] = STATE(1256),
    [sym_object_pattern] = STATE(1177),
    [sym_array_pattern] = STATE(1177),
    [sym__destructuring_pattern] = STATE(1177),
    [aux_sym_object_repeat1] = STATE(1305),
    [aux_sym_object_pattern_repeat1] = STATE(1307),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(630),
    [sym_identifier] = ACTIONS(632),
    [anon_sym_export] = ACTIONS(632),
    [anon_sym_default] = ACTIONS(632),
    [anon_sym_LBRACE] = ACTIONS(630),
    [anon_sym_COMMA] = ACTIONS(630),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_import] = ACTIONS(632),
    [anon_sym_with] = ACTIONS(632),
    [anon_sym_var] = ACTIONS(632),
    [anon_sym_let] = ACTIONS(632),
    [anon_sym_const] = ACTIONS(632),
    [anon_sym_else] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(632),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_await] = ACTIONS(632),
    [anon_sym_while] = ACTIONS(632),
    [anon_sym_do] = ACTIONS(632),
    [anon_sym_try] = ACTIONS(632),
    [anon_sym_break] = ACTIONS(632),
    [anon_sym_continue] = ACTIONS(632),
    [anon_sym_debugger] = ACTIONS(632),
    [anon_sym_return] = ACTIONS(632),
    [anon_sym_throw] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_case] = ACTIONS(632),
    [anon_sym_catch] = ACTIONS(632),
    [anon_sym_finally] = ACTIONS(632),
    [anon_sym_yield] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(630),
    [sym_glimmer_opening_tag] = ACTIONS(630),
    [anon_sym_LT] = ACTIONS(632),
    [anon_sym_DQUOTE] = ACTIONS(630),
    [anon_sym_SQUOTE] = ACTIONS(630),
    [anon_sym_class] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_SLASH] = ACTIONS(632),
    [anon_sym_BANG] = ACTIONS(630),
    [anon_sym_TILDE] = ACTIONS(630),
    [anon_sym_typeof] = ACTIONS(632),
    [anon_sym_void] = ACTIONS(632),
    [anon_sym_delete] = ACTIONS(632),
    [anon_sym_PLUS_PLUS] = ACTIONS(630),
    [anon_sym_DASH_DASH] = ACTIONS(630),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(630),
    [sym_number] = ACTIONS(630),
    [sym_private_property_identifier] = ACTIONS(630),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(632),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_null] = ACTIONS(632),
    [sym_undefined] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(632),
    [anon_sym_get] = ACTIONS(632),
    [anon_sym_set] = ACTIONS(632),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(638),
    [sym_identifier] = ACTIONS(640),
    [anon_sym_export] = ACTIONS(640),
    [anon_sym_default] = ACTIONS(640),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(640),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_var] = ACTIONS(640),
    [anon_sym_let] = ACTIONS(640),
    [anon_sym_const] = ACTIONS(640),
    [anon_sym_else] = ACTIONS(640),
    [anon_sym_if] = ACTIONS(640),
    [anon_sym_switch] = ACTIONS(640),
    [anon_sym_for] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(638),
    [anon_sym_await] = ACTIONS(640),
    [anon_sym_while] = ACTIONS(640),
    [anon_sym_do] = ACTIONS(640),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(640),
    [anon_sym_continue] = ACTIONS(640),
    [anon_sym_debugger] = ACTIONS(640),
    [anon_sym_return] = ACTIONS(640),
    [anon_sym_throw] = ACTIONS(640),
    [anon_sym_SEMI] = ACTIONS(638),
    [anon_sym_case] = ACTIONS(640),
    [anon_sym_catch] = ACTIONS(640),
    [anon_sym_finally] = ACTIONS(640),
    [anon_sym_yield] = ACTIONS(640),
    [anon_sym_LBRACK] = ACTIONS(638),
    [sym_glimmer_opening_tag] = ACTIONS(638),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_DQUOTE] = ACTIONS(638),
    [anon_sym_SQUOTE] = ACTIONS(638),
    [anon_sym_class] = ACTIONS(640),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(640),
    [anon_sym_new] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_BANG] = ACTIONS(638),
    [anon_sym_TILDE] = ACTIONS(638),
    [anon_sym_typeof] = ACTIONS(640),
    [anon_sym_void] = ACTIONS(640),
    [anon_sym_delete] = ACTIONS(640),
    [anon_sym_PLUS_PLUS] = ACTIONS(638),
    [anon_sym_DASH_DASH] = ACTIONS(638),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(638),
    [sym_number] = ACTIONS(638),
    [sym_private_property_identifier] = ACTIONS(638),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(640),
    [sym_true] = ACTIONS(640),
    [sym_false] = ACTIONS(640),
    [sym_null] = ACTIONS(640),
    [sym_undefined] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(638),
    [anon_sym_static] = ACTIONS(640),
    [anon_sym_get] = ACTIONS(640),
    [anon_sym_set] = ACTIONS(640),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_formal_parameters] = STATE(1688),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_formal_parameters] = STATE(1688),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(941),
    [anon_sym_of] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(906),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_formal_parameters] = STATE(1681),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_of] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(946),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(906),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_formal_parameters] = STATE(1688),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(861),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    STATE(1624), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(948), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89] = 5,
    ACTIONS(883), 1,
      anon_sym_finally,
    STATE(401), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(951), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(953), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [164] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    STATE(1616), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(928), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [250] = 4,
    ACTIONS(536), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(528), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(530), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [322] = 13,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(916), 1,
      anon_sym_RBRACK,
    ACTIONS(919), 1,
      anon_sym_EQ,
    ACTIONS(930), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [412] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(638), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(640), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [482] = 4,
    ACTIONS(598), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(592), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [554] = 4,
    ACTIONS(955), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(632), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [626] = 4,
    ACTIONS(546), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(538), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(540), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [698] = 4,
    ACTIONS(588), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(582), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [770] = 11,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      sym_identifier,
    ACTIONS(939), 1,
      anon_sym_function,
    STATE(1688), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(924), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [856] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(632), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [926] = 4,
    ACTIONS(526), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(518), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(520), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [998] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(957), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(959), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1068] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(961), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(963), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1138] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(965), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(967), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1208] = 5,
    ACTIONS(973), 1,
      anon_sym_else,
    STATE(366), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(969), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(971), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1282] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(979), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(975), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(977), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1354] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(981), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(983), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1424] = 4,
    ACTIONS(614), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(606), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(608), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1496] = 11,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(861), 1,
      anon_sym_function,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      sym_identifier,
    STATE(1688), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(924), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1582] = 4,
    ACTIONS(566), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(558), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(560), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1654] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(985), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(987), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1724] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(622), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1794] = 4,
    ACTIONS(556), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(548), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(550), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1866] = 4,
    ACTIONS(989), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(506), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(508), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1938] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(626), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(991), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(993), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2077] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(995), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(997), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2146] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(999), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1001), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2284] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2353] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1011), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1013), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2422] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1015), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1017), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2491] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2560] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1023), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1025), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2629] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1027), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1029), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2698] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1031), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1033), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2767] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2836] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2905] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1039), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1041), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2974] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1043), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1045), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3043] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3112] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3181] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3250] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3319] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1047), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1049), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3388] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1051), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1053), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3457] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1051), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1053), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3526] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1055), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1057), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3595] = 12,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1177), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3682] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1059), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1061), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1063), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1065), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3820] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1067), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1069), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3889] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1071), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1073), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3958] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1075), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1077), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4027] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1079), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1081), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4096] = 13,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    ACTIONS(941), 1,
      anon_sym_in,
    ACTIONS(944), 1,
      anon_sym_of,
    STATE(1616), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(928), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4185] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1083), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1085), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4254] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1087), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1089), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4323] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1091), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1093), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4392] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1095), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1097), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4461] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1099), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1101), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4530] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1103), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4599] = 13,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    ACTIONS(941), 1,
      anon_sym_in,
    ACTIONS(944), 1,
      anon_sym_of,
    ACTIONS(1107), 1,
      sym_identifier,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1079), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4688] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1109), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1111), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4757] = 12,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_COLON,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1177), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1113), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1115), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4913] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1117), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1119), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4982] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1121), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1123), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5051] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1121), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1123), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5120] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1125), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1127), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5189] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1129), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1131), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5258] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1133), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1135), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5327] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1137), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1139), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1141), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1143), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5465] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1145), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1147), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5534] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1149), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1151), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5603] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1153), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1155), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5672] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1157), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1159), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5741] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1161), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1163), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5810] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1165), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1167), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5879] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1165), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1167), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1169), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1171), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6017] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1173), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1175), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6086] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1177), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1179), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6155] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(1181), 1,
      sym_identifier,
    ACTIONS(1185), 1,
      anon_sym_EQ,
    ACTIONS(1187), 1,
      anon_sym_EQ_GT,
    STATE(1678), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1183), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6240] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1189), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1191), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6309] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(1181), 1,
      sym_identifier,
    ACTIONS(1187), 1,
      anon_sym_EQ_GT,
    STATE(1678), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1183), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6394] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1193), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1195), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1197), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1199), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6532] = 11,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1177), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6615] = 11,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(1205), 1,
      anon_sym_LPAREN,
    ACTIONS(1208), 1,
      anon_sym_EQ,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6697] = 11,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(1205), 1,
      anon_sym_LPAREN,
    ACTIONS(1208), 1,
      anon_sym_EQ,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6779] = 11,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(1205), 1,
      anon_sym_LPAREN,
    ACTIONS(1208), 1,
      anon_sym_EQ,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6861] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1214), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1216), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6926] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1218), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1222), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1224), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7056] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1226), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1228), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7121] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1230), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1232), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7186] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1234), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1236), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7251] = 12,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    ACTIONS(941), 1,
      anon_sym_in,
    ACTIONS(944), 1,
      anon_sym_of,
    ACTIONS(1238), 1,
      sym_identifier,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1242), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1539), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7334] = 5,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1203), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7403] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(987), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(985), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7468] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(985), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(987), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7532] = 6,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7602] = 6,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7672] = 6,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7742] = 6,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7812] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7876] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1257), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1255), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1261), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1259), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8004] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1265), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1263), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8068] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1265), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1263), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8132] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1265), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1263), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8196] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1265), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1263), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8260] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1218), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8323] = 7,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(930), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8394] = 8,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(941), 1,
      anon_sym_in,
    ACTIONS(1267), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8467] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8536] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8605] = 6,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8674] = 6,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(946), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8743] = 7,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1273), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8814] = 6,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8883] = 8,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1277), 1,
      anon_sym_in,
    ACTIONS(1280), 1,
      anon_sym_of,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8956] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9025] = 7,
    ACTIONS(839), 1,
      anon_sym_COLON,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9096] = 7,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_COLON,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9167] = 5,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9234] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1222), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1224), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9297] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(987), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(985), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9360] = 7,
    ACTIONS(1273), 1,
      anon_sym_EQ_GT,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9431] = 7,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(919), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(916), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9502] = 7,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1289), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9573] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1214), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1216), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9636] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1230), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1232), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9699] = 6,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9768] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1226), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1228), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9831] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1234), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1236), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9894] = 5,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9961] = 7,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10032] = 7,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10103] = 6,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10172] = 7,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(937), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10243] = 7,
    ACTIONS(1277), 1,
      anon_sym_in,
    ACTIONS(1280), 1,
      anon_sym_of,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10313] = 7,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(948), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10383] = 5,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10449] = 6,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1289), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10517] = 5,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10583] = 6,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10651] = 6,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10719] = 7,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10789] = 8,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(1284), 1,
      anon_sym_COMMA,
    ACTIONS(1289), 1,
      anon_sym_RBRACK,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10860] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10927] = 8,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(916), 1,
      anon_sym_RBRACK,
    ACTIONS(919), 1,
      anon_sym_EQ,
    ACTIONS(930), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10998] = 6,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1273), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11065] = 6,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11132] = 8,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1273), 1,
      anon_sym_EQ_GT,
    ACTIONS(1277), 1,
      anon_sym_in,
    ACTIONS(1280), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11202] = 7,
    ACTIONS(1284), 1,
      anon_sym_COMMA,
    ACTIONS(1289), 1,
      anon_sym_RBRACK,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11270] = 8,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    ACTIONS(941), 1,
      anon_sym_in,
    ACTIONS(1267), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11340] = 6,
    ACTIONS(1185), 1,
      anon_sym_EQ,
    ACTIONS(1187), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11406] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(1187), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11472] = 6,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1300), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11538] = 6,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1300), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11604] = 7,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_in,
    ACTIONS(1280), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11671] = 5,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11734] = 9,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1302), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1304), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [11797] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1314), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11852] = 10,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1316), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1318), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11917] = 10,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1322), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11982] = 8,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1330), 1,
      sym_optional_chain,
    STATE(527), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12042] = 5,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1336), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12096] = 4,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12148] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1341), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12202] = 4,
    ACTIONS(1344), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(630), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12254] = 4,
    ACTIONS(1314), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12306] = 5,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    STATE(527), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12360] = 5,
    ACTIONS(1353), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1346), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1348), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12414] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1357), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12509] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(534), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12558] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(626), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(624), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12607] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1316), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1318), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12670] = 9,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1302), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1304), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12731] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(542), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(544), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12780] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(552), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(554), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12829] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(562), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12878] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(586), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12927] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(594), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(596), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12976] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13025] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(610), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(612), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13074] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13123] = 6,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1330), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13178] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13227] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1405), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13322] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13371] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13420] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13469] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13518] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13567] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13616] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13711] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13760] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1435), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13855] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(630), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13904] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13953] = 4,
    ACTIONS(1441), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(630), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14004] = 4,
    ACTIONS(1443), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14055] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14150] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14199] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14248] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14297] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(622), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(620), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14395] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1463), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14444] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14542] = 4,
    ACTIONS(1479), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14593] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1481), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1483), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14642] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1485), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14737] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1487), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14786] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1489), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14881] = 16,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14956] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1495), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1497), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15005] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15070] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1499), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [15165] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15252] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(622), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(620), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15301] = 14,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15372] = 20,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15455] = 21,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15540] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15627] = 13,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15696] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15761] = 18,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [15840] = 24,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [15931] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1501), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1503), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15980] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1507), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1509), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1511), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16078] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1513), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16173] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1515), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16222] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16317] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1519), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1521), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16366] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1523), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1525), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16415] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1527), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16464] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(640), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1531), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16562] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16611] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16660] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16709] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16758] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(626), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(624), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16807] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16856] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16951] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1543), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17000] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17049] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17144] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17193] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1553), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17288] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1559), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1561), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17386] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1563), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17435] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1567), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1569), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17484] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1571), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1573), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17533] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1575), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1577), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17582] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1579), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17631] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17680] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(630), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17729] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17778] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(640), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17827] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1322), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17890] = 23,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [17979] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1405), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [18073] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(1625), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18171] = 8,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1629), 1,
      sym_optional_chain,
    STATE(702), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18229] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1631), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [18323] = 5,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    STATE(702), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18375] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(1633), 1,
      anon_sym_COMMA,
    ACTIONS(1636), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18473] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(1638), 1,
      anon_sym_COMMA,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18571] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1357), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [18665] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18713] = 4,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18763] = 27,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1647), 1,
      anon_sym_in,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1645), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [18859] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1682), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [18953] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(516), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(506), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19007] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19101] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1435), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19195] = 4,
    ACTIONS(1353), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1346), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1348), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19245] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(1636), 1,
      anon_sym_RBRACE,
    ACTIONS(1684), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19343] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19437] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19531] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1443), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19583] = 4,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19633] = 4,
    ACTIONS(1353), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1346), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1348), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19683] = 4,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19733] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1553), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19827] = 4,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19877] = 4,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19927] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(1625), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20025] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [20119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20167] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20261] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1435), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20355] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20449] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1485), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20543] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1489), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20637] = 16,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20711] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20775] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [20861] = 23,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [20949] = 14,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21019] = 20,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [21101] = 21,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [21185] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21271] = 13,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21339] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21403] = 18,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [21481] = 24,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [21571] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1513), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [21665] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [21759] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1485), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21853] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [21947] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22041] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1553), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22135] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1489), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22229] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1357), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22323] = 16,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22397] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22461] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1652), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_GT_GT,
    ACTIONS(1660), 1,
      anon_sym_AMP,
    ACTIONS(1662), 1,
      anon_sym_CARET,
    ACTIONS(1664), 1,
      anon_sym_PIPE,
    ACTIONS(1668), 1,
      anon_sym_PERCENT,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1680), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1643), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1674), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1650), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1672), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1405), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22555] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [22641] = 23,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [22729] = 14,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22799] = 20,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [22881] = 21,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [22965] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [23051] = 13,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23119] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23183] = 18,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [23261] = 24,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [23351] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1513), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23445] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(1625), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23543] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23637] = 4,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23687] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1463), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23734] = 5,
    ACTIONS(526), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(518), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23785] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(586), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23832] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(594), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(596), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23879] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23926] = 5,
    ACTIONS(614), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(606), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(610), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(612), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23977] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(610), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(612), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24024] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1693), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24121] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24168] = 5,
    ACTIONS(536), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(528), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(534), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24219] = 5,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24270] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1695), 1,
      anon_sym_RBRACK,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24367] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24414] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1527), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24461] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1575), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1577), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24508] = 4,
    ACTIONS(1697), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24557] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24604] = 5,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24655] = 5,
    ACTIONS(1353), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1701), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1346), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1348), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24706] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24757] = 6,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(1699), 1,
      anon_sym_of,
    ACTIONS(1705), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1332), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24810] = 6,
    ACTIONS(1353), 1,
      anon_sym_EQ,
    ACTIONS(1701), 1,
      anon_sym_of,
    ACTIONS(1708), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1346), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1348), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24863] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1703), 1,
      anon_sym_of,
    ACTIONS(1711), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1579), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24963] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1714), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25060] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1716), 1,
      anon_sym_RBRACK,
    STATE(1329), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25157] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    STATE(1346), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25254] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1720), 1,
      anon_sym_RBRACK,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25351] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      anon_sym_RBRACE,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25448] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_RBRACK,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25545] = 6,
    ACTIONS(1277), 1,
      anon_sym_in,
    ACTIONS(1280), 1,
      anon_sym_of,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25598] = 5,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1289), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25649] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1726), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25746] = 6,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1629), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25799] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25846] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1728), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25943] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1730), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [26036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26083] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26130] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26227] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    STATE(1301), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26324] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26371] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26468] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1559), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1561), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26562] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26609] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1563), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26656] = 4,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26705] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26752] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26799] = 4,
    ACTIONS(1697), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26848] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26895] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1738), 1,
      anon_sym_RBRACE,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26992] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1481), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1483), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27039] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1645), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27132] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27179] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27276] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27373] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1567), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1569), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27420] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27467] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1744), 1,
      anon_sym_RBRACK,
    STATE(1287), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27564] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1571), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1573), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27611] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27658] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(534), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27705] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1523), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1525), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27752] = 5,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27803] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1531), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27850] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1487), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27897] = 5,
    ACTIONS(546), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(538), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(542), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(544), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27995] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28042] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28089] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28186] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28233] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1495), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1497), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28280] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1279), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28377] = 4,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28426] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28473] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28520] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28613] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1750), 1,
      anon_sym_RBRACK,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28710] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_COLON,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28807] = 5,
    ACTIONS(556), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(548), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(552), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(554), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28858] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28905] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29002] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1543), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29049] = 5,
    ACTIONS(566), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(558), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(562), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29100] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29147] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(542), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(544), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29194] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(552), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(554), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29241] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(562), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29288] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1501), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1503), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29335] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1507), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29479] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1509), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1511), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29526] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29623] = 5,
    ACTIONS(588), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(584), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(586), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29674] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1515), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29721] = 5,
    ACTIONS(598), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(594), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(596), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29772] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1760), 1,
      anon_sym_RBRACK,
    STATE(1287), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29869] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1519), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1521), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29963] = 21,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [30045] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [30129] = 5,
    ACTIONS(1786), 1,
      anon_sym_LPAREN,
    ACTIONS(1789), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30179] = 13,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [30245] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [30307] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1405), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30399] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1801), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30491] = 18,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [30567] = 24,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [30655] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1513), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30747] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1517), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30839] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1541), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30931] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1549), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31023] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1553), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31115] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1357), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31207] = 5,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31257] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31349] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1435), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31441] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1445), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31533] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1485), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31625] = 27,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(1803), 1,
      anon_sym_SEMI,
    ACTIONS(1805), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31719] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31811] = 16,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [31883] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1599), 1,
      anon_sym_GT_GT,
    ACTIONS(1603), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_CARET,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_PERCENT,
    ACTIONS(1613), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1591), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1601), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1609), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1593), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31975] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32067] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32129] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32221] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32305] = 23,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32391] = 5,
    ACTIONS(1809), 1,
      anon_sym_LPAREN,
    ACTIONS(1812), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32441] = 14,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32509] = 20,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [32589] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32650] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(1816), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32741] = 6,
    ACTIONS(1336), 1,
      anon_sym_RBRACK,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32792] = 6,
    ACTIONS(1350), 1,
      anon_sym_RBRACK,
    ACTIONS(1353), 1,
      anon_sym_EQ,
    ACTIONS(1701), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1346), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1348), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32843] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1341), 1,
      anon_sym_RBRACK,
    ACTIONS(1703), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32894] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(1818), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32985] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1820), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33076] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(1822), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33167] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1824), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33258] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(1826), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33349] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1405), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33440] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(1860), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33531] = 6,
    ACTIONS(1284), 1,
      anon_sym_COMMA,
    ACTIONS(1289), 1,
      anon_sym_RBRACK,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33582] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1431), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33673] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1435), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33764] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1445), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33855] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1485), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33946] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1489), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34037] = 16,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34108] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34169] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34252] = 23,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34337] = 14,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34404] = 20,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [34483] = 21,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [34564] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34647] = 13,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34712] = 18,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [34787] = 24,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1491), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34874] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1513), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34965] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1517), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35056] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1541), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35147] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1549), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35238] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1553), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35329] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1357), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1830), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35420] = 27,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1645), 1,
      anon_sym_of,
    ACTIONS(1814), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1834), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1840), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_CARET,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_PERCENT,
    ACTIONS(1856), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1858), 1,
      sym__ternary_qmark,
    ACTIONS(1862), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1828), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1830), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1846), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1852), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1854), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1850), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35513] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(1865), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35604] = 4,
    ACTIONS(1479), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35650] = 6,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(1699), 1,
      anon_sym_of,
    ACTIONS(1705), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1332), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35700] = 25,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35788] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1873), 1,
      anon_sym_async,
    ACTIONS(1877), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1269), 1,
      aux_sym_object_repeat1,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1879), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1867), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1264), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35874] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    ACTIONS(1885), 1,
      anon_sym_async,
    ACTIONS(1887), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1269), 1,
      aux_sym_object_repeat1,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1889), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1881), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1264), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35960] = 6,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_in,
    ACTIONS(1280), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36010] = 6,
    ACTIONS(1353), 1,
      anon_sym_EQ,
    ACTIONS(1701), 1,
      anon_sym_of,
    ACTIONS(1708), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1346), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1348), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36060] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1703), 1,
      anon_sym_of,
    ACTIONS(1711), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36110] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_RBRACE,
    ACTIONS(1895), 1,
      anon_sym_async,
    ACTIONS(1897), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1269), 1,
      aux_sym_object_repeat1,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1899), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1891), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1264), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36196] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1903), 1,
      anon_sym_RBRACE,
    ACTIONS(1905), 1,
      anon_sym_async,
    ACTIONS(1907), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1269), 1,
      aux_sym_object_repeat1,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1909), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1901), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1264), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36282] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1915), 1,
      anon_sym_async,
    ACTIONS(1917), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1269), 1,
      aux_sym_object_repeat1,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1919), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1911), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1264), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36368] = 25,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(1397), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1784), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1795), 1,
      anon_sym_PIPE,
    ACTIONS(1797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1320), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36456] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_async,
    ACTIONS(1927), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1299), 1,
      aux_sym_object_repeat1,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1929), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1921), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1272), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36542] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_async,
    ACTIONS(1937), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1299), 1,
      aux_sym_object_repeat1,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1939), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1931), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1272), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36628] = 4,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36674] = 21,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1946), 1,
      anon_sym_async,
    ACTIONS(1948), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1943), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1950), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1941), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1275), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1396), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1402), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36752] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1956), 1,
      anon_sym_RBRACE,
    ACTIONS(1958), 1,
      anon_sym_SEMI,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    STATE(842), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [36829] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1978), 1,
      anon_sym_RBRACE,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    STATE(843), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [36906] = 23,
    ACTIONS(1985), 1,
      anon_sym_STAR,
    ACTIONS(1988), 1,
      anon_sym_RBRACE,
    ACTIONS(1990), 1,
      anon_sym_SEMI,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(1996), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1999), 1,
      anon_sym_DQUOTE,
    ACTIONS(2002), 1,
      anon_sym_SQUOTE,
    ACTIONS(2005), 1,
      anon_sym_async,
    ACTIONS(2011), 1,
      anon_sym_AT,
    ACTIONS(2014), 1,
      anon_sym_static,
    ACTIONS(2017), 1,
      aux_sym_method_definition_token1,
    STATE(843), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2008), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2020), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1982), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [36983] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2025), 1,
      anon_sym_SEMI,
    STATE(845), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37060] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    ACTIONS(2027), 1,
      anon_sym_RBRACE,
    STATE(843), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37137] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    ACTIONS(2031), 1,
      anon_sym_SEMI,
    STATE(848), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37214] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_SEMI,
    STATE(849), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37291] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    STATE(843), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37368] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    STATE(843), 1,
      aux_sym_class_body_repeat1,
    STATE(886), 1,
      aux_sym_export_statement_repeat1,
    STATE(936), 1,
      sym_class_static_block,
    STATE(938), 1,
      sym_method_definition,
    STATE(942), 1,
      sym_glimmer_template,
    STATE(981), 1,
      sym_decorator,
    STATE(1428), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37445] = 20,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2049), 1,
      anon_sym_async,
    ACTIONS(2053), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2051), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2041), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1285), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1314), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37515] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2061), 1,
      anon_sym_async,
    ACTIONS(2063), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2051), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2059), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2065), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2057), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1314), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1402), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [37580] = 14,
    ACTIONS(680), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2071), 1,
      anon_sym_RBRACE,
    STATE(1270), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1263), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1614), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2067), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37637] = 14,
    ACTIONS(680), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2077), 1,
      anon_sym_RBRACE,
    STATE(1357), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1265), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1614), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2075), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37694] = 12,
    ACTIONS(680), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2081), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1396), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1614), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1689), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2079), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37746] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [37802] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [37860] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [37916] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [37974] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38030] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38088] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38144] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38202] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38260] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38316] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38372] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38430] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38486] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38544] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38595] = 14,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    ACTIONS(2101), 1,
      anon_sym_async,
    ACTIONS(2107), 1,
      sym__automatic_semicolon,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2103), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2105), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    STATE(1099), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1952), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38648] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38699] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38750] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38801] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38852] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38903] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38954] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2110), 1,
      anon_sym_export,
    ACTIONS(2112), 1,
      anon_sym_STAR,
    ACTIONS(2114), 1,
      anon_sym_class,
    ACTIONS(2116), 1,
      anon_sym_async,
    ACTIONS(2120), 1,
      anon_sym_static,
    ACTIONS(2122), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2124), 1,
      anon_sym_get,
    ACTIONS(2126), 1,
      anon_sym_set,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      anon_sym_let,
      sym_identifier,
    ACTIONS(2118), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1579), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39014] = 12,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39062] = 13,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39112] = 13,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39162] = 14,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39214] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39259] = 10,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2135), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2137), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39302] = 12,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39349] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_STAR,
    ACTIONS(2143), 1,
      anon_sym_get,
    ACTIONS(2145), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2141), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1501), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39394] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2149), 1,
      anon_sym_async,
    ACTIONS(2153), 1,
      anon_sym_static,
    ACTIONS(2155), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2157), 1,
      anon_sym_get,
    ACTIONS(2159), 1,
      anon_sym_set,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2151), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39449] = 10,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39492] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_STAR,
    ACTIONS(2116), 1,
      anon_sym_async,
    ACTIONS(2120), 1,
      anon_sym_static,
    ACTIONS(2122), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2124), 1,
      anon_sym_get,
    ACTIONS(2126), 1,
      anon_sym_set,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2118), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(871), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1579), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39547] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39592] = 10,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2161), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2163), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1482), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39635] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2167), 1,
      anon_sym_STAR,
    ACTIONS(2171), 1,
      anon_sym_get,
    ACTIONS(2173), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2169), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39680] = 12,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2175), 1,
      anon_sym_STAR,
    ACTIONS(2177), 1,
      anon_sym_async,
    ACTIONS(2181), 1,
      anon_sym_get,
    ACTIONS(2183), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2179), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1128), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1952), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [39727] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39755] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39811] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39839] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39867] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39895] = 6,
    ACTIONS(2197), 1,
      anon_sym_LPAREN,
    ACTIONS(2199), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2193), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2195), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39929] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39957] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2135), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39995] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40023] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40051] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2201), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1502), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40089] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2203), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1503), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40127] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40155] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40183] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40211] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40239] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40267] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40295] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40323] = 9,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2209), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2211), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40419] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2217), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2219), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40447] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2163), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1482), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40485] = 4,
    ACTIONS(2221), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(630), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40543] = 4,
    ACTIONS(2223), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(506), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40573] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1487), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40611] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2227), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2229), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40639] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2233), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40667] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2233), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40695] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2233), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40723] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1486), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40761] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2233), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40789] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2233), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40817] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2233), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40845] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2237), 9,
      anon_sym_export,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2239), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40900] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1453), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40927] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2241), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2243), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40981] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2249), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2251), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2253), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2255), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41035] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(640), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(638), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41062] = 4,
    ACTIONS(2257), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2253), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2255), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41091] = 6,
    ACTIONS(2264), 1,
      anon_sym_AT,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2262), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      aux_sym_method_definition_token1,
    ACTIONS(2260), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41124] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(630), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41151] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1409), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41178] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41205] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2271), 1,
      anon_sym_STAR,
    ACTIONS(2275), 1,
      anon_sym_get,
    ACTIONS(2277), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2273), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41247] = 9,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2279), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2281), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41285] = 13,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2283), 1,
      anon_sym_default,
    STATE(348), 1,
      sym_declaration,
    STATE(981), 1,
      sym_decorator,
    STATE(1248), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(357), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [41331] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2285), 1,
      anon_sym_STAR,
    ACTIONS(2289), 1,
      anon_sym_get,
    ACTIONS(2291), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2287), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41373] = 10,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2163), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1482), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41413] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2293), 1,
      anon_sym_STAR,
    ACTIONS(2297), 1,
      anon_sym_get,
    ACTIONS(2299), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2295), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1474), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41455] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_STAR,
    ACTIONS(2305), 1,
      anon_sym_get,
    ACTIONS(2307), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2303), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41497] = 12,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_async,
    ACTIONS(2315), 1,
      anon_sym_get,
    ACTIONS(2317), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2313), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1394), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41541] = 10,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2281), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2321), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41581] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2281), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41616] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1579), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1581), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41676] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2325), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41711] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2327), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1598), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41746] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2329), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1600), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41781] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2331), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1495), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2335), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41841] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1523), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41876] = 10,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(2339), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2135), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2137), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41915] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2341), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41950] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2343), 1,
      anon_sym_default,
    STATE(348), 1,
      sym_declaration,
    STATE(981), 1,
      sym_decorator,
    STATE(1248), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(357), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [41993] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2163), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1482), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42028] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2345), 1,
      anon_sym_STAR,
    ACTIONS(2347), 1,
      anon_sym_async,
    ACTIONS(2351), 1,
      anon_sym_get,
    ACTIONS(2353), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2349), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1485), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42069] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2355), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42104] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2357), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1601), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42139] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1563), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1565), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42164] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2359), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42199] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2361), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1507), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42234] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2363), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1512), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42269] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2365), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1513), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42304] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2367), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42339] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2369), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42374] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2371), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1435), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42409] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2373), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1572), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42444] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1444), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42479] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1476), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42514] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2193), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2195), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42539] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2379), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1363), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42574] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2381), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2383), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42599] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1495), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1497), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42624] = 10,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42663] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2385), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42698] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2283), 1,
      anon_sym_default,
    STATE(348), 1,
      sym_declaration,
    STATE(981), 1,
      sym_decorator,
    STATE(1248), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(357), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42741] = 11,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2387), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_async,
    ACTIONS(2393), 1,
      anon_sym_get,
    ACTIONS(2395), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1545), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42782] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2397), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1499), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42817] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2399), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1511), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42849] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2401), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1595), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42881] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2403), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1483), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42913] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2355), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42945] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2405), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42977] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2407), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1473), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43009] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2409), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1500), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43041] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2411), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43073] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2413), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1514), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2415), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43127] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2417), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43149] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2419), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1432), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43181] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2421), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1537), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43213] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2135), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43245] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(863), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43277] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2423), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1449), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43309] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2425), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43331] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2427), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43353] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2281), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43385] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2429), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1468), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43417] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2325), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2431), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43471] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2163), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1482), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43503] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2437), 1,
      sym_html_character_reference,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2441), 1,
      anon_sym_LT_SLASH,
    STATE(709), 1,
      sym_jsx_closing_element,
    STATE(1012), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1017), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43539] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2443), 1,
      sym_html_character_reference,
    ACTIONS(2445), 1,
      anon_sym_LT_SLASH,
    STATE(1012), 1,
      sym_jsx_opening_element,
    STATE(1082), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1015), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43575] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2447), 1,
      sym_html_character_reference,
    ACTIONS(2449), 1,
      anon_sym_LT_SLASH,
    STATE(511), 1,
      sym_jsx_closing_element,
    STATE(1012), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1016), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43611] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2451), 1,
      sym_html_character_reference,
    ACTIONS(2453), 1,
      anon_sym_LT_SLASH,
    STATE(1012), 1,
      sym_jsx_opening_element,
    STATE(1154), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43647] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2445), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2451), 1,
      sym_html_character_reference,
    STATE(1012), 1,
      sym_jsx_opening_element,
    STATE(1088), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43683] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2451), 1,
      sym_html_character_reference,
    STATE(549), 1,
      sym_jsx_closing_element,
    STATE(1012), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43719] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2441), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2451), 1,
      sym_html_character_reference,
    STATE(748), 1,
      sym_jsx_closing_element,
    STATE(1012), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43755] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2453), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2455), 1,
      sym_html_character_reference,
    STATE(1012), 1,
      sym_jsx_opening_element,
    STATE(1150), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1014), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43791] = 10,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2457), 1,
      sym_identifier,
    ACTIONS(2459), 1,
      anon_sym_STAR,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_string,
    STATE(1436), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1687), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2463), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [43827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2465), 1,
      anon_sym_LBRACE,
    ACTIONS(2471), 1,
      sym_html_character_reference,
    ACTIONS(2474), 1,
      anon_sym_LT,
    ACTIONS(2477), 1,
      anon_sym_LT_SLASH,
    STATE(1012), 1,
      sym_jsx_opening_element,
    ACTIONS(2468), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43860] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1035), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43896] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1048), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43932] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1038), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43968] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1042), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44004] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1036), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44037] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1039), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44070] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44103] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44136] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1049), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44169] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1055), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44202] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1051), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44235] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1045), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44268] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1054), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44298] = 8,
    ACTIONS(2499), 1,
      sym_identifier,
    ACTIONS(2502), 1,
      anon_sym_LBRACE,
    ACTIONS(2507), 1,
      sym_jsx_identifier,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2505), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44326] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2510), 1,
      anon_sym_GT,
    ACTIONS(2512), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44356] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2514), 1,
      anon_sym_GT,
    ACTIONS(2516), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44386] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2520), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44416] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2510), 1,
      anon_sym_GT,
    ACTIONS(2522), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44446] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2526), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44476] = 7,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2528), 1,
      anon_sym_LT,
    ACTIONS(2530), 1,
      anon_sym_DQUOTE,
    ACTIONS(2532), 1,
      anon_sym_SQUOTE,
    STATE(1018), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1179), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44502] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2534), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44532] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2510), 1,
      anon_sym_GT,
    ACTIONS(2536), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44562] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2538), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44592] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1037), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44622] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2514), 1,
      anon_sym_GT,
    ACTIONS(2540), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44652] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1052), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44682] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2542), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44712] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2510), 1,
      anon_sym_GT,
    ACTIONS(2544), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44742] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2546), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44772] = 7,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2528), 1,
      anon_sym_LT,
    ACTIONS(2530), 1,
      anon_sym_DQUOTE,
    ACTIONS(2532), 1,
      anon_sym_SQUOTE,
    STATE(1018), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1178), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44798] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2514), 1,
      anon_sym_GT,
    ACTIONS(2548), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44828] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2550), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44858] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1047), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44888] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2552), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44918] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2514), 1,
      anon_sym_GT,
    ACTIONS(2554), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1113), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1152), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44948] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_COMMA,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(1280), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1281), 2,
      sym__module_export_name,
      sym_string,
  [44975] = 8,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2564), 1,
      anon_sym_COMMA,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(1324), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1653), 2,
      sym__module_export_name,
      sym_string,
  [45002] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2568), 1,
      anon_sym_RBRACE,
    STATE(1393), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1281), 2,
      sym__module_export_name,
      sym_string,
  [45026] = 6,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1197), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1177), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2572), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45062] = 6,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1312), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1177), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45084] = 6,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      sym_identifier,
    STATE(1197), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1078), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45106] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2576), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45144] = 6,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      sym_identifier,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1079), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45166] = 6,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(914), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1177), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45188] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45212] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    STATE(1488), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1653), 2,
      sym__module_export_name,
      sym_string,
  [45236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2582), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45250] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45274] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45298] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_RBRACE,
    STATE(1393), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1281), 2,
      sym__module_export_name,
      sym_string,
  [45322] = 5,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2586), 1,
      sym_identifier,
    ACTIONS(2590), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2588), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [45342] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45366] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1318), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45390] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2592), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45404] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    STATE(1305), 1,
      aux_sym_object_repeat1,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45428] = 5,
    ACTIONS(2598), 1,
      anon_sym_EQ,
    STATE(1175), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2594), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45448] = 5,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    STATE(1274), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2594), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45468] = 7,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_RBRACE,
    STATE(1488), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1653), 2,
      sym__module_export_name,
      sym_string,
  [45492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2604), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1427), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2606), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45536] = 5,
    ACTIONS(2610), 1,
      anon_sym_BQUOTE,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2608), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1093), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45555] = 6,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(2614), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(509), 2,
      sym_template_string,
      sym_arguments,
  [45576] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45589] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1509), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45617] = 5,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2618), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2616), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1121), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2620), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2606), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2606), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45681] = 5,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2624), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2622), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1118), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45700] = 5,
    ACTIONS(2626), 1,
      anon_sym_default,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    ACTIONS(2630), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1119), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [45719] = 6,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(670), 2,
      sym_template_string,
      sym_arguments,
  [45740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45785] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1551), 1,
      sym_formal_parameters,
    STATE(1557), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2636), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45806] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1552), 1,
      sym_formal_parameters,
    STATE(1559), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1505), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1567), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45872] = 3,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2642), 5,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [45887] = 6,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1653), 2,
      sym__module_export_name,
      sym_string,
  [45908] = 3,
    ACTIONS(2644), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2646), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
  [45923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2648), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45938] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1701), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2650), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45966] = 4,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    STATE(1123), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2652), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2654), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45998] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1589), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46011] = 4,
    ACTIONS(2656), 1,
      sym_identifier,
    ACTIONS(2660), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2658), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2604), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46041] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1439), 1,
      sym_formal_parameters,
    STATE(1530), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2606), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46077] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46090] = 5,
    ACTIONS(2667), 1,
      anon_sym_BQUOTE,
    ACTIONS(2669), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2664), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1118), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46109] = 5,
    ACTIONS(2626), 1,
      anon_sym_default,
    ACTIONS(2630), 1,
      anon_sym_case,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1124), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46128] = 5,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(2674), 1,
      sym_identifier,
    ACTIONS(2676), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1231), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46147] = 5,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2678), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2622), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1118), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46166] = 5,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(2676), 1,
      anon_sym_LBRACK,
    ACTIONS(2680), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1539), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46185] = 4,
    ACTIONS(2682), 1,
      anon_sym_COMMA,
    STATE(1123), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1499), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46202] = 5,
    ACTIONS(2685), 1,
      anon_sym_default,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    ACTIONS(2690), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1124), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2592), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46234] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2576), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2572), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46260] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1458), 1,
      sym__initializer,
    STATE(1580), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2695), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46311] = 6,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    STATE(1393), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1281), 2,
      sym__module_export_name,
      sym_string,
  [46332] = 5,
    ACTIONS(1240), 1,
      anon_sym_LBRACE,
    ACTIONS(2676), 1,
      anon_sym_LBRACK,
    ACTIONS(2697), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1625), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46351] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1585), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46364] = 3,
    ACTIONS(2648), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2699), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46378] = 6,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    ACTIONS(2705), 1,
      anon_sym_extends,
    STATE(507), 1,
      sym_class_body,
    STATE(1395), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46398] = 6,
    ACTIONS(2705), 1,
      anon_sym_extends,
    ACTIONS(2707), 1,
      sym_identifier,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym_class_body,
    STATE(1534), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46418] = 3,
    ACTIONS(2711), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2713), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46432] = 6,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    ACTIONS(2705), 1,
      anon_sym_extends,
    ACTIONS(2715), 1,
      sym_identifier,
    STATE(553), 1,
      sym_class_body,
    STATE(1541), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46452] = 3,
    ACTIONS(2717), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46466] = 6,
    ACTIONS(2705), 1,
      anon_sym_extends,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2720), 1,
      sym_identifier,
    STATE(754), 1,
      sym_class_body,
    STATE(1596), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46486] = 5,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2722), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1686), 2,
      sym__module_export_name,
      sym_string,
  [46504] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1284), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46516] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1585), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46528] = 6,
    ACTIONS(2724), 1,
      sym_identifier,
    ACTIONS(2726), 1,
      anon_sym_GT,
    ACTIONS(2728), 1,
      sym_jsx_identifier,
    STATE(1378), 1,
      sym_nested_identifier,
    STATE(1634), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46548] = 3,
    ACTIONS(2730), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2732), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46562] = 6,
    ACTIONS(2734), 1,
      sym_identifier,
    ACTIONS(2736), 1,
      anon_sym_GT,
    ACTIONS(2738), 1,
      sym_jsx_identifier,
    STATE(1566), 1,
      sym_nested_identifier,
    STATE(1643), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46582] = 5,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(2740), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1397), 2,
      sym__module_export_name,
      sym_string,
  [46600] = 4,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46616] = 6,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_GT,
    ACTIONS(2746), 1,
      sym_jsx_identifier,
    STATE(1401), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46636] = 3,
    ACTIONS(1427), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1429), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46650] = 3,
    ACTIONS(1455), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1457), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46664] = 3,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2750), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46678] = 3,
    ACTIONS(1505), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1507), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46692] = 3,
    ACTIONS(1509), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1511), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46706] = 6,
    ACTIONS(2752), 1,
      sym_identifier,
    ACTIONS(2754), 1,
      anon_sym_GT,
    ACTIONS(2756), 1,
      sym_jsx_identifier,
    STATE(1031), 1,
      sym_nested_identifier,
    STATE(1033), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46726] = 6,
    ACTIONS(2705), 1,
      anon_sym_extends,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2758), 1,
      sym_identifier,
    STATE(716), 1,
      sym_class_body,
    STATE(1534), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46746] = 3,
    ACTIONS(2760), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46760] = 6,
    ACTIONS(2705), 1,
      anon_sym_extends,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2763), 1,
      sym_identifier,
    STATE(754), 1,
      sym_class_body,
    STATE(1596), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46780] = 3,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46794] = 6,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(2767), 1,
      sym_identifier,
    ACTIONS(2769), 1,
      anon_sym_LBRACK,
    ACTIONS(2771), 1,
      sym_private_property_identifier,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46814] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1589), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46826] = 6,
    ACTIONS(2773), 1,
      sym_identifier,
    ACTIONS(2775), 1,
      anon_sym_GT,
    ACTIONS(2777), 1,
      sym_jsx_identifier,
    STATE(1538), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46846] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46860] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46874] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46888] = 6,
    ACTIONS(2754), 1,
      anon_sym_GT,
    ACTIONS(2779), 1,
      sym_identifier,
    ACTIONS(2781), 1,
      sym_jsx_identifier,
    STATE(1030), 1,
      sym_nested_identifier,
    STATE(1046), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46908] = 5,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46926] = 6,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_COLON,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46946] = 6,
    ACTIONS(2754), 1,
      anon_sym_GT,
    ACTIONS(2785), 1,
      sym_identifier,
    ACTIONS(2787), 1,
      sym_jsx_identifier,
    STATE(1025), 1,
      sym_nested_identifier,
    STATE(1044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46966] = 6,
    ACTIONS(2754), 1,
      anon_sym_GT,
    ACTIONS(2789), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      sym_jsx_identifier,
    STATE(1032), 1,
      sym_nested_identifier,
    STATE(1053), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46986] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2793), 1,
      anon_sym_export,
    ACTIONS(2795), 1,
      anon_sym_class,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47006] = 6,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_COLON,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47026] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2799), 1,
      anon_sym_export,
    ACTIONS(2801), 1,
      anon_sym_class,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47046] = 3,
    ACTIONS(2695), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2803), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47060] = 4,
    ACTIONS(2807), 1,
      anon_sym_in,
    ACTIONS(2809), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2805), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47076] = 6,
    ACTIONS(2705), 1,
      anon_sym_extends,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2811), 1,
      sym_identifier,
    STATE(754), 1,
      sym_class_body,
    STATE(1596), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47096] = 4,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    STATE(1274), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2594), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47112] = 3,
    ACTIONS(2813), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2815), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47126] = 3,
    ACTIONS(2817), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2819), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47140] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47154] = 6,
    ACTIONS(2705), 1,
      anon_sym_extends,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2821), 1,
      sym_identifier,
    STATE(716), 1,
      sym_class_body,
    STATE(1534), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47174] = 3,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1569), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47188] = 6,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(2823), 1,
      sym_identifier,
    ACTIONS(2825), 1,
      anon_sym_LBRACK,
    ACTIONS(2827), 1,
      sym_private_property_identifier,
    STATE(745), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47208] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2829), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [47219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2831), 1,
      sym_html_character_reference,
    ACTIONS(2833), 1,
      anon_sym_DQUOTE,
    ACTIONS(2835), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1198), 1,
      aux_sym__jsx_string_repeat1,
  [47238] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2795), 1,
      anon_sym_class,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2837), 1,
      anon_sym_DQUOTE,
    STATE(1201), 1,
      aux_sym_string_repeat1,
    ACTIONS(2839), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2837), 1,
      anon_sym_SQUOTE,
    STATE(1203), 1,
      aux_sym_string_repeat2,
    ACTIONS(2841), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    STATE(1189), 1,
      aux_sym_string_repeat1,
    ACTIONS(2845), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2848), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2850), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47323] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47334] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47345] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      sym_identifier,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1578), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47362] = 5,
    ACTIONS(2857), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(314), 1,
      sym_class_body,
    STATE(1407), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47379] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2861), 1,
      anon_sym_class,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2833), 1,
      anon_sym_SQUOTE,
    ACTIONS(2863), 1,
      sym_html_character_reference,
    ACTIONS(2865), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1205), 1,
      aux_sym__jsx_string_repeat2,
  [47415] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2871), 1,
      sym_html_character_reference,
    ACTIONS(2874), 1,
      anon_sym_DQUOTE,
    ACTIONS(2876), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1198), 1,
      aux_sym__jsx_string_repeat1,
  [47449] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2801), 1,
      anon_sym_class,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2879), 1,
      anon_sym_DQUOTE,
    STATE(1189), 1,
      aux_sym_string_repeat1,
    ACTIONS(2881), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2883), 1,
      anon_sym_DQUOTE,
    STATE(1189), 1,
      aux_sym_string_repeat1,
    ACTIONS(2881), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47500] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2885), 1,
      sym_identifier,
    ACTIONS(2887), 1,
      anon_sym_STAR,
    STATE(1442), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2883), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2889), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47534] = 4,
    ACTIONS(2459), 1,
      anon_sym_STAR,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1631), 2,
      sym_namespace_import,
      sym_named_imports,
  [47549] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2891), 1,
      sym_html_character_reference,
    ACTIONS(2894), 1,
      anon_sym_SQUOTE,
    ACTIONS(2896), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1205), 1,
      aux_sym__jsx_string_repeat2,
  [47568] = 4,
    ACTIONS(2087), 1,
      anon_sym_COLON,
    ACTIONS(2089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2899), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2879), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2889), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47600] = 5,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(2901), 1,
      anon_sym_EQ,
    ACTIONS(2903), 1,
      anon_sym_RBRACK,
    STATE(1330), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47617] = 4,
    ACTIONS(2905), 1,
      anon_sym_with,
    STATE(1570), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47632] = 5,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(491), 1,
      sym_class_body,
    STATE(1536), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47649] = 3,
    ACTIONS(2909), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1271), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [47662] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2911), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47677] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      sym_identifier,
    ACTIONS(2915), 1,
      anon_sym_STAR,
    STATE(1521), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47694] = 4,
    ACTIONS(2917), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1730), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2920), 1,
      anon_sym_DQUOTE,
    STATE(1220), 1,
      aux_sym_string_repeat1,
    ACTIONS(2922), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47726] = 5,
    ACTIONS(2859), 1,
      anon_sym_extends,
    ACTIONS(2924), 1,
      anon_sym_LBRACE,
    STATE(53), 1,
      sym_class_body,
    STATE(1438), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2920), 1,
      anon_sym_SQUOTE,
    STATE(1221), 1,
      aux_sym_string_repeat2,
    ACTIONS(2926), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47760] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2928), 1,
      sym_identifier,
    ACTIONS(2930), 1,
      anon_sym_STAR,
    STATE(1403), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47777] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_STAR,
    STATE(1578), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2936), 1,
      anon_sym_DQUOTE,
    STATE(1189), 1,
      aux_sym_string_repeat1,
    ACTIONS(2881), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2936), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2889), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2938), 1,
      anon_sym_DQUOTE,
    STATE(1233), 1,
      aux_sym_string_repeat1,
    ACTIONS(2940), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47845] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2942), 1,
      anon_sym_class,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47862] = 4,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2947), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47877] = 5,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(717), 1,
      sym_class_body,
    STATE(1554), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47894] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2949), 1,
      sym_identifier,
    ACTIONS(2951), 1,
      anon_sym_STAR,
    STATE(1442), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47911] = 5,
    ACTIONS(2857), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(332), 1,
      sym_class_body,
    STATE(1408), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47928] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2953), 1,
      sym_identifier,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(1578), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47945] = 5,
    ACTIONS(2905), 1,
      anon_sym_with,
    ACTIONS(2957), 1,
      anon_sym_SEMI,
    ACTIONS(2959), 1,
      sym__automatic_semicolon,
    STATE(1494), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2938), 1,
      anon_sym_SQUOTE,
    STATE(1249), 1,
      aux_sym_string_repeat2,
    ACTIONS(2961), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47979] = 4,
    ACTIONS(2963), 1,
      anon_sym_EQ,
    STATE(1391), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 2,
      anon_sym_in,
      anon_sym_of,
  [47994] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1701), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2965), 1,
      anon_sym_DQUOTE,
    STATE(1189), 1,
      aux_sym_string_repeat1,
    ACTIONS(2881), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_DQUOTE,
    STATE(1200), 1,
      aux_sym_string_repeat1,
    ACTIONS(2969), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2971), 1,
      sym_html_character_reference,
    ACTIONS(2973), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1185), 1,
      aux_sym__jsx_string_repeat1,
  [48058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2977), 1,
      sym_html_character_reference,
    ACTIONS(2979), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1196), 1,
      aux_sym__jsx_string_repeat2,
  [48077] = 5,
    ACTIONS(2901), 1,
      anon_sym_EQ,
    ACTIONS(2981), 1,
      anon_sym_COMMA,
    ACTIONS(2983), 1,
      anon_sym_RPAREN,
    STATE(1262), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48094] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48105] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48118] = 4,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    STATE(1240), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48133] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2988), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48148] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2463), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [48159] = 5,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(740), 1,
      sym_class_body,
    STATE(1574), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48176] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1789), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48187] = 5,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(2901), 1,
      anon_sym_EQ,
    ACTIONS(2990), 1,
      anon_sym_RBRACK,
    STATE(1302), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48204] = 4,
    ACTIONS(2992), 1,
      anon_sym_from,
    STATE(1371), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2994), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_SQUOTE,
    STATE(1207), 1,
      aux_sym_string_repeat2,
    ACTIONS(2996), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48236] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2998), 1,
      anon_sym_class,
    STATE(939), 1,
      aux_sym_export_statement_repeat1,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2965), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2889), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48270] = 4,
    ACTIONS(1625), 1,
      anon_sym_COMMA,
    STATE(1240), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48285] = 5,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(497), 1,
      sym_class_body,
    STATE(1549), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48302] = 5,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(663), 1,
      sym_class_body,
    STATE(1520), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48319] = 5,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_extends,
    STATE(744), 1,
      sym_class_body,
    STATE(1498), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48336] = 5,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3000), 1,
      sym_identifier,
    ACTIONS(3002), 1,
      anon_sym_STAR,
    STATE(1442), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48353] = 5,
    ACTIONS(2859), 1,
      anon_sym_extends,
    ACTIONS(2924), 1,
      anon_sym_LBRACE,
    STATE(56), 1,
      sym_class_body,
    STATE(1372), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48370] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1212), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3004), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3006), 1,
      sym__glimmer_template_content,
    ACTIONS(3008), 1,
      sym_glimmer_closing_tag,
    STATE(1308), 1,
      aux_sym_glimmer_template_repeat1,
  [48401] = 3,
    ACTIONS(3010), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1280), 2,
      anon_sym_in,
      anon_sym_of,
  [48413] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3012), 1,
      sym_identifier,
    STATE(1446), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48427] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      sym_identifier,
    STATE(1522), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48441] = 4,
    ACTIONS(2981), 1,
      anon_sym_COMMA,
    ACTIONS(2983), 1,
      anon_sym_RPAREN,
    STATE(1262), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48455] = 4,
    ACTIONS(719), 1,
      anon_sym_RPAREN,
    ACTIONS(3016), 1,
      anon_sym_COMMA,
    STATE(1348), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48469] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3018), 1,
      anon_sym_RBRACE,
    STATE(1320), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48483] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3020), 1,
      anon_sym_RBRACE,
    STATE(1321), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48497] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3022), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48511] = 4,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      anon_sym_LPAREN,
    STATE(329), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48525] = 3,
    ACTIONS(3028), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3030), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48537] = 4,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    ACTIONS(3032), 1,
      anon_sym_COMMA,
    STATE(1333), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48551] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3020), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48565] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3018), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48579] = 4,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    STATE(1355), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48593] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3034), 1,
      anon_sym_RBRACE,
    STATE(1353), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48607] = 4,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACK,
    STATE(1304), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48621] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2805), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [48631] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3036), 1,
      anon_sym_COLON,
    STATE(1590), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3038), 1,
      sym__glimmer_template_content,
    ACTIONS(3040), 1,
      sym_glimmer_closing_tag,
    STATE(1288), 1,
      aux_sym_glimmer_template_repeat1,
  [48661] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48675] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3047), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [48685] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3049), 1,
      anon_sym_RPAREN,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48699] = 4,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48713] = 3,
    ACTIONS(3055), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3057), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48725] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1730), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48735] = 3,
    ACTIONS(2901), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3059), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [48747] = 3,
    ACTIONS(3061), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3063), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48759] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48773] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48787] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3067), 1,
      anon_sym_RBRACK,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3006), 1,
      sym__glimmer_template_content,
    ACTIONS(3069), 1,
      sym_glimmer_closing_tag,
    STATE(1308), 1,
      aux_sym_glimmer_template_repeat1,
  [48817] = 4,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(2903), 1,
      anon_sym_RBRACK,
    STATE(1330), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48831] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48845] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48859] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1716), 1,
      anon_sym_RBRACK,
    STATE(1329), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48873] = 3,
    ACTIONS(1615), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [48885] = 4,
    ACTIONS(2568), 1,
      anon_sym_RBRACE,
    ACTIONS(3075), 1,
      anon_sym_COMMA,
    STATE(1311), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48899] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1716), 1,
      anon_sym_RBRACK,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48913] = 4,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(2903), 1,
      anon_sym_RBRACK,
    STATE(1304), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48927] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    STATE(1301), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48941] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48955] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3034), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48969] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48983] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48997] = 4,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(3081), 1,
      anon_sym_RBRACK,
    STATE(1304), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3006), 1,
      sym__glimmer_template_content,
    ACTIONS(3083), 1,
      sym_glimmer_closing_tag,
    STATE(1308), 1,
      aux_sym_glimmer_template_repeat1,
  [49027] = 4,
    ACTIONS(3059), 1,
      anon_sym_RBRACK,
    ACTIONS(3085), 1,
      anon_sym_COMMA,
    STATE(1304), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49041] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3088), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49055] = 4,
    ACTIONS(3090), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49069] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3095), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3097), 1,
      sym__glimmer_template_content,
    ACTIONS(3100), 1,
      sym_glimmer_closing_tag,
    STATE(1308), 1,
      aux_sym_glimmer_template_repeat1,
  [49099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3102), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49109] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3104), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49119] = 4,
    ACTIONS(3106), 1,
      anon_sym_COMMA,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49133] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2947), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49143] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3111), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49157] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3113), 1,
      anon_sym_COLON,
    STATE(1590), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49171] = 3,
    ACTIONS(3115), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3117), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49183] = 4,
    ACTIONS(3119), 1,
      anon_sym_LPAREN,
    ACTIONS(3121), 1,
      anon_sym_await,
    STATE(45), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49197] = 4,
    ACTIONS(2767), 1,
      sym_identifier,
    ACTIONS(2769), 1,
      anon_sym_LBRACK,
    ACTIONS(2771), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49211] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3123), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49225] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49239] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49253] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49267] = 3,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1280), 2,
      anon_sym_in,
      anon_sym_of,
  [49279] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 1,
      sym_identifier,
    STATE(1386), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49293] = 4,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    STATE(1268), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49307] = 3,
    ACTIONS(2901), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3137), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49319] = 4,
    ACTIONS(969), 1,
      anon_sym_while,
    ACTIONS(3139), 1,
      anon_sym_else,
    STATE(366), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3141), 1,
      sym__glimmer_template_content,
    ACTIONS(3143), 1,
      sym_glimmer_closing_tag,
    STATE(1303), 1,
      aux_sym_glimmer_template_repeat1,
  [49349] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3145), 1,
      sym_identifier,
    STATE(1446), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49363] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3147), 1,
      anon_sym_RBRACK,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49377] = 4,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(3149), 1,
      anon_sym_RBRACK,
    STATE(1304), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49391] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1386), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49405] = 4,
    ACTIONS(672), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACK,
    STATE(1302), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49419] = 4,
    ACTIONS(3153), 1,
      anon_sym_COMMA,
    ACTIONS(3156), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49433] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1744), 1,
      anon_sym_RBRACK,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49447] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1279), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49461] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49475] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    STATE(1346), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49489] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49503] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3158), 1,
      sym_identifier,
    STATE(1446), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49517] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3160), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49531] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3162), 1,
      sym_identifier,
    STATE(1386), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49545] = 4,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(3164), 1,
      sym_identifier,
    STATE(1560), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49559] = 4,
    ACTIONS(3166), 1,
      anon_sym_LPAREN,
    ACTIONS(3168), 1,
      anon_sym_await,
    STATE(42), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49573] = 3,
    ACTIONS(2901), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3170), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49585] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3172), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49599] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3174), 1,
      anon_sym_RPAREN,
    STATE(1214), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49613] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1744), 1,
      anon_sym_RBRACK,
    STATE(1287), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49627] = 4,
    ACTIONS(3170), 1,
      anon_sym_RPAREN,
    ACTIONS(3176), 1,
      anon_sym_COMMA,
    STATE(1348), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49641] = 4,
    ACTIONS(2823), 1,
      sym_identifier,
    ACTIONS(2825), 1,
      anon_sym_LBRACK,
    ACTIONS(2827), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49655] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3181), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3183), 1,
      sym__glimmer_template_content,
    ACTIONS(3185), 1,
      sym_glimmer_closing_tag,
    STATE(1257), 1,
      aux_sym_glimmer_template_repeat1,
  [49695] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3187), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49709] = 4,
    ACTIONS(3189), 1,
      sym_identifier,
    STATE(899), 1,
      sym_decorator_member_expression,
    STATE(979), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3191), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [49733] = 4,
    ACTIONS(2992), 1,
      anon_sym_from,
    ACTIONS(3193), 1,
      anon_sym_as,
    STATE(1431), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49747] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3022), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49761] = 3,
    ACTIONS(3195), 1,
      sym_identifier,
    ACTIONS(3197), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49772] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49781] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49792] = 3,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(37), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49803] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(291), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49814] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1479), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49825] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1489), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49836] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49847] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49858] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49867] = 3,
    ACTIONS(3203), 1,
      anon_sym_SEMI,
    ACTIONS(3205), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49878] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1548), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49889] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1563), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49900] = 3,
    ACTIONS(3207), 1,
      anon_sym_SEMI,
    ACTIONS(3209), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49911] = 3,
    ACTIONS(2924), 1,
      anon_sym_LBRACE,
    STATE(52), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49922] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49933] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3211), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [49942] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49953] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49964] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(903), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49975] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49986] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49997] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50008] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50019] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50030] = 3,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(328), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50041] = 3,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50052] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50063] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(668), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50074] = 3,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(58), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50085] = 3,
    ACTIONS(3221), 1,
      sym_identifier,
    ACTIONS(3223), 1,
      sym_jsx_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50096] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1508), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50107] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1404), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50118] = 3,
    ACTIONS(2807), 1,
      anon_sym_in,
    ACTIONS(2809), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50129] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3109), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50149] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1467), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50160] = 3,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50171] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3093), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50180] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3227), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50189] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50200] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3111), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50211] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(903), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50222] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3111), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3045), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50242] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50253] = 3,
    ACTIONS(3229), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50264] = 3,
    ACTIONS(3229), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50275] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50286] = 3,
    ACTIONS(2857), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50297] = 3,
    ACTIONS(2857), 1,
      anon_sym_LBRACE,
    STATE(323), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50308] = 3,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(2279), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50319] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [50328] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50339] = 3,
    ACTIONS(3231), 1,
      sym_identifier,
    ACTIONS(3233), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50350] = 3,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50361] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1405), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50372] = 3,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50383] = 3,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(59), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50394] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50405] = 3,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50416] = 3,
    ACTIONS(2767), 1,
      sym_identifier,
    ACTIONS(2771), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50427] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50438] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1585), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3235), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50458] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3137), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50467] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50478] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50489] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50500] = 3,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(3237), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3239), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50520] = 3,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50531] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3241), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50540] = 3,
    ACTIONS(3243), 1,
      anon_sym_SEMI,
    ACTIONS(3245), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50551] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1586), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50562] = 3,
    ACTIONS(3247), 1,
      anon_sym_COMMA,
    ACTIONS(3249), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50573] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1525), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50584] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1588), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50595] = 3,
    ACTIONS(2992), 1,
      anon_sym_from,
    STATE(1229), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50606] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1447), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50617] = 3,
    ACTIONS(2924), 1,
      anon_sym_LBRACE,
    STATE(54), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50628] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50639] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50650] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1387), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50661] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50672] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50681] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1589), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50692] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1416), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50703] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(691), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50714] = 3,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(55), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50725] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50736] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1592), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50747] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(906), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50758] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50769] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50780] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50789] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1551), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50800] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(906), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50811] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50822] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50833] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50842] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1555), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50853] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1379), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50864] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50875] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1562), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50886] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1424), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50897] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1567), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50908] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1451), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50919] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50930] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50941] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1377), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50952] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50963] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1348), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50972] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50981] = 3,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(372), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50992] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1510), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51003] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51014] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1558), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51025] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1591), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51036] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51047] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51058] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51069] = 3,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(29), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51080] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3255), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51089] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1575), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51100] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1576), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51111] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1577), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51122] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1582), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51133] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1583), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51144] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1584), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3156), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51164] = 3,
    ACTIONS(3229), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51175] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51186] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1597), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51197] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1448), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51208] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1568), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51219] = 3,
    ACTIONS(3257), 1,
      anon_sym_SEMI,
    ACTIONS(3259), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51230] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1517), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51241] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1599), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51252] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1366), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51263] = 3,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(658), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51274] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1375), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51285] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1380), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51296] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1381), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51307] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1382), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51318] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1385), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51329] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1400), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51340] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1406), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51351] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1411), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51362] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51373] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51384] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1440), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51395] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51406] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1450), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51417] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1452), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51428] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1456), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51439] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1519), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51450] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1524), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51461] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1532), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51472] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51483] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51492] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51503] = 3,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51514] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51525] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51536] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1528), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51547] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51558] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(736), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51569] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51578] = 3,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(1472), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51589] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51600] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51618] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1417), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51629] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51640] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3160), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51651] = 3,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(699), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51662] = 3,
    ACTIONS(3267), 1,
      sym_identifier,
    ACTIONS(3269), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51673] = 3,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51684] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1426), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51695] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3160), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 2,
      anon_sym_in,
      anon_sym_of,
  [51715] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1543), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51726] = 3,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51737] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1392), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51748] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51759] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51770] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1477), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51781] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1544), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51792] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3271), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51801] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51812] = 3,
    ACTIONS(2703), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51823] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3273), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51832] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51843] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51854] = 3,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(1367), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51865] = 3,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(742), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51876] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(743), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51887] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3170), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [51896] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51905] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51925] = 3,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(575), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51936] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51945] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(750), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51956] = 3,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(64), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51967] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3172), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3059), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [51987] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3172), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51998] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(752), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52009] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(659), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52020] = 3,
    ACTIONS(2823), 1,
      sym_identifier,
    ACTIONS(2827), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3281), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52040] = 3,
    ACTIONS(2992), 1,
      anon_sym_from,
    STATE(1368), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52051] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1478), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52062] = 3,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52073] = 3,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52084] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52095] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52106] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52117] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(654), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52128] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1365), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52139] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52150] = 3,
    ACTIONS(3229), 1,
      anon_sym_LBRACE,
    STATE(330), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52161] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52172] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52183] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52194] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52205] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52216] = 3,
    ACTIONS(3283), 1,
      sym_identifier,
    ACTIONS(3285), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52227] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52238] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52249] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52260] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52271] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52282] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52291] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52302] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1455), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52313] = 3,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(715), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52324] = 3,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(657), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52335] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1461), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52346] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52357] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1466), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52368] = 3,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    STATE(1373), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52379] = 2,
    ACTIONS(3287), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52387] = 2,
    ACTIONS(1615), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52395] = 2,
    ACTIONS(2909), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52403] = 2,
    ACTIONS(3237), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52411] = 2,
    ACTIONS(3160), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52419] = 2,
    ACTIONS(3289), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52427] = 2,
    ACTIONS(1693), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52435] = 2,
    ACTIONS(1728), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52443] = 2,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3293), 1,
      sym_regex_pattern,
  [52461] = 2,
    ACTIONS(3295), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52469] = 2,
    ACTIONS(3297), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52477] = 2,
    ACTIONS(3299), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52485] = 2,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52493] = 2,
    ACTIONS(3301), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52501] = 2,
    ACTIONS(3111), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52509] = 2,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52517] = 2,
    ACTIONS(1738), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52525] = 2,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52533] = 2,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52541] = 2,
    ACTIONS(1750), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52549] = 2,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52557] = 2,
    ACTIONS(3307), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52565] = 2,
    ACTIONS(3309), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3311), 1,
      anon_sym_SLASH2,
  [52583] = 2,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52591] = 2,
    ACTIONS(3313), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52599] = 2,
    ACTIONS(3315), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52607] = 2,
    ACTIONS(3317), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52615] = 2,
    ACTIONS(3319), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52623] = 2,
    ACTIONS(3321), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52631] = 2,
    ACTIONS(3323), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52639] = 2,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52647] = 2,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3325), 1,
      anon_sym_SLASH2,
  [52665] = 2,
    ACTIONS(3327), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52673] = 2,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52681] = 2,
    ACTIONS(3329), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52689] = 2,
    ACTIONS(3010), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3331), 1,
      anon_sym_SLASH2,
  [52707] = 2,
    ACTIONS(3333), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52715] = 2,
    ACTIONS(3172), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52723] = 2,
    ACTIONS(3335), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52731] = 2,
    ACTIONS(3337), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52739] = 2,
    ACTIONS(3339), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3341), 1,
      sym_regex_pattern,
  [52757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3343), 1,
      anon_sym_SLASH2,
  [52767] = 2,
    ACTIONS(3345), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52775] = 2,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52783] = 2,
    ACTIONS(1724), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3347), 1,
      sym_regex_pattern,
  [52801] = 2,
    ACTIONS(3349), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52809] = 2,
    ACTIONS(1695), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52817] = 2,
    ACTIONS(3351), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52825] = 2,
    ACTIONS(3353), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52833] = 2,
    ACTIONS(3355), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52841] = 2,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52849] = 2,
    ACTIONS(1672), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52857] = 2,
    ACTIONS(1778), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52865] = 2,
    ACTIONS(3357), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52873] = 2,
    ACTIONS(2279), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52881] = 2,
    ACTIONS(3359), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52889] = 2,
    ACTIONS(3361), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52897] = 2,
    ACTIONS(3363), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52905] = 2,
    ACTIONS(1714), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52913] = 2,
    ACTIONS(1381), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52921] = 2,
    ACTIONS(1752), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52929] = 2,
    ACTIONS(3365), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52937] = 2,
    ACTIONS(1720), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3367), 1,
      sym_regex_pattern,
  [52955] = 2,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52963] = 2,
    ACTIONS(1850), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52971] = 2,
    ACTIONS(3369), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52979] = 2,
    ACTIONS(3371), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52987] = 2,
    ACTIONS(3373), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52995] = 2,
    ACTIONS(3375), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53003] = 2,
    ACTIONS(3377), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53011] = 2,
    ACTIONS(1722), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53019] = 2,
    ACTIONS(3379), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53027] = 2,
    ACTIONS(3381), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53035] = 2,
    ACTIONS(3383), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53043] = 2,
    ACTIONS(3385), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53051] = 2,
    ACTIONS(1726), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53059] = 2,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53067] = 2,
    ACTIONS(3387), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53075] = 2,
    ACTIONS(3249), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53083] = 2,
    ACTIONS(3389), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53091] = 2,
    ACTIONS(3391), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53099] = 2,
    ACTIONS(3393), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53107] = 2,
    ACTIONS(3395), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53115] = 2,
    ACTIONS(3397), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53123] = 2,
    ACTIONS(3399), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(311)] = 0,
  [SMALL_STATE(312)] = 89,
  [SMALL_STATE(313)] = 164,
  [SMALL_STATE(314)] = 250,
  [SMALL_STATE(315)] = 322,
  [SMALL_STATE(316)] = 412,
  [SMALL_STATE(317)] = 482,
  [SMALL_STATE(318)] = 554,
  [SMALL_STATE(319)] = 626,
  [SMALL_STATE(320)] = 698,
  [SMALL_STATE(321)] = 770,
  [SMALL_STATE(322)] = 856,
  [SMALL_STATE(323)] = 926,
  [SMALL_STATE(324)] = 998,
  [SMALL_STATE(325)] = 1068,
  [SMALL_STATE(326)] = 1138,
  [SMALL_STATE(327)] = 1208,
  [SMALL_STATE(328)] = 1282,
  [SMALL_STATE(329)] = 1354,
  [SMALL_STATE(330)] = 1424,
  [SMALL_STATE(331)] = 1496,
  [SMALL_STATE(332)] = 1582,
  [SMALL_STATE(333)] = 1654,
  [SMALL_STATE(334)] = 1724,
  [SMALL_STATE(335)] = 1794,
  [SMALL_STATE(336)] = 1866,
  [SMALL_STATE(337)] = 1938,
  [SMALL_STATE(338)] = 2008,
  [SMALL_STATE(339)] = 2077,
  [SMALL_STATE(340)] = 2146,
  [SMALL_STATE(341)] = 2215,
  [SMALL_STATE(342)] = 2284,
  [SMALL_STATE(343)] = 2353,
  [SMALL_STATE(344)] = 2422,
  [SMALL_STATE(345)] = 2491,
  [SMALL_STATE(346)] = 2560,
  [SMALL_STATE(347)] = 2629,
  [SMALL_STATE(348)] = 2698,
  [SMALL_STATE(349)] = 2767,
  [SMALL_STATE(350)] = 2836,
  [SMALL_STATE(351)] = 2905,
  [SMALL_STATE(352)] = 2974,
  [SMALL_STATE(353)] = 3043,
  [SMALL_STATE(354)] = 3112,
  [SMALL_STATE(355)] = 3181,
  [SMALL_STATE(356)] = 3250,
  [SMALL_STATE(357)] = 3319,
  [SMALL_STATE(358)] = 3388,
  [SMALL_STATE(359)] = 3457,
  [SMALL_STATE(360)] = 3526,
  [SMALL_STATE(361)] = 3595,
  [SMALL_STATE(362)] = 3682,
  [SMALL_STATE(363)] = 3751,
  [SMALL_STATE(364)] = 3820,
  [SMALL_STATE(365)] = 3889,
  [SMALL_STATE(366)] = 3958,
  [SMALL_STATE(367)] = 4027,
  [SMALL_STATE(368)] = 4096,
  [SMALL_STATE(369)] = 4185,
  [SMALL_STATE(370)] = 4254,
  [SMALL_STATE(371)] = 4323,
  [SMALL_STATE(372)] = 4392,
  [SMALL_STATE(373)] = 4461,
  [SMALL_STATE(374)] = 4530,
  [SMALL_STATE(375)] = 4599,
  [SMALL_STATE(376)] = 4688,
  [SMALL_STATE(377)] = 4757,
  [SMALL_STATE(378)] = 4844,
  [SMALL_STATE(379)] = 4913,
  [SMALL_STATE(380)] = 4982,
  [SMALL_STATE(381)] = 5051,
  [SMALL_STATE(382)] = 5120,
  [SMALL_STATE(383)] = 5189,
  [SMALL_STATE(384)] = 5258,
  [SMALL_STATE(385)] = 5327,
  [SMALL_STATE(386)] = 5396,
  [SMALL_STATE(387)] = 5465,
  [SMALL_STATE(388)] = 5534,
  [SMALL_STATE(389)] = 5603,
  [SMALL_STATE(390)] = 5672,
  [SMALL_STATE(391)] = 5741,
  [SMALL_STATE(392)] = 5810,
  [SMALL_STATE(393)] = 5879,
  [SMALL_STATE(394)] = 5948,
  [SMALL_STATE(395)] = 6017,
  [SMALL_STATE(396)] = 6086,
  [SMALL_STATE(397)] = 6155,
  [SMALL_STATE(398)] = 6240,
  [SMALL_STATE(399)] = 6309,
  [SMALL_STATE(400)] = 6394,
  [SMALL_STATE(401)] = 6463,
  [SMALL_STATE(402)] = 6532,
  [SMALL_STATE(403)] = 6615,
  [SMALL_STATE(404)] = 6697,
  [SMALL_STATE(405)] = 6779,
  [SMALL_STATE(406)] = 6861,
  [SMALL_STATE(407)] = 6926,
  [SMALL_STATE(408)] = 6991,
  [SMALL_STATE(409)] = 7056,
  [SMALL_STATE(410)] = 7121,
  [SMALL_STATE(411)] = 7186,
  [SMALL_STATE(412)] = 7251,
  [SMALL_STATE(413)] = 7334,
  [SMALL_STATE(414)] = 7403,
  [SMALL_STATE(415)] = 7468,
  [SMALL_STATE(416)] = 7532,
  [SMALL_STATE(417)] = 7602,
  [SMALL_STATE(418)] = 7672,
  [SMALL_STATE(419)] = 7742,
  [SMALL_STATE(420)] = 7812,
  [SMALL_STATE(421)] = 7876,
  [SMALL_STATE(422)] = 7940,
  [SMALL_STATE(423)] = 8004,
  [SMALL_STATE(424)] = 8068,
  [SMALL_STATE(425)] = 8132,
  [SMALL_STATE(426)] = 8196,
  [SMALL_STATE(427)] = 8260,
  [SMALL_STATE(428)] = 8323,
  [SMALL_STATE(429)] = 8394,
  [SMALL_STATE(430)] = 8467,
  [SMALL_STATE(431)] = 8536,
  [SMALL_STATE(432)] = 8605,
  [SMALL_STATE(433)] = 8674,
  [SMALL_STATE(434)] = 8743,
  [SMALL_STATE(435)] = 8814,
  [SMALL_STATE(436)] = 8883,
  [SMALL_STATE(437)] = 8956,
  [SMALL_STATE(438)] = 9025,
  [SMALL_STATE(439)] = 9096,
  [SMALL_STATE(440)] = 9167,
  [SMALL_STATE(441)] = 9234,
  [SMALL_STATE(442)] = 9297,
  [SMALL_STATE(443)] = 9360,
  [SMALL_STATE(444)] = 9431,
  [SMALL_STATE(445)] = 9502,
  [SMALL_STATE(446)] = 9573,
  [SMALL_STATE(447)] = 9636,
  [SMALL_STATE(448)] = 9699,
  [SMALL_STATE(449)] = 9768,
  [SMALL_STATE(450)] = 9831,
  [SMALL_STATE(451)] = 9894,
  [SMALL_STATE(452)] = 9961,
  [SMALL_STATE(453)] = 10032,
  [SMALL_STATE(454)] = 10103,
  [SMALL_STATE(455)] = 10172,
  [SMALL_STATE(456)] = 10243,
  [SMALL_STATE(457)] = 10313,
  [SMALL_STATE(458)] = 10383,
  [SMALL_STATE(459)] = 10449,
  [SMALL_STATE(460)] = 10517,
  [SMALL_STATE(461)] = 10583,
  [SMALL_STATE(462)] = 10651,
  [SMALL_STATE(463)] = 10719,
  [SMALL_STATE(464)] = 10789,
  [SMALL_STATE(465)] = 10860,
  [SMALL_STATE(466)] = 10927,
  [SMALL_STATE(467)] = 10998,
  [SMALL_STATE(468)] = 11065,
  [SMALL_STATE(469)] = 11132,
  [SMALL_STATE(470)] = 11202,
  [SMALL_STATE(471)] = 11270,
  [SMALL_STATE(472)] = 11340,
  [SMALL_STATE(473)] = 11406,
  [SMALL_STATE(474)] = 11472,
  [SMALL_STATE(475)] = 11538,
  [SMALL_STATE(476)] = 11604,
  [SMALL_STATE(477)] = 11671,
  [SMALL_STATE(478)] = 11734,
  [SMALL_STATE(479)] = 11797,
  [SMALL_STATE(480)] = 11852,
  [SMALL_STATE(481)] = 11917,
  [SMALL_STATE(482)] = 11982,
  [SMALL_STATE(483)] = 12042,
  [SMALL_STATE(484)] = 12096,
  [SMALL_STATE(485)] = 12148,
  [SMALL_STATE(486)] = 12202,
  [SMALL_STATE(487)] = 12254,
  [SMALL_STATE(488)] = 12306,
  [SMALL_STATE(489)] = 12360,
  [SMALL_STATE(490)] = 12414,
  [SMALL_STATE(491)] = 12509,
  [SMALL_STATE(492)] = 12558,
  [SMALL_STATE(493)] = 12607,
  [SMALL_STATE(494)] = 12670,
  [SMALL_STATE(495)] = 12731,
  [SMALL_STATE(496)] = 12780,
  [SMALL_STATE(497)] = 12829,
  [SMALL_STATE(498)] = 12878,
  [SMALL_STATE(499)] = 12927,
  [SMALL_STATE(500)] = 12976,
  [SMALL_STATE(501)] = 13025,
  [SMALL_STATE(502)] = 13074,
  [SMALL_STATE(503)] = 13123,
  [SMALL_STATE(504)] = 13178,
  [SMALL_STATE(505)] = 13227,
  [SMALL_STATE(506)] = 13322,
  [SMALL_STATE(507)] = 13371,
  [SMALL_STATE(508)] = 13420,
  [SMALL_STATE(509)] = 13469,
  [SMALL_STATE(510)] = 13518,
  [SMALL_STATE(511)] = 13567,
  [SMALL_STATE(512)] = 13616,
  [SMALL_STATE(513)] = 13711,
  [SMALL_STATE(514)] = 13760,
  [SMALL_STATE(515)] = 13855,
  [SMALL_STATE(516)] = 13904,
  [SMALL_STATE(517)] = 13953,
  [SMALL_STATE(518)] = 14004,
  [SMALL_STATE(519)] = 14055,
  [SMALL_STATE(520)] = 14150,
  [SMALL_STATE(521)] = 14199,
  [SMALL_STATE(522)] = 14248,
  [SMALL_STATE(523)] = 14297,
  [SMALL_STATE(524)] = 14346,
  [SMALL_STATE(525)] = 14395,
  [SMALL_STATE(526)] = 14444,
  [SMALL_STATE(527)] = 14493,
  [SMALL_STATE(528)] = 14542,
  [SMALL_STATE(529)] = 14593,
  [SMALL_STATE(530)] = 14642,
  [SMALL_STATE(531)] = 14737,
  [SMALL_STATE(532)] = 14786,
  [SMALL_STATE(533)] = 14881,
  [SMALL_STATE(534)] = 14956,
  [SMALL_STATE(535)] = 15005,
  [SMALL_STATE(536)] = 15070,
  [SMALL_STATE(537)] = 15165,
  [SMALL_STATE(538)] = 15252,
  [SMALL_STATE(539)] = 15301,
  [SMALL_STATE(540)] = 15372,
  [SMALL_STATE(541)] = 15455,
  [SMALL_STATE(542)] = 15540,
  [SMALL_STATE(543)] = 15627,
  [SMALL_STATE(544)] = 15696,
  [SMALL_STATE(545)] = 15761,
  [SMALL_STATE(546)] = 15840,
  [SMALL_STATE(547)] = 15931,
  [SMALL_STATE(548)] = 15980,
  [SMALL_STATE(549)] = 16029,
  [SMALL_STATE(550)] = 16078,
  [SMALL_STATE(551)] = 16173,
  [SMALL_STATE(552)] = 16222,
  [SMALL_STATE(553)] = 16317,
  [SMALL_STATE(554)] = 16366,
  [SMALL_STATE(555)] = 16415,
  [SMALL_STATE(556)] = 16464,
  [SMALL_STATE(557)] = 16513,
  [SMALL_STATE(558)] = 16562,
  [SMALL_STATE(559)] = 16611,
  [SMALL_STATE(560)] = 16660,
  [SMALL_STATE(561)] = 16709,
  [SMALL_STATE(562)] = 16758,
  [SMALL_STATE(563)] = 16807,
  [SMALL_STATE(564)] = 16856,
  [SMALL_STATE(565)] = 16951,
  [SMALL_STATE(566)] = 17000,
  [SMALL_STATE(567)] = 17049,
  [SMALL_STATE(568)] = 17144,
  [SMALL_STATE(569)] = 17193,
  [SMALL_STATE(570)] = 17288,
  [SMALL_STATE(571)] = 17337,
  [SMALL_STATE(572)] = 17386,
  [SMALL_STATE(573)] = 17435,
  [SMALL_STATE(574)] = 17484,
  [SMALL_STATE(575)] = 17533,
  [SMALL_STATE(576)] = 17582,
  [SMALL_STATE(577)] = 17631,
  [SMALL_STATE(578)] = 17680,
  [SMALL_STATE(579)] = 17729,
  [SMALL_STATE(580)] = 17778,
  [SMALL_STATE(581)] = 17827,
  [SMALL_STATE(582)] = 17890,
  [SMALL_STATE(583)] = 17979,
  [SMALL_STATE(584)] = 18073,
  [SMALL_STATE(585)] = 18171,
  [SMALL_STATE(586)] = 18229,
  [SMALL_STATE(587)] = 18323,
  [SMALL_STATE(588)] = 18375,
  [SMALL_STATE(589)] = 18473,
  [SMALL_STATE(590)] = 18571,
  [SMALL_STATE(591)] = 18665,
  [SMALL_STATE(592)] = 18713,
  [SMALL_STATE(593)] = 18763,
  [SMALL_STATE(594)] = 18859,
  [SMALL_STATE(595)] = 18953,
  [SMALL_STATE(596)] = 19007,
  [SMALL_STATE(597)] = 19101,
  [SMALL_STATE(598)] = 19195,
  [SMALL_STATE(599)] = 19245,
  [SMALL_STATE(600)] = 19343,
  [SMALL_STATE(601)] = 19437,
  [SMALL_STATE(602)] = 19531,
  [SMALL_STATE(603)] = 19583,
  [SMALL_STATE(604)] = 19633,
  [SMALL_STATE(605)] = 19683,
  [SMALL_STATE(606)] = 19733,
  [SMALL_STATE(607)] = 19827,
  [SMALL_STATE(608)] = 19877,
  [SMALL_STATE(609)] = 19927,
  [SMALL_STATE(610)] = 20025,
  [SMALL_STATE(611)] = 20119,
  [SMALL_STATE(612)] = 20167,
  [SMALL_STATE(613)] = 20261,
  [SMALL_STATE(614)] = 20355,
  [SMALL_STATE(615)] = 20449,
  [SMALL_STATE(616)] = 20543,
  [SMALL_STATE(617)] = 20637,
  [SMALL_STATE(618)] = 20711,
  [SMALL_STATE(619)] = 20775,
  [SMALL_STATE(620)] = 20861,
  [SMALL_STATE(621)] = 20949,
  [SMALL_STATE(622)] = 21019,
  [SMALL_STATE(623)] = 21101,
  [SMALL_STATE(624)] = 21185,
  [SMALL_STATE(625)] = 21271,
  [SMALL_STATE(626)] = 21339,
  [SMALL_STATE(627)] = 21403,
  [SMALL_STATE(628)] = 21481,
  [SMALL_STATE(629)] = 21571,
  [SMALL_STATE(630)] = 21665,
  [SMALL_STATE(631)] = 21759,
  [SMALL_STATE(632)] = 21853,
  [SMALL_STATE(633)] = 21947,
  [SMALL_STATE(634)] = 22041,
  [SMALL_STATE(635)] = 22135,
  [SMALL_STATE(636)] = 22229,
  [SMALL_STATE(637)] = 22323,
  [SMALL_STATE(638)] = 22397,
  [SMALL_STATE(639)] = 22461,
  [SMALL_STATE(640)] = 22555,
  [SMALL_STATE(641)] = 22641,
  [SMALL_STATE(642)] = 22729,
  [SMALL_STATE(643)] = 22799,
  [SMALL_STATE(644)] = 22881,
  [SMALL_STATE(645)] = 22965,
  [SMALL_STATE(646)] = 23051,
  [SMALL_STATE(647)] = 23119,
  [SMALL_STATE(648)] = 23183,
  [SMALL_STATE(649)] = 23261,
  [SMALL_STATE(650)] = 23351,
  [SMALL_STATE(651)] = 23445,
  [SMALL_STATE(652)] = 23543,
  [SMALL_STATE(653)] = 23637,
  [SMALL_STATE(654)] = 23687,
  [SMALL_STATE(655)] = 23734,
  [SMALL_STATE(656)] = 23785,
  [SMALL_STATE(657)] = 23832,
  [SMALL_STATE(658)] = 23879,
  [SMALL_STATE(659)] = 23926,
  [SMALL_STATE(660)] = 23977,
  [SMALL_STATE(661)] = 24024,
  [SMALL_STATE(662)] = 24121,
  [SMALL_STATE(663)] = 24168,
  [SMALL_STATE(664)] = 24219,
  [SMALL_STATE(665)] = 24270,
  [SMALL_STATE(666)] = 24367,
  [SMALL_STATE(667)] = 24414,
  [SMALL_STATE(668)] = 24461,
  [SMALL_STATE(669)] = 24508,
  [SMALL_STATE(670)] = 24557,
  [SMALL_STATE(671)] = 24604,
  [SMALL_STATE(672)] = 24655,
  [SMALL_STATE(673)] = 24706,
  [SMALL_STATE(674)] = 24757,
  [SMALL_STATE(675)] = 24810,
  [SMALL_STATE(676)] = 24863,
  [SMALL_STATE(677)] = 24916,
  [SMALL_STATE(678)] = 24963,
  [SMALL_STATE(679)] = 25060,
  [SMALL_STATE(680)] = 25157,
  [SMALL_STATE(681)] = 25254,
  [SMALL_STATE(682)] = 25351,
  [SMALL_STATE(683)] = 25448,
  [SMALL_STATE(684)] = 25545,
  [SMALL_STATE(685)] = 25598,
  [SMALL_STATE(686)] = 25649,
  [SMALL_STATE(687)] = 25746,
  [SMALL_STATE(688)] = 25799,
  [SMALL_STATE(689)] = 25846,
  [SMALL_STATE(690)] = 25943,
  [SMALL_STATE(691)] = 26036,
  [SMALL_STATE(692)] = 26083,
  [SMALL_STATE(693)] = 26130,
  [SMALL_STATE(694)] = 26227,
  [SMALL_STATE(695)] = 26324,
  [SMALL_STATE(696)] = 26371,
  [SMALL_STATE(697)] = 26468,
  [SMALL_STATE(698)] = 26515,
  [SMALL_STATE(699)] = 26562,
  [SMALL_STATE(700)] = 26609,
  [SMALL_STATE(701)] = 26656,
  [SMALL_STATE(702)] = 26705,
  [SMALL_STATE(703)] = 26752,
  [SMALL_STATE(704)] = 26799,
  [SMALL_STATE(705)] = 26848,
  [SMALL_STATE(706)] = 26895,
  [SMALL_STATE(707)] = 26992,
  [SMALL_STATE(708)] = 27039,
  [SMALL_STATE(709)] = 27132,
  [SMALL_STATE(710)] = 27179,
  [SMALL_STATE(711)] = 27276,
  [SMALL_STATE(712)] = 27373,
  [SMALL_STATE(713)] = 27420,
  [SMALL_STATE(714)] = 27467,
  [SMALL_STATE(715)] = 27564,
  [SMALL_STATE(716)] = 27611,
  [SMALL_STATE(717)] = 27658,
  [SMALL_STATE(718)] = 27705,
  [SMALL_STATE(719)] = 27752,
  [SMALL_STATE(720)] = 27803,
  [SMALL_STATE(721)] = 27850,
  [SMALL_STATE(722)] = 27897,
  [SMALL_STATE(723)] = 27948,
  [SMALL_STATE(724)] = 27995,
  [SMALL_STATE(725)] = 28042,
  [SMALL_STATE(726)] = 28089,
  [SMALL_STATE(727)] = 28186,
  [SMALL_STATE(728)] = 28233,
  [SMALL_STATE(729)] = 28280,
  [SMALL_STATE(730)] = 28377,
  [SMALL_STATE(731)] = 28426,
  [SMALL_STATE(732)] = 28473,
  [SMALL_STATE(733)] = 28520,
  [SMALL_STATE(734)] = 28613,
  [SMALL_STATE(735)] = 28710,
  [SMALL_STATE(736)] = 28807,
  [SMALL_STATE(737)] = 28858,
  [SMALL_STATE(738)] = 28905,
  [SMALL_STATE(739)] = 29002,
  [SMALL_STATE(740)] = 29049,
  [SMALL_STATE(741)] = 29100,
  [SMALL_STATE(742)] = 29147,
  [SMALL_STATE(743)] = 29194,
  [SMALL_STATE(744)] = 29241,
  [SMALL_STATE(745)] = 29288,
  [SMALL_STATE(746)] = 29335,
  [SMALL_STATE(747)] = 29432,
  [SMALL_STATE(748)] = 29479,
  [SMALL_STATE(749)] = 29526,
  [SMALL_STATE(750)] = 29623,
  [SMALL_STATE(751)] = 29674,
  [SMALL_STATE(752)] = 29721,
  [SMALL_STATE(753)] = 29772,
  [SMALL_STATE(754)] = 29869,
  [SMALL_STATE(755)] = 29916,
  [SMALL_STATE(756)] = 29963,
  [SMALL_STATE(757)] = 30045,
  [SMALL_STATE(758)] = 30129,
  [SMALL_STATE(759)] = 30179,
  [SMALL_STATE(760)] = 30245,
  [SMALL_STATE(761)] = 30307,
  [SMALL_STATE(762)] = 30399,
  [SMALL_STATE(763)] = 30491,
  [SMALL_STATE(764)] = 30567,
  [SMALL_STATE(765)] = 30655,
  [SMALL_STATE(766)] = 30747,
  [SMALL_STATE(767)] = 30839,
  [SMALL_STATE(768)] = 30931,
  [SMALL_STATE(769)] = 31023,
  [SMALL_STATE(770)] = 31115,
  [SMALL_STATE(771)] = 31207,
  [SMALL_STATE(772)] = 31257,
  [SMALL_STATE(773)] = 31349,
  [SMALL_STATE(774)] = 31441,
  [SMALL_STATE(775)] = 31533,
  [SMALL_STATE(776)] = 31625,
  [SMALL_STATE(777)] = 31719,
  [SMALL_STATE(778)] = 31811,
  [SMALL_STATE(779)] = 31883,
  [SMALL_STATE(780)] = 31975,
  [SMALL_STATE(781)] = 32067,
  [SMALL_STATE(782)] = 32129,
  [SMALL_STATE(783)] = 32221,
  [SMALL_STATE(784)] = 32305,
  [SMALL_STATE(785)] = 32391,
  [SMALL_STATE(786)] = 32441,
  [SMALL_STATE(787)] = 32509,
  [SMALL_STATE(788)] = 32589,
  [SMALL_STATE(789)] = 32650,
  [SMALL_STATE(790)] = 32741,
  [SMALL_STATE(791)] = 32792,
  [SMALL_STATE(792)] = 32843,
  [SMALL_STATE(793)] = 32894,
  [SMALL_STATE(794)] = 32985,
  [SMALL_STATE(795)] = 33076,
  [SMALL_STATE(796)] = 33167,
  [SMALL_STATE(797)] = 33258,
  [SMALL_STATE(798)] = 33349,
  [SMALL_STATE(799)] = 33440,
  [SMALL_STATE(800)] = 33531,
  [SMALL_STATE(801)] = 33582,
  [SMALL_STATE(802)] = 33673,
  [SMALL_STATE(803)] = 33764,
  [SMALL_STATE(804)] = 33855,
  [SMALL_STATE(805)] = 33946,
  [SMALL_STATE(806)] = 34037,
  [SMALL_STATE(807)] = 34108,
  [SMALL_STATE(808)] = 34169,
  [SMALL_STATE(809)] = 34252,
  [SMALL_STATE(810)] = 34337,
  [SMALL_STATE(811)] = 34404,
  [SMALL_STATE(812)] = 34483,
  [SMALL_STATE(813)] = 34564,
  [SMALL_STATE(814)] = 34647,
  [SMALL_STATE(815)] = 34712,
  [SMALL_STATE(816)] = 34787,
  [SMALL_STATE(817)] = 34874,
  [SMALL_STATE(818)] = 34965,
  [SMALL_STATE(819)] = 35056,
  [SMALL_STATE(820)] = 35147,
  [SMALL_STATE(821)] = 35238,
  [SMALL_STATE(822)] = 35329,
  [SMALL_STATE(823)] = 35420,
  [SMALL_STATE(824)] = 35513,
  [SMALL_STATE(825)] = 35604,
  [SMALL_STATE(826)] = 35650,
  [SMALL_STATE(827)] = 35700,
  [SMALL_STATE(828)] = 35788,
  [SMALL_STATE(829)] = 35874,
  [SMALL_STATE(830)] = 35960,
  [SMALL_STATE(831)] = 36010,
  [SMALL_STATE(832)] = 36060,
  [SMALL_STATE(833)] = 36110,
  [SMALL_STATE(834)] = 36196,
  [SMALL_STATE(835)] = 36282,
  [SMALL_STATE(836)] = 36368,
  [SMALL_STATE(837)] = 36456,
  [SMALL_STATE(838)] = 36542,
  [SMALL_STATE(839)] = 36628,
  [SMALL_STATE(840)] = 36674,
  [SMALL_STATE(841)] = 36752,
  [SMALL_STATE(842)] = 36829,
  [SMALL_STATE(843)] = 36906,
  [SMALL_STATE(844)] = 36983,
  [SMALL_STATE(845)] = 37060,
  [SMALL_STATE(846)] = 37137,
  [SMALL_STATE(847)] = 37214,
  [SMALL_STATE(848)] = 37291,
  [SMALL_STATE(849)] = 37368,
  [SMALL_STATE(850)] = 37445,
  [SMALL_STATE(851)] = 37515,
  [SMALL_STATE(852)] = 37580,
  [SMALL_STATE(853)] = 37637,
  [SMALL_STATE(854)] = 37694,
  [SMALL_STATE(855)] = 37746,
  [SMALL_STATE(856)] = 37802,
  [SMALL_STATE(857)] = 37860,
  [SMALL_STATE(858)] = 37916,
  [SMALL_STATE(859)] = 37974,
  [SMALL_STATE(860)] = 38030,
  [SMALL_STATE(861)] = 38088,
  [SMALL_STATE(862)] = 38144,
  [SMALL_STATE(863)] = 38202,
  [SMALL_STATE(864)] = 38260,
  [SMALL_STATE(865)] = 38316,
  [SMALL_STATE(866)] = 38372,
  [SMALL_STATE(867)] = 38430,
  [SMALL_STATE(868)] = 38486,
  [SMALL_STATE(869)] = 38544,
  [SMALL_STATE(870)] = 38595,
  [SMALL_STATE(871)] = 38648,
  [SMALL_STATE(872)] = 38699,
  [SMALL_STATE(873)] = 38750,
  [SMALL_STATE(874)] = 38801,
  [SMALL_STATE(875)] = 38852,
  [SMALL_STATE(876)] = 38903,
  [SMALL_STATE(877)] = 38954,
  [SMALL_STATE(878)] = 39014,
  [SMALL_STATE(879)] = 39062,
  [SMALL_STATE(880)] = 39112,
  [SMALL_STATE(881)] = 39162,
  [SMALL_STATE(882)] = 39214,
  [SMALL_STATE(883)] = 39259,
  [SMALL_STATE(884)] = 39302,
  [SMALL_STATE(885)] = 39349,
  [SMALL_STATE(886)] = 39394,
  [SMALL_STATE(887)] = 39449,
  [SMALL_STATE(888)] = 39492,
  [SMALL_STATE(889)] = 39547,
  [SMALL_STATE(890)] = 39592,
  [SMALL_STATE(891)] = 39635,
  [SMALL_STATE(892)] = 39680,
  [SMALL_STATE(893)] = 39727,
  [SMALL_STATE(894)] = 39755,
  [SMALL_STATE(895)] = 39783,
  [SMALL_STATE(896)] = 39811,
  [SMALL_STATE(897)] = 39839,
  [SMALL_STATE(898)] = 39867,
  [SMALL_STATE(899)] = 39895,
  [SMALL_STATE(900)] = 39929,
  [SMALL_STATE(901)] = 39957,
  [SMALL_STATE(902)] = 39995,
  [SMALL_STATE(903)] = 40023,
  [SMALL_STATE(904)] = 40051,
  [SMALL_STATE(905)] = 40089,
  [SMALL_STATE(906)] = 40127,
  [SMALL_STATE(907)] = 40155,
  [SMALL_STATE(908)] = 40183,
  [SMALL_STATE(909)] = 40211,
  [SMALL_STATE(910)] = 40239,
  [SMALL_STATE(911)] = 40267,
  [SMALL_STATE(912)] = 40295,
  [SMALL_STATE(913)] = 40323,
  [SMALL_STATE(914)] = 40363,
  [SMALL_STATE(915)] = 40391,
  [SMALL_STATE(916)] = 40419,
  [SMALL_STATE(917)] = 40447,
  [SMALL_STATE(918)] = 40485,
  [SMALL_STATE(919)] = 40515,
  [SMALL_STATE(920)] = 40543,
  [SMALL_STATE(921)] = 40573,
  [SMALL_STATE(922)] = 40611,
  [SMALL_STATE(923)] = 40639,
  [SMALL_STATE(924)] = 40667,
  [SMALL_STATE(925)] = 40695,
  [SMALL_STATE(926)] = 40723,
  [SMALL_STATE(927)] = 40761,
  [SMALL_STATE(928)] = 40789,
  [SMALL_STATE(929)] = 40817,
  [SMALL_STATE(930)] = 40845,
  [SMALL_STATE(931)] = 40873,
  [SMALL_STATE(932)] = 40900,
  [SMALL_STATE(933)] = 40927,
  [SMALL_STATE(934)] = 40954,
  [SMALL_STATE(935)] = 40981,
  [SMALL_STATE(936)] = 41008,
  [SMALL_STATE(937)] = 41035,
  [SMALL_STATE(938)] = 41062,
  [SMALL_STATE(939)] = 41091,
  [SMALL_STATE(940)] = 41124,
  [SMALL_STATE(941)] = 41151,
  [SMALL_STATE(942)] = 41178,
  [SMALL_STATE(943)] = 41205,
  [SMALL_STATE(944)] = 41247,
  [SMALL_STATE(945)] = 41285,
  [SMALL_STATE(946)] = 41331,
  [SMALL_STATE(947)] = 41373,
  [SMALL_STATE(948)] = 41413,
  [SMALL_STATE(949)] = 41455,
  [SMALL_STATE(950)] = 41497,
  [SMALL_STATE(951)] = 41541,
  [SMALL_STATE(952)] = 41581,
  [SMALL_STATE(953)] = 41616,
  [SMALL_STATE(954)] = 41651,
  [SMALL_STATE(955)] = 41676,
  [SMALL_STATE(956)] = 41711,
  [SMALL_STATE(957)] = 41746,
  [SMALL_STATE(958)] = 41781,
  [SMALL_STATE(959)] = 41816,
  [SMALL_STATE(960)] = 41841,
  [SMALL_STATE(961)] = 41876,
  [SMALL_STATE(962)] = 41915,
  [SMALL_STATE(963)] = 41950,
  [SMALL_STATE(964)] = 41993,
  [SMALL_STATE(965)] = 42028,
  [SMALL_STATE(966)] = 42069,
  [SMALL_STATE(967)] = 42104,
  [SMALL_STATE(968)] = 42139,
  [SMALL_STATE(969)] = 42164,
  [SMALL_STATE(970)] = 42199,
  [SMALL_STATE(971)] = 42234,
  [SMALL_STATE(972)] = 42269,
  [SMALL_STATE(973)] = 42304,
  [SMALL_STATE(974)] = 42339,
  [SMALL_STATE(975)] = 42374,
  [SMALL_STATE(976)] = 42409,
  [SMALL_STATE(977)] = 42444,
  [SMALL_STATE(978)] = 42479,
  [SMALL_STATE(979)] = 42514,
  [SMALL_STATE(980)] = 42539,
  [SMALL_STATE(981)] = 42574,
  [SMALL_STATE(982)] = 42599,
  [SMALL_STATE(983)] = 42624,
  [SMALL_STATE(984)] = 42663,
  [SMALL_STATE(985)] = 42698,
  [SMALL_STATE(986)] = 42741,
  [SMALL_STATE(987)] = 42782,
  [SMALL_STATE(988)] = 42817,
  [SMALL_STATE(989)] = 42849,
  [SMALL_STATE(990)] = 42881,
  [SMALL_STATE(991)] = 42913,
  [SMALL_STATE(992)] = 42945,
  [SMALL_STATE(993)] = 42977,
  [SMALL_STATE(994)] = 43009,
  [SMALL_STATE(995)] = 43041,
  [SMALL_STATE(996)] = 43073,
  [SMALL_STATE(997)] = 43105,
  [SMALL_STATE(998)] = 43127,
  [SMALL_STATE(999)] = 43149,
  [SMALL_STATE(1000)] = 43181,
  [SMALL_STATE(1001)] = 43213,
  [SMALL_STATE(1002)] = 43245,
  [SMALL_STATE(1003)] = 43277,
  [SMALL_STATE(1004)] = 43309,
  [SMALL_STATE(1005)] = 43331,
  [SMALL_STATE(1006)] = 43353,
  [SMALL_STATE(1007)] = 43385,
  [SMALL_STATE(1008)] = 43417,
  [SMALL_STATE(1009)] = 43449,
  [SMALL_STATE(1010)] = 43471,
  [SMALL_STATE(1011)] = 43503,
  [SMALL_STATE(1012)] = 43539,
  [SMALL_STATE(1013)] = 43575,
  [SMALL_STATE(1014)] = 43611,
  [SMALL_STATE(1015)] = 43647,
  [SMALL_STATE(1016)] = 43683,
  [SMALL_STATE(1017)] = 43719,
  [SMALL_STATE(1018)] = 43755,
  [SMALL_STATE(1019)] = 43791,
  [SMALL_STATE(1020)] = 43827,
  [SMALL_STATE(1021)] = 43860,
  [SMALL_STATE(1022)] = 43896,
  [SMALL_STATE(1023)] = 43932,
  [SMALL_STATE(1024)] = 43968,
  [SMALL_STATE(1025)] = 44004,
  [SMALL_STATE(1026)] = 44037,
  [SMALL_STATE(1027)] = 44070,
  [SMALL_STATE(1028)] = 44103,
  [SMALL_STATE(1029)] = 44136,
  [SMALL_STATE(1030)] = 44169,
  [SMALL_STATE(1031)] = 44202,
  [SMALL_STATE(1032)] = 44235,
  [SMALL_STATE(1033)] = 44268,
  [SMALL_STATE(1034)] = 44298,
  [SMALL_STATE(1035)] = 44326,
  [SMALL_STATE(1036)] = 44356,
  [SMALL_STATE(1037)] = 44386,
  [SMALL_STATE(1038)] = 44416,
  [SMALL_STATE(1039)] = 44446,
  [SMALL_STATE(1040)] = 44476,
  [SMALL_STATE(1041)] = 44502,
  [SMALL_STATE(1042)] = 44532,
  [SMALL_STATE(1043)] = 44562,
  [SMALL_STATE(1044)] = 44592,
  [SMALL_STATE(1045)] = 44622,
  [SMALL_STATE(1046)] = 44652,
  [SMALL_STATE(1047)] = 44682,
  [SMALL_STATE(1048)] = 44712,
  [SMALL_STATE(1049)] = 44742,
  [SMALL_STATE(1050)] = 44772,
  [SMALL_STATE(1051)] = 44798,
  [SMALL_STATE(1052)] = 44828,
  [SMALL_STATE(1053)] = 44858,
  [SMALL_STATE(1054)] = 44888,
  [SMALL_STATE(1055)] = 44918,
  [SMALL_STATE(1056)] = 44948,
  [SMALL_STATE(1057)] = 44975,
  [SMALL_STATE(1058)] = 45002,
  [SMALL_STATE(1059)] = 45026,
  [SMALL_STATE(1060)] = 45048,
  [SMALL_STATE(1061)] = 45062,
  [SMALL_STATE(1062)] = 45084,
  [SMALL_STATE(1063)] = 45106,
  [SMALL_STATE(1064)] = 45130,
  [SMALL_STATE(1065)] = 45144,
  [SMALL_STATE(1066)] = 45166,
  [SMALL_STATE(1067)] = 45188,
  [SMALL_STATE(1068)] = 45212,
  [SMALL_STATE(1069)] = 45236,
  [SMALL_STATE(1070)] = 45250,
  [SMALL_STATE(1071)] = 45274,
  [SMALL_STATE(1072)] = 45298,
  [SMALL_STATE(1073)] = 45322,
  [SMALL_STATE(1074)] = 45342,
  [SMALL_STATE(1075)] = 45366,
  [SMALL_STATE(1076)] = 45390,
  [SMALL_STATE(1077)] = 45404,
  [SMALL_STATE(1078)] = 45428,
  [SMALL_STATE(1079)] = 45448,
  [SMALL_STATE(1080)] = 45468,
  [SMALL_STATE(1081)] = 45492,
  [SMALL_STATE(1082)] = 45506,
  [SMALL_STATE(1083)] = 45521,
  [SMALL_STATE(1084)] = 45536,
  [SMALL_STATE(1085)] = 45555,
  [SMALL_STATE(1086)] = 45576,
  [SMALL_STATE(1087)] = 45589,
  [SMALL_STATE(1088)] = 45602,
  [SMALL_STATE(1089)] = 45617,
  [SMALL_STATE(1090)] = 45636,
  [SMALL_STATE(1091)] = 45651,
  [SMALL_STATE(1092)] = 45666,
  [SMALL_STATE(1093)] = 45681,
  [SMALL_STATE(1094)] = 45700,
  [SMALL_STATE(1095)] = 45719,
  [SMALL_STATE(1096)] = 45740,
  [SMALL_STATE(1097)] = 45755,
  [SMALL_STATE(1098)] = 45770,
  [SMALL_STATE(1099)] = 45785,
  [SMALL_STATE(1100)] = 45806,
  [SMALL_STATE(1101)] = 45827,
  [SMALL_STATE(1102)] = 45842,
  [SMALL_STATE(1103)] = 45857,
  [SMALL_STATE(1104)] = 45872,
  [SMALL_STATE(1105)] = 45887,
  [SMALL_STATE(1106)] = 45908,
  [SMALL_STATE(1107)] = 45923,
  [SMALL_STATE(1108)] = 45938,
  [SMALL_STATE(1109)] = 45951,
  [SMALL_STATE(1110)] = 45966,
  [SMALL_STATE(1111)] = 45983,
  [SMALL_STATE(1112)] = 45998,
  [SMALL_STATE(1113)] = 46011,
  [SMALL_STATE(1114)] = 46028,
  [SMALL_STATE(1115)] = 46041,
  [SMALL_STATE(1116)] = 46062,
  [SMALL_STATE(1117)] = 46077,
  [SMALL_STATE(1118)] = 46090,
  [SMALL_STATE(1119)] = 46109,
  [SMALL_STATE(1120)] = 46128,
  [SMALL_STATE(1121)] = 46147,
  [SMALL_STATE(1122)] = 46166,
  [SMALL_STATE(1123)] = 46185,
  [SMALL_STATE(1124)] = 46202,
  [SMALL_STATE(1125)] = 46221,
  [SMALL_STATE(1126)] = 46234,
  [SMALL_STATE(1127)] = 46247,
  [SMALL_STATE(1128)] = 46260,
  [SMALL_STATE(1129)] = 46281,
  [SMALL_STATE(1130)] = 46296,
  [SMALL_STATE(1131)] = 46311,
  [SMALL_STATE(1132)] = 46332,
  [SMALL_STATE(1133)] = 46351,
  [SMALL_STATE(1134)] = 46364,
  [SMALL_STATE(1135)] = 46378,
  [SMALL_STATE(1136)] = 46398,
  [SMALL_STATE(1137)] = 46418,
  [SMALL_STATE(1138)] = 46432,
  [SMALL_STATE(1139)] = 46452,
  [SMALL_STATE(1140)] = 46466,
  [SMALL_STATE(1141)] = 46486,
  [SMALL_STATE(1142)] = 46504,
  [SMALL_STATE(1143)] = 46516,
  [SMALL_STATE(1144)] = 46528,
  [SMALL_STATE(1145)] = 46548,
  [SMALL_STATE(1146)] = 46562,
  [SMALL_STATE(1147)] = 46582,
  [SMALL_STATE(1148)] = 46600,
  [SMALL_STATE(1149)] = 46616,
  [SMALL_STATE(1150)] = 46636,
  [SMALL_STATE(1151)] = 46650,
  [SMALL_STATE(1152)] = 46664,
  [SMALL_STATE(1153)] = 46678,
  [SMALL_STATE(1154)] = 46692,
  [SMALL_STATE(1155)] = 46706,
  [SMALL_STATE(1156)] = 46726,
  [SMALL_STATE(1157)] = 46746,
  [SMALL_STATE(1158)] = 46760,
  [SMALL_STATE(1159)] = 46780,
  [SMALL_STATE(1160)] = 46794,
  [SMALL_STATE(1161)] = 46814,
  [SMALL_STATE(1162)] = 46826,
  [SMALL_STATE(1163)] = 46846,
  [SMALL_STATE(1164)] = 46860,
  [SMALL_STATE(1165)] = 46874,
  [SMALL_STATE(1166)] = 46888,
  [SMALL_STATE(1167)] = 46908,
  [SMALL_STATE(1168)] = 46926,
  [SMALL_STATE(1169)] = 46946,
  [SMALL_STATE(1170)] = 46966,
  [SMALL_STATE(1171)] = 46986,
  [SMALL_STATE(1172)] = 47006,
  [SMALL_STATE(1173)] = 47026,
  [SMALL_STATE(1174)] = 47046,
  [SMALL_STATE(1175)] = 47060,
  [SMALL_STATE(1176)] = 47076,
  [SMALL_STATE(1177)] = 47096,
  [SMALL_STATE(1178)] = 47112,
  [SMALL_STATE(1179)] = 47126,
  [SMALL_STATE(1180)] = 47140,
  [SMALL_STATE(1181)] = 47154,
  [SMALL_STATE(1182)] = 47174,
  [SMALL_STATE(1183)] = 47188,
  [SMALL_STATE(1184)] = 47208,
  [SMALL_STATE(1185)] = 47219,
  [SMALL_STATE(1186)] = 47238,
  [SMALL_STATE(1187)] = 47255,
  [SMALL_STATE(1188)] = 47272,
  [SMALL_STATE(1189)] = 47289,
  [SMALL_STATE(1190)] = 47306,
  [SMALL_STATE(1191)] = 47323,
  [SMALL_STATE(1192)] = 47334,
  [SMALL_STATE(1193)] = 47345,
  [SMALL_STATE(1194)] = 47362,
  [SMALL_STATE(1195)] = 47379,
  [SMALL_STATE(1196)] = 47396,
  [SMALL_STATE(1197)] = 47415,
  [SMALL_STATE(1198)] = 47430,
  [SMALL_STATE(1199)] = 47449,
  [SMALL_STATE(1200)] = 47466,
  [SMALL_STATE(1201)] = 47483,
  [SMALL_STATE(1202)] = 47500,
  [SMALL_STATE(1203)] = 47517,
  [SMALL_STATE(1204)] = 47534,
  [SMALL_STATE(1205)] = 47549,
  [SMALL_STATE(1206)] = 47568,
  [SMALL_STATE(1207)] = 47583,
  [SMALL_STATE(1208)] = 47600,
  [SMALL_STATE(1209)] = 47617,
  [SMALL_STATE(1210)] = 47632,
  [SMALL_STATE(1211)] = 47649,
  [SMALL_STATE(1212)] = 47662,
  [SMALL_STATE(1213)] = 47677,
  [SMALL_STATE(1214)] = 47694,
  [SMALL_STATE(1215)] = 47709,
  [SMALL_STATE(1216)] = 47726,
  [SMALL_STATE(1217)] = 47743,
  [SMALL_STATE(1218)] = 47760,
  [SMALL_STATE(1219)] = 47777,
  [SMALL_STATE(1220)] = 47794,
  [SMALL_STATE(1221)] = 47811,
  [SMALL_STATE(1222)] = 47828,
  [SMALL_STATE(1223)] = 47845,
  [SMALL_STATE(1224)] = 47862,
  [SMALL_STATE(1225)] = 47877,
  [SMALL_STATE(1226)] = 47894,
  [SMALL_STATE(1227)] = 47911,
  [SMALL_STATE(1228)] = 47928,
  [SMALL_STATE(1229)] = 47945,
  [SMALL_STATE(1230)] = 47962,
  [SMALL_STATE(1231)] = 47979,
  [SMALL_STATE(1232)] = 47994,
  [SMALL_STATE(1233)] = 48005,
  [SMALL_STATE(1234)] = 48022,
  [SMALL_STATE(1235)] = 48039,
  [SMALL_STATE(1236)] = 48058,
  [SMALL_STATE(1237)] = 48077,
  [SMALL_STATE(1238)] = 48094,
  [SMALL_STATE(1239)] = 48105,
  [SMALL_STATE(1240)] = 48118,
  [SMALL_STATE(1241)] = 48133,
  [SMALL_STATE(1242)] = 48148,
  [SMALL_STATE(1243)] = 48159,
  [SMALL_STATE(1244)] = 48176,
  [SMALL_STATE(1245)] = 48187,
  [SMALL_STATE(1246)] = 48204,
  [SMALL_STATE(1247)] = 48219,
  [SMALL_STATE(1248)] = 48236,
  [SMALL_STATE(1249)] = 48253,
  [SMALL_STATE(1250)] = 48270,
  [SMALL_STATE(1251)] = 48285,
  [SMALL_STATE(1252)] = 48302,
  [SMALL_STATE(1253)] = 48319,
  [SMALL_STATE(1254)] = 48336,
  [SMALL_STATE(1255)] = 48353,
  [SMALL_STATE(1256)] = 48370,
  [SMALL_STATE(1257)] = 48385,
  [SMALL_STATE(1258)] = 48401,
  [SMALL_STATE(1259)] = 48413,
  [SMALL_STATE(1260)] = 48427,
  [SMALL_STATE(1261)] = 48441,
  [SMALL_STATE(1262)] = 48455,
  [SMALL_STATE(1263)] = 48469,
  [SMALL_STATE(1264)] = 48483,
  [SMALL_STATE(1265)] = 48497,
  [SMALL_STATE(1266)] = 48511,
  [SMALL_STATE(1267)] = 48525,
  [SMALL_STATE(1268)] = 48537,
  [SMALL_STATE(1269)] = 48551,
  [SMALL_STATE(1270)] = 48565,
  [SMALL_STATE(1271)] = 48579,
  [SMALL_STATE(1272)] = 48593,
  [SMALL_STATE(1273)] = 48607,
  [SMALL_STATE(1274)] = 48621,
  [SMALL_STATE(1275)] = 48631,
  [SMALL_STATE(1276)] = 48645,
  [SMALL_STATE(1277)] = 48661,
  [SMALL_STATE(1278)] = 48675,
  [SMALL_STATE(1279)] = 48685,
  [SMALL_STATE(1280)] = 48699,
  [SMALL_STATE(1281)] = 48713,
  [SMALL_STATE(1282)] = 48725,
  [SMALL_STATE(1283)] = 48735,
  [SMALL_STATE(1284)] = 48747,
  [SMALL_STATE(1285)] = 48759,
  [SMALL_STATE(1286)] = 48773,
  [SMALL_STATE(1287)] = 48787,
  [SMALL_STATE(1288)] = 48801,
  [SMALL_STATE(1289)] = 48817,
  [SMALL_STATE(1290)] = 48831,
  [SMALL_STATE(1291)] = 48845,
  [SMALL_STATE(1292)] = 48859,
  [SMALL_STATE(1293)] = 48873,
  [SMALL_STATE(1294)] = 48885,
  [SMALL_STATE(1295)] = 48899,
  [SMALL_STATE(1296)] = 48913,
  [SMALL_STATE(1297)] = 48927,
  [SMALL_STATE(1298)] = 48941,
  [SMALL_STATE(1299)] = 48955,
  [SMALL_STATE(1300)] = 48969,
  [SMALL_STATE(1301)] = 48983,
  [SMALL_STATE(1302)] = 48997,
  [SMALL_STATE(1303)] = 49011,
  [SMALL_STATE(1304)] = 49027,
  [SMALL_STATE(1305)] = 49041,
  [SMALL_STATE(1306)] = 49055,
  [SMALL_STATE(1307)] = 49069,
  [SMALL_STATE(1308)] = 49083,
  [SMALL_STATE(1309)] = 49099,
  [SMALL_STATE(1310)] = 49109,
  [SMALL_STATE(1311)] = 49119,
  [SMALL_STATE(1312)] = 49133,
  [SMALL_STATE(1313)] = 49143,
  [SMALL_STATE(1314)] = 49157,
  [SMALL_STATE(1315)] = 49171,
  [SMALL_STATE(1316)] = 49183,
  [SMALL_STATE(1317)] = 49197,
  [SMALL_STATE(1318)] = 49211,
  [SMALL_STATE(1319)] = 49225,
  [SMALL_STATE(1320)] = 49239,
  [SMALL_STATE(1321)] = 49253,
  [SMALL_STATE(1322)] = 49267,
  [SMALL_STATE(1323)] = 49279,
  [SMALL_STATE(1324)] = 49293,
  [SMALL_STATE(1325)] = 49307,
  [SMALL_STATE(1326)] = 49319,
  [SMALL_STATE(1327)] = 49333,
  [SMALL_STATE(1328)] = 49349,
  [SMALL_STATE(1329)] = 49363,
  [SMALL_STATE(1330)] = 49377,
  [SMALL_STATE(1331)] = 49391,
  [SMALL_STATE(1332)] = 49405,
  [SMALL_STATE(1333)] = 49419,
  [SMALL_STATE(1334)] = 49433,
  [SMALL_STATE(1335)] = 49447,
  [SMALL_STATE(1336)] = 49461,
  [SMALL_STATE(1337)] = 49475,
  [SMALL_STATE(1338)] = 49489,
  [SMALL_STATE(1339)] = 49503,
  [SMALL_STATE(1340)] = 49517,
  [SMALL_STATE(1341)] = 49531,
  [SMALL_STATE(1342)] = 49545,
  [SMALL_STATE(1343)] = 49559,
  [SMALL_STATE(1344)] = 49573,
  [SMALL_STATE(1345)] = 49585,
  [SMALL_STATE(1346)] = 49599,
  [SMALL_STATE(1347)] = 49613,
  [SMALL_STATE(1348)] = 49627,
  [SMALL_STATE(1349)] = 49641,
  [SMALL_STATE(1350)] = 49655,
  [SMALL_STATE(1351)] = 49669,
  [SMALL_STATE(1352)] = 49679,
  [SMALL_STATE(1353)] = 49695,
  [SMALL_STATE(1354)] = 49709,
  [SMALL_STATE(1355)] = 49723,
  [SMALL_STATE(1356)] = 49733,
  [SMALL_STATE(1357)] = 49747,
  [SMALL_STATE(1358)] = 49761,
  [SMALL_STATE(1359)] = 49772,
  [SMALL_STATE(1360)] = 49781,
  [SMALL_STATE(1361)] = 49792,
  [SMALL_STATE(1362)] = 49803,
  [SMALL_STATE(1363)] = 49814,
  [SMALL_STATE(1364)] = 49825,
  [SMALL_STATE(1365)] = 49836,
  [SMALL_STATE(1366)] = 49847,
  [SMALL_STATE(1367)] = 49858,
  [SMALL_STATE(1368)] = 49867,
  [SMALL_STATE(1369)] = 49878,
  [SMALL_STATE(1370)] = 49889,
  [SMALL_STATE(1371)] = 49900,
  [SMALL_STATE(1372)] = 49911,
  [SMALL_STATE(1373)] = 49922,
  [SMALL_STATE(1374)] = 49933,
  [SMALL_STATE(1375)] = 49942,
  [SMALL_STATE(1376)] = 49953,
  [SMALL_STATE(1377)] = 49964,
  [SMALL_STATE(1378)] = 49975,
  [SMALL_STATE(1379)] = 49986,
  [SMALL_STATE(1380)] = 49997,
  [SMALL_STATE(1381)] = 50008,
  [SMALL_STATE(1382)] = 50019,
  [SMALL_STATE(1383)] = 50030,
  [SMALL_STATE(1384)] = 50041,
  [SMALL_STATE(1385)] = 50052,
  [SMALL_STATE(1386)] = 50063,
  [SMALL_STATE(1387)] = 50074,
  [SMALL_STATE(1388)] = 50085,
  [SMALL_STATE(1389)] = 50096,
  [SMALL_STATE(1390)] = 50107,
  [SMALL_STATE(1391)] = 50118,
  [SMALL_STATE(1392)] = 50129,
  [SMALL_STATE(1393)] = 50140,
  [SMALL_STATE(1394)] = 50149,
  [SMALL_STATE(1395)] = 50160,
  [SMALL_STATE(1396)] = 50171,
  [SMALL_STATE(1397)] = 50180,
  [SMALL_STATE(1398)] = 50189,
  [SMALL_STATE(1399)] = 50200,
  [SMALL_STATE(1400)] = 50211,
  [SMALL_STATE(1401)] = 50222,
  [SMALL_STATE(1402)] = 50233,
  [SMALL_STATE(1403)] = 50242,
  [SMALL_STATE(1404)] = 50253,
  [SMALL_STATE(1405)] = 50264,
  [SMALL_STATE(1406)] = 50275,
  [SMALL_STATE(1407)] = 50286,
  [SMALL_STATE(1408)] = 50297,
  [SMALL_STATE(1409)] = 50308,
  [SMALL_STATE(1410)] = 50319,
  [SMALL_STATE(1411)] = 50328,
  [SMALL_STATE(1412)] = 50339,
  [SMALL_STATE(1413)] = 50350,
  [SMALL_STATE(1414)] = 50361,
  [SMALL_STATE(1415)] = 50372,
  [SMALL_STATE(1416)] = 50383,
  [SMALL_STATE(1417)] = 50394,
  [SMALL_STATE(1418)] = 50405,
  [SMALL_STATE(1419)] = 50416,
  [SMALL_STATE(1420)] = 50427,
  [SMALL_STATE(1421)] = 50438,
  [SMALL_STATE(1422)] = 50449,
  [SMALL_STATE(1423)] = 50458,
  [SMALL_STATE(1424)] = 50467,
  [SMALL_STATE(1425)] = 50478,
  [SMALL_STATE(1426)] = 50489,
  [SMALL_STATE(1427)] = 50500,
  [SMALL_STATE(1428)] = 50511,
  [SMALL_STATE(1429)] = 50520,
  [SMALL_STATE(1430)] = 50531,
  [SMALL_STATE(1431)] = 50540,
  [SMALL_STATE(1432)] = 50551,
  [SMALL_STATE(1433)] = 50562,
  [SMALL_STATE(1434)] = 50573,
  [SMALL_STATE(1435)] = 50584,
  [SMALL_STATE(1436)] = 50595,
  [SMALL_STATE(1437)] = 50606,
  [SMALL_STATE(1438)] = 50617,
  [SMALL_STATE(1439)] = 50628,
  [SMALL_STATE(1440)] = 50639,
  [SMALL_STATE(1441)] = 50650,
  [SMALL_STATE(1442)] = 50661,
  [SMALL_STATE(1443)] = 50672,
  [SMALL_STATE(1444)] = 50681,
  [SMALL_STATE(1445)] = 50692,
  [SMALL_STATE(1446)] = 50703,
  [SMALL_STATE(1447)] = 50714,
  [SMALL_STATE(1448)] = 50725,
  [SMALL_STATE(1449)] = 50736,
  [SMALL_STATE(1450)] = 50747,
  [SMALL_STATE(1451)] = 50758,
  [SMALL_STATE(1452)] = 50769,
  [SMALL_STATE(1453)] = 50780,
  [SMALL_STATE(1454)] = 50789,
  [SMALL_STATE(1455)] = 50800,
  [SMALL_STATE(1456)] = 50811,
  [SMALL_STATE(1457)] = 50822,
  [SMALL_STATE(1458)] = 50833,
  [SMALL_STATE(1459)] = 50842,
  [SMALL_STATE(1460)] = 50853,
  [SMALL_STATE(1461)] = 50864,
  [SMALL_STATE(1462)] = 50875,
  [SMALL_STATE(1463)] = 50886,
  [SMALL_STATE(1464)] = 50897,
  [SMALL_STATE(1465)] = 50908,
  [SMALL_STATE(1466)] = 50919,
  [SMALL_STATE(1467)] = 50930,
  [SMALL_STATE(1468)] = 50941,
  [SMALL_STATE(1469)] = 50952,
  [SMALL_STATE(1470)] = 50963,
  [SMALL_STATE(1471)] = 50972,
  [SMALL_STATE(1472)] = 50981,
  [SMALL_STATE(1473)] = 50992,
  [SMALL_STATE(1474)] = 51003,
  [SMALL_STATE(1475)] = 51014,
  [SMALL_STATE(1476)] = 51025,
  [SMALL_STATE(1477)] = 51036,
  [SMALL_STATE(1478)] = 51047,
  [SMALL_STATE(1479)] = 51058,
  [SMALL_STATE(1480)] = 51069,
  [SMALL_STATE(1481)] = 51080,
  [SMALL_STATE(1482)] = 51089,
  [SMALL_STATE(1483)] = 51100,
  [SMALL_STATE(1484)] = 51111,
  [SMALL_STATE(1485)] = 51122,
  [SMALL_STATE(1486)] = 51133,
  [SMALL_STATE(1487)] = 51144,
  [SMALL_STATE(1488)] = 51155,
  [SMALL_STATE(1489)] = 51164,
  [SMALL_STATE(1490)] = 51175,
  [SMALL_STATE(1491)] = 51186,
  [SMALL_STATE(1492)] = 51197,
  [SMALL_STATE(1493)] = 51208,
  [SMALL_STATE(1494)] = 51219,
  [SMALL_STATE(1495)] = 51230,
  [SMALL_STATE(1496)] = 51241,
  [SMALL_STATE(1497)] = 51252,
  [SMALL_STATE(1498)] = 51263,
  [SMALL_STATE(1499)] = 51274,
  [SMALL_STATE(1500)] = 51285,
  [SMALL_STATE(1501)] = 51296,
  [SMALL_STATE(1502)] = 51307,
  [SMALL_STATE(1503)] = 51318,
  [SMALL_STATE(1504)] = 51329,
  [SMALL_STATE(1505)] = 51340,
  [SMALL_STATE(1506)] = 51351,
  [SMALL_STATE(1507)] = 51362,
  [SMALL_STATE(1508)] = 51373,
  [SMALL_STATE(1509)] = 51384,
  [SMALL_STATE(1510)] = 51395,
  [SMALL_STATE(1511)] = 51406,
  [SMALL_STATE(1512)] = 51417,
  [SMALL_STATE(1513)] = 51428,
  [SMALL_STATE(1514)] = 51439,
  [SMALL_STATE(1515)] = 51450,
  [SMALL_STATE(1516)] = 51461,
  [SMALL_STATE(1517)] = 51472,
  [SMALL_STATE(1518)] = 51483,
  [SMALL_STATE(1519)] = 51492,
  [SMALL_STATE(1520)] = 51503,
  [SMALL_STATE(1521)] = 51514,
  [SMALL_STATE(1522)] = 51525,
  [SMALL_STATE(1523)] = 51536,
  [SMALL_STATE(1524)] = 51547,
  [SMALL_STATE(1525)] = 51558,
  [SMALL_STATE(1526)] = 51569,
  [SMALL_STATE(1527)] = 51578,
  [SMALL_STATE(1528)] = 51589,
  [SMALL_STATE(1529)] = 51600,
  [SMALL_STATE(1530)] = 51609,
  [SMALL_STATE(1531)] = 51618,
  [SMALL_STATE(1532)] = 51629,
  [SMALL_STATE(1533)] = 51640,
  [SMALL_STATE(1534)] = 51651,
  [SMALL_STATE(1535)] = 51662,
  [SMALL_STATE(1536)] = 51673,
  [SMALL_STATE(1537)] = 51684,
  [SMALL_STATE(1538)] = 51695,
  [SMALL_STATE(1539)] = 51706,
  [SMALL_STATE(1540)] = 51715,
  [SMALL_STATE(1541)] = 51726,
  [SMALL_STATE(1542)] = 51737,
  [SMALL_STATE(1543)] = 51748,
  [SMALL_STATE(1544)] = 51759,
  [SMALL_STATE(1545)] = 51770,
  [SMALL_STATE(1546)] = 51781,
  [SMALL_STATE(1547)] = 51792,
  [SMALL_STATE(1548)] = 51801,
  [SMALL_STATE(1549)] = 51812,
  [SMALL_STATE(1550)] = 51823,
  [SMALL_STATE(1551)] = 51832,
  [SMALL_STATE(1552)] = 51843,
  [SMALL_STATE(1553)] = 51854,
  [SMALL_STATE(1554)] = 51865,
  [SMALL_STATE(1555)] = 51876,
  [SMALL_STATE(1556)] = 51887,
  [SMALL_STATE(1557)] = 51896,
  [SMALL_STATE(1558)] = 51905,
  [SMALL_STATE(1559)] = 51916,
  [SMALL_STATE(1560)] = 51925,
  [SMALL_STATE(1561)] = 51936,
  [SMALL_STATE(1562)] = 51945,
  [SMALL_STATE(1563)] = 51956,
  [SMALL_STATE(1564)] = 51967,
  [SMALL_STATE(1565)] = 51978,
  [SMALL_STATE(1566)] = 51987,
  [SMALL_STATE(1567)] = 51998,
  [SMALL_STATE(1568)] = 52009,
  [SMALL_STATE(1569)] = 52020,
  [SMALL_STATE(1570)] = 52031,
  [SMALL_STATE(1571)] = 52040,
  [SMALL_STATE(1572)] = 52051,
  [SMALL_STATE(1573)] = 52062,
  [SMALL_STATE(1574)] = 52073,
  [SMALL_STATE(1575)] = 52084,
  [SMALL_STATE(1576)] = 52095,
  [SMALL_STATE(1577)] = 52106,
  [SMALL_STATE(1578)] = 52117,
  [SMALL_STATE(1579)] = 52128,
  [SMALL_STATE(1580)] = 52139,
  [SMALL_STATE(1581)] = 52150,
  [SMALL_STATE(1582)] = 52161,
  [SMALL_STATE(1583)] = 52172,
  [SMALL_STATE(1584)] = 52183,
  [SMALL_STATE(1585)] = 52194,
  [SMALL_STATE(1586)] = 52205,
  [SMALL_STATE(1587)] = 52216,
  [SMALL_STATE(1588)] = 52227,
  [SMALL_STATE(1589)] = 52238,
  [SMALL_STATE(1590)] = 52249,
  [SMALL_STATE(1591)] = 52260,
  [SMALL_STATE(1592)] = 52271,
  [SMALL_STATE(1593)] = 52282,
  [SMALL_STATE(1594)] = 52291,
  [SMALL_STATE(1595)] = 52302,
  [SMALL_STATE(1596)] = 52313,
  [SMALL_STATE(1597)] = 52324,
  [SMALL_STATE(1598)] = 52335,
  [SMALL_STATE(1599)] = 52346,
  [SMALL_STATE(1600)] = 52357,
  [SMALL_STATE(1601)] = 52368,
  [SMALL_STATE(1602)] = 52379,
  [SMALL_STATE(1603)] = 52387,
  [SMALL_STATE(1604)] = 52395,
  [SMALL_STATE(1605)] = 52403,
  [SMALL_STATE(1606)] = 52411,
  [SMALL_STATE(1607)] = 52419,
  [SMALL_STATE(1608)] = 52427,
  [SMALL_STATE(1609)] = 52435,
  [SMALL_STATE(1610)] = 52443,
  [SMALL_STATE(1611)] = 52451,
  [SMALL_STATE(1612)] = 52461,
  [SMALL_STATE(1613)] = 52469,
  [SMALL_STATE(1614)] = 52477,
  [SMALL_STATE(1615)] = 52485,
  [SMALL_STATE(1616)] = 52493,
  [SMALL_STATE(1617)] = 52501,
  [SMALL_STATE(1618)] = 52509,
  [SMALL_STATE(1619)] = 52517,
  [SMALL_STATE(1620)] = 52525,
  [SMALL_STATE(1621)] = 52533,
  [SMALL_STATE(1622)] = 52541,
  [SMALL_STATE(1623)] = 52549,
  [SMALL_STATE(1624)] = 52557,
  [SMALL_STATE(1625)] = 52565,
  [SMALL_STATE(1626)] = 52573,
  [SMALL_STATE(1627)] = 52583,
  [SMALL_STATE(1628)] = 52591,
  [SMALL_STATE(1629)] = 52599,
  [SMALL_STATE(1630)] = 52607,
  [SMALL_STATE(1631)] = 52615,
  [SMALL_STATE(1632)] = 52623,
  [SMALL_STATE(1633)] = 52631,
  [SMALL_STATE(1634)] = 52639,
  [SMALL_STATE(1635)] = 52647,
  [SMALL_STATE(1636)] = 52655,
  [SMALL_STATE(1637)] = 52665,
  [SMALL_STATE(1638)] = 52673,
  [SMALL_STATE(1639)] = 52681,
  [SMALL_STATE(1640)] = 52689,
  [SMALL_STATE(1641)] = 52697,
  [SMALL_STATE(1642)] = 52707,
  [SMALL_STATE(1643)] = 52715,
  [SMALL_STATE(1644)] = 52723,
  [SMALL_STATE(1645)] = 52731,
  [SMALL_STATE(1646)] = 52739,
  [SMALL_STATE(1647)] = 52747,
  [SMALL_STATE(1648)] = 52757,
  [SMALL_STATE(1649)] = 52767,
  [SMALL_STATE(1650)] = 52775,
  [SMALL_STATE(1651)] = 52783,
  [SMALL_STATE(1652)] = 52791,
  [SMALL_STATE(1653)] = 52801,
  [SMALL_STATE(1654)] = 52809,
  [SMALL_STATE(1655)] = 52817,
  [SMALL_STATE(1656)] = 52825,
  [SMALL_STATE(1657)] = 52833,
  [SMALL_STATE(1658)] = 52841,
  [SMALL_STATE(1659)] = 52849,
  [SMALL_STATE(1660)] = 52857,
  [SMALL_STATE(1661)] = 52865,
  [SMALL_STATE(1662)] = 52873,
  [SMALL_STATE(1663)] = 52881,
  [SMALL_STATE(1664)] = 52889,
  [SMALL_STATE(1665)] = 52897,
  [SMALL_STATE(1666)] = 52905,
  [SMALL_STATE(1667)] = 52913,
  [SMALL_STATE(1668)] = 52921,
  [SMALL_STATE(1669)] = 52929,
  [SMALL_STATE(1670)] = 52937,
  [SMALL_STATE(1671)] = 52945,
  [SMALL_STATE(1672)] = 52955,
  [SMALL_STATE(1673)] = 52963,
  [SMALL_STATE(1674)] = 52971,
  [SMALL_STATE(1675)] = 52979,
  [SMALL_STATE(1676)] = 52987,
  [SMALL_STATE(1677)] = 52995,
  [SMALL_STATE(1678)] = 53003,
  [SMALL_STATE(1679)] = 53011,
  [SMALL_STATE(1680)] = 53019,
  [SMALL_STATE(1681)] = 53027,
  [SMALL_STATE(1682)] = 53035,
  [SMALL_STATE(1683)] = 53043,
  [SMALL_STATE(1684)] = 53051,
  [SMALL_STATE(1685)] = 53059,
  [SMALL_STATE(1686)] = 53067,
  [SMALL_STATE(1687)] = 53075,
  [SMALL_STATE(1688)] = 53083,
  [SMALL_STATE(1689)] = 53091,
  [SMALL_STATE(1690)] = 53099,
  [SMALL_STATE(1691)] = 53107,
  [SMALL_STATE(1692)] = 53115,
  [SMALL_STATE(1693)] = 53123,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1019),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1384),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1059),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1573),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(324),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1166),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1247),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1181),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(310),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1089),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(713),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1603),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(713),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(701),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1354),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 100),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 59),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 38),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 38),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(31),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1006),
  [850] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(91),
  [854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(212),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(91),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(241),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(190),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(116),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(83),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 101),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 94),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 95),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 105),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 105),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(119),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(192),
  [1289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(250),
  [1295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 38),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 38),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 41),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 41),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 42),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 44),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [1561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [1638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(223),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 42),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(253),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1238),
  [1985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1001),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [1990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(843),
  [1993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(237),
  [1996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1276),
  [1999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1222),
  [2002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1230),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(883),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1115),
  [2011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1354),
  [2014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(870),
  [2017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(961),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(901),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(1469),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35), SHIFT_REPEAT(934),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1354),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [2468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1073),
  [2502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(97),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [2507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1073),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1, 0, 0),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 32),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 36),
  [2664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [2669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(114),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(268),
  [2685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [2690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(250),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(192),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1190),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1198),
  [2874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [2876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1198),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1205),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1205),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1061),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [3042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(851),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [3085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [3093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(1308),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1131),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1105),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3337] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
